2015-04-06  Paul Eggert  <eggert@cs.ucla.edu>

	Use American spelling for 'normalize'
	* rtree.el (rtree-normalize-range): Rename from rtree-normalise-range.
	All uses changed.  Add an alias for obsolete usages.

2015-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-save-cid-content):
	Always return relative file name.
	(gnus-article-browse-html-parts):
	Make external links absolute and cid file names relative.

2015-04-01  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* registry.el (registry-prune): Re-use `registry-full' in
	`registry-prune'.  It's a bit of redundant work, but safer.
	Also ensure that target-size is an integer.

2015-03-31  Daiki Ueno  <ueno@gnu.org>

	* plstore.el (plstore--decrypt): Clear entry in
	`plstore-passphrase-alist' if decryption failed (bug#20030).

2015-03-28  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add "Display HTML images"
	to "Display" menu.

2015-03-24  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* nnimap.el (nnimap-split-incoming-mail): If a message is already
	in the group it should be split to, don't re-copy it into the group.

2015-03-23  Ben Bacarisse  <ben.lists@bsb.me.uk>  (tiny change)

	* nnmh.el (nnmh-request-expire-articles):
	Work for the case nnmail-expiry-target is an nnmh group (bug#20170).

2015-03-21  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* registry.el (registry-lookup-secondary, registry-full)
	(registry-prune, registry-collect-prune-candidates):
	* gnus-registry.el (gnus-registry-load): Use slot names rather than
	initarg names in `oref' and `oset'.

2015-03-19  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* registry.el (registry-prune): Allow registry to reach full size
	before pruning.

2015-03-19  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* registry.el (registry-collect-prune-candidates): Fix call to
	cl-subseq.

2015-03-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-registry.el (gnus-registry-handle-action)
	(gnus-registry-post-process-groups): Don't add-to-list on a local var.
	(gnus-registry-keywords): Make it do something.
	(gnus-registry-import-eld): Remove unused var `new-entry'.
	(gnus-registry-action): Remove unused var `to-name'.
	(gnus-registry-make-db): Prefer `make-instance' to avoid
	compiler warnings.
	(gnus-registry-load, gnus-registry-fixup-registry): Avoid `oset'.

	* registry.el (registry-db): Don't oset-default an instance-allocated
	slot.

2015-03-10  Glenn Morris  <rgm@gnu.org>

	* message.el (message-valid-fqdn-regexp): Bump :version for
	2014-11-17 change.

2015-03-08  Rasmus Pank Roulund  <rasmus@pank.eu>

	* gnus-notifications.el (gnus-notifications-action): Raise window
	frame.
	(gnus-notifications-action): Allow mark as read.
	(gnus-notifications-notify): Show uption to mark as read.

2015-03-08  Adam Sjøgren  <asjo@koldfront.dk>

	* message.el (message-insert-formatted-citation-line): Change %F to
	fall back to email address if no first name could be determined.

2015-03-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* registry.el (registry-lookup-breaks-before-lexbind, registry-lookup)
	(registry-search, registry-delete, registry-size, registry-insert)
	(registry-reindex, registry-collect-prune-candidates):
	* gnus-registry.el (gnus-registry-fixup-registry)
	(gnus-registry-remove-extra-data): Use slot names rather than initarg
	names in `oref' and `oset'.

2015-02-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part, gnus-mm-display-part):
	Fix point motion when removing displayed MIME part.
	(gnus-article-edit-part): Make jumping to the next part really work
	when deleting or stripping.
	(gnus-mime-buttonize-attachments-in-header): Make header attachment
	buttons identical to the ones in the article body so as to work deleting
	and stripping.

2015-02-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-shr)
	* mm-view.el (mm-inline-text-html-render-with-w3m):
	Revert my bogus change that made the start marker of a part
	the "moves after insertion" type.

2015-02-23  Tassilo Horn  <tsdh@gnu.org>

	* mailcap.el (mailcap-mime-data): Support `pdf-view-mode' (from PDF
	Tools: https://github.com/politza/pdf-tools) for viewing PDF
	attachments in emacs.

2015-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single): Avoid "End of buffer" error.

2015-02-18  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* nnimap.el (nnimap-get-groups): Correctly read unquoted group names
	from the server LIST response.

2015-02-14  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-retrieve-headers): If the server closes connection
	during header retrieval, error out instead of interpreting the data in
	the buffer as the only messages there.  This way, we don't mark
	articles as read on a server hangup (bug#19035).

	* mm-decode.el (mm-head-p): New function.
	(mm-display-part): Go to a blank line when inserting parts internally.

2015-02-13  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-msg-mail): Don't let-bind `gnus-newsgroup-name' so
	that we don't get a warning when setting the buffer-local variable
	(bug#19573).

	* nnmail.el (nnmail-expiry-target-group): Supply the info structure to
	`gnus-request-group'.

2015-02-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-save-cid-content)
	(gnus-article-browse-html-parts): Make cid file names relative if and
	only if html doesn't specify <base> directory.

2015-02-11  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-treat-buttonize): Don't re-buttonize URLs in HTML
	parts, because that breaks filling (since buttons are in a bold face).

2015-02-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-convert-shr-links): Delete useless variable `face';
	use gnus-overlays-at and gnus-overlay-put.

2015-02-10  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-shr): Only pass the fill column when not using
	fonts, because limiting the width to what's appropriate for followups
	doesn't really help when not using proportional fonts.

2015-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-convert-shr-links): Don't overwrite the faces from
	shr, beacause that breaks folding.
	(mm-shr): Don't shorten the width when using fonts.

2015-02-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-start.el (gnus-save-newsrc-file-check-timestamp): Remove
	variable; always check the newrc timestamp.
	(gnus-save-newsrc-file): Always check timestamp.

2015-02-05  Timo Lilja  <timo.lilja@iki.fi>  (tiny change)

	* mail-source.el (mail-source-call-script): If scripts exit with an
	error, pop up an error buffer.

2015-02-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-extra-headers): Add the popular Gmail X-GM-LABELS
	as a default.

	* nnimap.el (nnimap-request-group-scan): Ensure that we've selected the
	correct server.

2015-02-05  Vincent Bernat  <bernat@luffy.cx>  (tiny change)

	* nnimap.el (nnimap-request-group-scan): Fix the function name.

	* gnus-int.el (gnus-request-group-scan): Use the correct function name.

2015-02-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-select-newsgroup): Pass the group info along so
	that nnimap works for non-activated backends.

2015-02-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-with-unibyte-current-buffer): Don't emit a warning
	message, since we already get an obsolescence message.  Use `declare'.

2015-02-04  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* nnir.el: Revert "Enable non-ASCII IMAP searches".

2015-01-30  Glenn Morris  <rgm@gnu.org>

	* gnus-registry.el (gnus-registry-max-pruned-entries)
	(gnus-registry-prune-factor, gnus-registry-default-sort-function):
	Fix :version.
	(gnus-registry-default-sort-function): Improve :type.

2015-01-29  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-group): Allow running this function on
	groups that don't exist in Gnus yet.
	(nnimap-request-group): Revert previous patch since that made it
	impossible to enter nnimap groups.

	* message.el (message-smtpmail-send-it): Remove the mail header
	separator before sending.

2015-01-28  Elias Oltmanns  <eo@nebensachen.de>

	* nnimap.el (nnimap-find-expired-articles): Fix handling of
	(expiry-wait . never).

2015-01-28  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-group): Clear the buffer before returning
	the data.

2015-01-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnir.el (nnir-imap-expr-to-imap): Check for literal+ capability in
	IMAP.

2015-01-27  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* nnir.el (nnir-run-imap): Enable non-ASCII IMAP searches.

	* nnmairix.el ("nnmairix"): Declare nnmairix as virtual.

	* gnus-bcklg.el (gnus-backlog-enter-article): No virtual groups should
	be added to the backlog.

2015-01-26  Trevor Murphy  <trevor.m.murphy@gmail.com>

	* nnimap.el (nnimap-header-parameters): Refactor and request
	X-GM-LABELS if it's been announced.
	(nnimap-transform-headers): Gather and output GM-LABELS.

2015-01-26  Peder O. Klingenberg  <peder@klingenberg.no>

	* mm-decode.el (mm-display-part): Make non-string methods work.
	Non-string methods are funcalled and work just fine, the test was
	bogus.
	* mm-decode.el (mm-display-external): Show "external" lisp viewers in
	whole frame.

2015-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-accept-article): Allow respooling using
	nnimap.

	* gnus-group.el (gnus-group-get-new-news-this-group): Explicitly
	request rescans when being run interactively.

	* nnimap.el (nnimap-request-group): Don't rescan the group here,
	because that can be very slow in large groups.

	* gnus-int.el (gnus-request-group-scan): New backend function.

	* nnimap.el (nnimap-request-scan-group): Implement in on IMAP.

2015-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-suspend): Close all backends.

2015-01-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-send-authinfo): Error out if the password is wrong.

2015-01-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* registry.el: Don't use <class> as a variable.

2014-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	* message.el (message-make-fqdn):
	* nnvirtual.el (nnvirtual-retrieve-headers)
	(nnvirtual-update-xref-header): Prefer (system-name) to system-name,
	and avoid naming locals 'system-name'.

2014-12-29  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-shr): Bind `shr-width' to `fill-column' so that
	lines don't get overlong when responding.

2014-12-19  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group):
	Bind coding-system-for-read and coding-system-for-write only around
	with-temp-file, and make buffer unibyte.  Don't write temp file twice.

2014-12-18  Paul Eggert  <eggert@cs.ucla.edu>

	* registry.el (registry-db): Set default slot later.
	This is because its value is not a literal integer.

2014-12-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-with-unibyte-current-buffer): Mark obsolete and
	add warning.

	* gnus-art.el: Fix up compiler warnings.
	(article-display-face, article-display-x-face): Remove unused `face'.
	(gnus-article-browse-html-save-cid-content): Remove unused var `type'.
	(article-date-ut): Remove unused var `first'.
	(gnus-article-prepare): Remove unused var `gnus-article'.
	(gnus-mime-save-part-and-strip): Remove unused var `param'.
	(gnus-mime-inline-part): Remove unused vars `charset', `contents', and
	`coding-system' along with corresponding dead code.
	(gnus-mime-view-part-externally): Remove unused var
	`mm-user-display-methods'.
	(gnus-insert-mime-button): Let-bind gnus-tmp-id explicitly.
	(gnus-display-mime): Remove unused var `handle'.
	(gnus-mime-display-alternative): Remove unused var `props'.
	(gnus-article-read-summary-keys): Remove unused var `up-to-top'.
	(gnus-article-edit-done): Remove unused var `p'.
	(gnus-url-mailto): Remove unused var `to'.
	(gnus-treat-article): Let-bind gnus-treat-condition, part-number,
	total-parts, and gnus-treat-type explicitly.  Remove unused var `elem'.

2014-12-18  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* registry.el (registry-db): Consolidate the :max-hard and :max-soft
	slots into a :max-size slot.
	(registry-db-version): Add new variable for database version number.
	(registry-prune): Use :max-size slot. Accept and use a sort-function
	argument.
	(registry-collect-prune-candidates): Add new function for finding
	non-precious pruning candidates.
	(registry-prune-hard-candidates, registry-prune-soft-candidates):
	Remove obsolete functions.
	(initialize-instance): Upgrade registry version when starting.

	* gnus-registry.el (gnus-registry-prune-factor): Add new variable.
	(gnus-registry-max-pruned-entries): Remove obsolete variable.
	(gnus-registry-cache-file): Change default
	filename extension to "eieio".
	(gnus-registry-read): Add new function, split out from
	`gnus-registry-load', that does the actual object reading.
	(gnus-registry-load): Use it. Add condition case handler to check for
	old filename extension and rename to the new one.
	(gnus-registry-default-sort-function): New variable to specify a sort
	function to use when pruning.
	(gnus-registry-save, gnus-registry-insert): Use it.
	(gnus-registry-sort-by-creation-time): Define a default sort function.

2014-12-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-mime-handles): Refactor out into own
	function for reuse.
	(gnus-mime-buttonize-attachments-in-header): Adjust.

2014-12-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-change-subject): Really check whether the subject
	changed.

2014-12-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mailcap.el (mailcap-mime-data): Add doc-view-mode as a viewer for
	PDFs.
	(mailcap-view-mime): New function.

2014-12-01  Glenn Morris  <rgm@gnu.org>

	* gnus-cloud.el (gnus-cloud): Add :version tag.

2014-11-29  John Mastro  <john.b.mastro@gmail.com>  (tiny change)

	* auth-source.el (auth-source-macos-keychain-search-items): Return
	result of `auth-source-macos-keychain-result-append' (bug#19074).

2014-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-use-idna):
	* gnus-sum.el (gnus-summary-idna-message):
	* message.el (message-use-idna):
	Protect against nil value for idna-program.

	* message.el (message-use-idna): Load Mule-UCS for XEmacs 21.4.

2014-11-25  Glenn Morris  <rgm@gnu.org>

	* gnus-start.el (gnus-save-newsrc-file-check-timestamp):
	Add :version tag.

2014-11-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-open-server): Warn unless encrypted.

	* nnimap.el (nnimap-open-connection-1): Warn unless encrypted.

2014-11-17  Albert Krewinkel  <albert@zeitkraut.de>

	* message.el (message-valid-fqdn-regexp): Add non-internaional new
	TLDs.

2014-11-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-exit-no-update): Don't query about
	discarding changes in ephemeral groups.

	* ietf-drums.el (ietf-drums-parse-address): Don't issue warnings about
	things the user isn't interested in.

2014-11-13  Julien Danjou  <jd@abydos>

	* gnus-notifications.el (gnus-notifications-notify): Provide both
	app-icon and image-path.

2014-11-10  Kenjiro NAKAYAMA  <nakayamakenjiro@gmail.com>

	* gnus/mm-url.el (mm-url-encode-multipart-form-data):
	Restore to handle "multipart/form-data" by eww.

2014-11-07  Tassilo Horn  <tsdh@gnu.org>

	* gnus-start.el (gnus-activate-group): Fix typo reported by Tim
	Landscheidt.

2014-10-29  Paul Eggert  <eggert@cs.ucla.edu>

	Simplify use of current-time and friends.
	* gnus-delay.el (gnus-delay-article):
	* gnus-sum.el (gnus-summary-read-document):
	* gnus-util.el (gnus-seconds-today, gnus-seconds-month):
	* message.el (message-make-expires-date):
	Omit unnecessary call to current-time.
	* gnus-util.el (gnus-float-time): Simplify to an alias because
	time-to-seconds now behaves like float-time with respect to nil arg.
	(gnus-seconds-year): Don't call current-time twice to get the current
	time stamp, as this can lead to inconsistent results.

2014-10-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-mode-line-buffer-identification):
	Don't add image data for a non-graphic display (bug#18813).

2014-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-mode-line-buffer-identification): Don't shadow
	load-path, it blocks autoloading of find-image (bug#18813).

2014-10-24  enami tsugutomo  <tsugutomo.enami@jp.sony.com>

	* nnimap.el (nnimap-wait-for-response): Ignore NOOP response requested
	to keep connection open (bug#18728).

2014-10-20  Glenn Morris  <rgm@gnu.org>

	* Merge in all changes up to 24.4 release.

2014-10-15  Jorge A. Alfaro-Murillo  <jorge.alfaro-murillo@yale.edu>  (tiny change)

	* message.el (message-insert-signature): Use `newline' instead of
	inserting explicit "\n".

2014-10-15  Sylvain Chouleur  <sylvain.chouleur@gmail.com>

	* gnus-icalendar.el: Support vcal format timezones.
	(gnus-icalendar-event--decode-datefield): Use icalendar functions to
	compute dates with associated timezone.
	(gnus-icalendar-event-from-ical): Compute all timezones.

2014-10-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-start.el (gnus-save-newsrc-file-check-timestamp): New option to
	check the newsrc.eld file's timestamp before saving it.
	(gnus-save-newsrc-file): Use it, with a prompt when the newsrc.eld
	timestamp has changed to be newer.

2014-10-06  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-identities):
	Include message-alternative-emails.

2014-10-04  Alan Schmitt  <alan.schmitt@polytechnique.org>  (tiny change)

	* nnimap.el (nnimap-process-expiry-targets): Reverse the list of
	expired messages only when it was built in reverse order.

2014-10-04  Peter Münster  <pmlists@free.fr>  (tiny change)

	* gnus-delay.el (gnus-delay-send-queue): Remove `gnus-delay-header'
	last so it can be used in `message-send-hook'.

2014-10-02  Daiki Ueno  <ueno@gnu.org>

	* mml.el (mml-parse-1): Error out if unknown mode is specified in
	<#secure> tag (bug#18513).

2014-09-29  Daiki Ueno  <ueno@gnu.org>

	* mml.el (mml-parse-1): Error out if unknown mode is specified in
	<#secure> tag (bug#18513).

2014-09-11  Paul Eggert  <eggert@cs.ucla.edu>

	* gnus-cloud.el (gnus-cloud-parse-version-1): Fix misspelling
	of ":delete".

2014-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-save-cid-content)
	(gnus-article-browse-html-parts):
	Revert last change that breaks links other than cid contents.

2014-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-save-cid-content)
	(gnus-article-browse-html-parts): Make cid file names relative.

2014-08-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Make the working buffer
	temporarily displayed when running a mode function (at least org-mode
	requires it).

2014-08-14  Alan Schmitt  <alan.schmitt@polytechnique.org>

	* gnus-sum.el (gnus-summary-expire-articles): Functions registered to
	the gnus-summary-article-expire-hook should be told where the function
	is going. In particular, the Gnus registry might want to know.

2014-08-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-hidden-properties): Drop the evil `intangible'.

2014-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-expire-articles): Revert.

2014-08-05  Eric Abrahamsen  <eric@ericabrahamsen.net>

	* gnus-sum.el (gnus-summary-expire-articles): Functions registered to
	the gnus-summary-article-expire-hook should be told where the function
	is going. In particular, the Gnus registry might want to know.

2014-07-31  Tassilo Horn  <tsdh@gnu.org>

	* gnus-msg.el (gnus-inews-insert-gcc): Allow `gcc-self' to be a list of
	groups and t.

2014-07-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-utils.el (gnus-recursive-directory-files):
	Unify hard or symbolic links (bug#18063).

2013-07-17  Albert Krewinkel  <albert@zeitkraut.de>

	* gnus-msg.el (gnus-configure-posting-style):
	Allow string replacements in values when matching against a header.

2014-07-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-start.el (gnus-dribble-read-file): Don't stop the auto-saving of
	the dribble buffer even when it is shrunk a lot.
	<http://thread.gmane.org/gmane.emacs.gnus.user/16923>

2014-06-26  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (help-function-arglist): Remove outdated declaration.

2014-06-24  Andreas Schwab  <schwab@linux-m68k.org>

	* html2text.el (html2text-get-attr): Rewrite to handle spaces in quoted
	attribute values.  (Bug#17834)

2013-06-22  Dmitry Antipov  <dmantipov@yandex.ru>

	* gnus-sum.el (gnus-summary-edit-article-done):
	Prefer point-marker to copy-marker of point.

2014-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-edit-part): Don't modifiy markers.
	(gnus-article-read-summary-keys):
	Don't bug out when there is no article in the summary buffer.
	(gnus-mime-buttonize-attachments-in-header):
	Improve criterion that finds parts to display.

	* gnus-art.el (gnus-mm-display-part):
	* mm-decode.el (mm-shr):
	* mm-view.el (mm-inline-text-html-render-with-w3m, mm-inline-text)
	(mm-insert-inline): Revert last changes.

2014-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mm-display-part):
	* mm-decode.el (mm-shr):
	* mm-view.el (mm-inline-text-html-render-with-w3m, mm-inline-text)
	(mm-insert-inline): Set insertion type of end-marker, not only
	start-marker, of undisplayer so as to stay after inserted text.

2014-06-02  Andreas Schwab  <schwab@linux-m68k.org>

	* html2text.el (html2text-get-attr): Fix typo when splitting value from
	attribute. (Bug#17613)

2014-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-view.el (mm-display-inline-fontify): Use font-lock-ensure.
	* gnus-cite.el (gnus-message-citation-mode): Use font-lock-flush.

2014-05-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part, gnus-mm-display-part):
	Don't delete next part button; keep spacing between buttons.

2014-05-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part, gnus-mm-display-part):
	Work for the last MIME part in an article.
	(gnus-mime-display-single): Suppress excessive newlines between parts.

	* mm-uu.el (mm-uu-dissect): Assume that separators may be accompanied
	by leading or trailing newline.

2014-05-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mm-display-part): Don't put article out of sight
	while prompting a user for a file name, etc.
	(gnus-mime-display-single): Display part with a common appearance no
	matter whether MIME button is omitted or not; don't add duplicate entry
	to gnus-article-mime-handle-alist.
	(gnus-mime-buttonize-attachments-in-header): Use copied buttons.

2014-05-08  Adam Sjøgren  <asjo@koldfront.dk>

	* mml2015.el (mml2015-display-key-image): New variable.

2014-05-08  Glenn Morris  <rgm@gnu.org>

	* gnus-fun.el (gnus-grab-cam-face):
	Do not use predictable temp-file name.  (http://bugs.debian.org/747100)
	This is CVE-2014-3421.

2014-05-04  Glenn Morris  <rgm@gnu.org>

	* gnus-registry.el (gnus-registry-install-p): Doc fix.

2014-05-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-inline-part): Redisplay a button so as to show
	the displaying state of a part.
	(gnus-mm-display-part): Don't insert a newline in the beginning of
	a part like gnus-mime-inline-part doesn't; work for XEmacs.

	* mm-decode.el (mm-display-part): Don't insert a newline in the top.
	(mm-shr): Make undisplayer unbreakable.

	* mm-view.el (mm-inline-image-emacs, mm-inline-image-xemacs):
	Don't insert excessive newline.
	(mm-inline-text-html-render-with-w3m, mm-inline-text)
	(mm-insert-inline): Make undisplayer unbreakable.

2014-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mm-display-part):
	Highlight header attachment buttons.

2014-04-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mm-display-part): Don't move point while toggling
	a part; redisplay a button (enbugged in 2014-03-23).

2014-04-27  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-search, auth-source-search-backends):
	Treat :max 0 as an indicator that a boolean return is wanted, as
	documented. Reported by Joe Bloggs.

2014-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-icalendar.el: Require gnus-art.

2014-04-20  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-event->org-entry)
	(gnus-icalendar--update-org-event): put event timestamp in
	the org entry body instead of the drawer.
	(gnus-icalendar-event--get-attendee-names): list of participants should
	contain even attendees without common name attribute.
	(gnus-icalendar--update-org-event): don't generate duplicates of empty
	property tags in org drawers.

2014-04-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-format-time-string): New function.

	* message.el (message-insert-formatted-citation-line): Use the original
	author's time zone to express a date string.

2014-04-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-srvr.el (gnus-tmp-how, gnus-tmp-name, gnus-tmp-where)
	(gnus-tmp-status, gnus-tmp-agent, gnus-tmp-cloud)
	(gnus-tmp-news-server, gnus-tmp-news-method, gnus-tmp-user-defined):
	Silence compiler warnings.
	(gnus-server-insert-server-line): Don't use dyn-bind var as argument.

2014-03-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el: Require url when compiling.

	* gnus-cloud.el (gnus-cloud-parse-version-1):
	Use plist-get rather than CL's getf.
	(gnus-activate-group, gnus-subscribe-group): Declare.

	* gnus-sum.el (gnus-mime-buttonize-attachments-in-header): Declare.

2014-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-toggle-header): Display header attachment
	buttons when toggling the header off.

2014-03-23  Daiki Ueno  <ueno@gnu.org>

	* mml2015.el (mml2015-use): Don't check the availability of GnuPG
	commands here; instead, only check if epg-config.el is available.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* mml.el (mml-expand-html-into-multipart-related): Allow sending HTML
	messages with embedded images.
	(mml-generate-mime): Don't bug out if you don't have libxml.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-make-html-message-with-image-files): New command.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* mml.el (mml-insert-mime-headers): Allow `recipient-filename'.

2014-03-23  David Engster  <deng@randomsample.de>

	* auth-source.el (auth-source-netrc-saver): Do not depend on `cl-lib'
	to stay compatible with older Emacsen, so replace `cl-loop' with
	`loop'.

2014-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-prepare, gnus-article-prepare-display):
	Display header attachment buttons by gnus-article-prepare-display
	rather than gnus-article-prepare so as to view in mml-preview as well.

2014-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-goto-part): Find a button in the body first.
	(gnus-mime-buttonize-attachments-in-header): Number hidden buttons.

2014-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-buttonize-attachments-in-header):
	Display buttons that are hidden in unselected alternative part as well.
	(gnus-mime-display-alternative): Redraw attachment buttons in header.

	* gmm-utils.el (gmm-labels): Add edebug spec.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-server-toggle-cloud-server): New command and
	keystroke.
	(gnus-server-toggle-cloud-server): Only allow clouding applicable
	types.

2014-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-copy-overlay, gnus-overlays-at): New functions.

	* gnus-art.el (gnus-mime-display-attachment-buttons-in-header):
	New user option.
	(gnus-mime-buttonize-attachments-in-header): New function.
	(gnus-article-prepare): Use it.
	(gnus-mime-inline-part): Suppress extra newline.
	(gnus-mm-display-part): Save excursion;
	remove useless deleting and adding of buttons.
	(gnus-insert-mime-button): Allow insertion in the middle of a line.

	* gnus-sum.el (gnus-summary-wash-mime-map, gnus-summary-article-menu):
	Add gnus-mime-buttonize-attachments-in-header.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-articles): New command to download several
	articles at once.

	* gnus.el (gnus-variable-list): Save Cloud variables.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-cloud.el: New file to provide the Emacs Cloud.

	* gravatar.el (gravatar-retrieve-synchronously): XEmacs also has
	`url-retrieve-synchronously', apparently.

	* gnus-notifications.el (gravatar-retrieve-synchronously): Declare for
	XEmacs.

	* nnrss.el (libxml-parse-html-region): Silence compilation error.

2014-03-23  Daniel Dehennin  <daniel.dehennin@baby-gnu.org>

	* gnus-mlspl.el (gnus-group-split-fancy): Use `gnus-parameters' in
	`gnus-group-split-fancy'.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-remove-header): Doc fix.
	(message-forward-included-headers): New variable.
	(message-remove-ignored-headers): Use it.

2014-03-23  Dave Abrahams  <dave@boostpro.com>

	* gnus-sum.el (gnus-summary-open-group-with-article): New command.

2014-03-23  Rasmus Pank Roulund  <emacs@pank.eu>

	* gnus-fun.el (gnus-x-face-omit-files): Regexp to omit matched results
	from random face commands.
	(gnus-face-directory): Like `gnus-x-face-directory` for png files and
	Face.
	(gnus-face-omit-files): Like `gnus-x-face-omit-files` for Face.
	(gnus--random-face-with-type): Generic function returning a face-type
	as a string.
	(gnus--insert-random-face-with-type): Generic function inserting a face
	in a message buffer header.
	(gnus-random-x-face): Rewritten to use `gnus--random-face-with-type`.
	(gnus-insert-random-x-face-header): Rewritten to use
	`gnus--insert-random-face-with-type`.
	(gnus-random-face): Return random (png) Face as string.
	(nus-insert-random-face-header): Insert random (png) Face in a message
	buffer.

2014-03-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-url.el: Remove all usage of w3.

	* nnrss.el: Ditto.

	* mm-decode.el: Ditto.

	* mm-view.el: Ditto.

	* gnus-setup.el: Remove outdated file.

2014-03-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-accept-article): Make respooling to nnimap
	groups work again.

2014-03-07  George McNinch  <gmcninch@gmail.com>  (tiny change)

	* nnir.el (nnir-run-namazu): Parse namazu results that are larger than
	999 correctly (i.e. "1,342").

2014-03-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-update-files-total-fetched-for): Don't bug
	out if the directory doesn't exist.

2014-03-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-make-group): Clarify prompt.

2014-02-22  Daniel Colascione  <dancol@dancol.org>

	* auth-source.el (auth-source-secrets-listify-pattern): New function.
	(auth-source-secrets-search): Don't pass invalid patterns to secrets.el;
	instead, build list of patterns.

2014-02-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources): Add pointer to what the .gpg extension
	in `auth-sources' means and link to EPA docs.

2014-02-12  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-expand-newtext): Further sub-match fixups
	(bug#12375).

2014-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-tab): Mention what happens on normal tabs
	(bug#11297).

2014-02-08  Glenn Morris  <rgm@gnu.org>

	* auth-source.el (auth-sources): Doc fix.  (Bug#16642)

2014-02-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* ietf-drums.el (ietf-drums-parse-address): Don't bug out when called
	with an empty string.

2014-02-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-summary-cancel-article): `user-mail-address' is
	buffer-local in some buffers, so bind it explicitly in the buffer we're
	trying to cancel the article in (bug#10808).

2014-02-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-request-accept-article): Doc fix.

2014-02-01  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnir.el (nnir-request-update-mark): Don't try to update the source
	group if we can't find it (bug#16611).

2014-01-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-transform-headers): Fix Davmail header parsing.

2014-01-31  Dave Abrahams  <dave@boostpro.com>

	* gnus-salt.el (gnus-tree-highlight-article): Don't move point around
	in the summary buffer (bug#13769).

2014-01-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-setup-buffer): Refresh the summary buffer
	name if we're using a single article buffer.  Otherwise, it may point
	to a killed buffer (bug#13756).

2014-01-30  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-split-it): Instead of redoing the search to restore
	the match data, just save and restore it explicitly (bug#12375).

	* gnus-sum.el (gnus-summary-read-group-1): Initialize the spam code if
	that's needed.

	* spam.el (spam-initialize): Allow calling repeatedly, but only run the
	the code once (bug#9069).

2014-01-18  Steinar Bang  <sb@dod.no>

	* gnus-setup.el (gnus-use-sendmail): We never use sendmail for mail
	reading.

2014-01-09  Ken Olum  <kdo@cosmos.phy.tufts.edu>

	* message.el (message-bury): Call bury-buffer with no argument
	in the message-return-action case too.

2014-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-article-stop-animations): Declare it before using.
	(nnimap-split-fancy, nnimap-split-methods): Declare.

	* mm-util.el (help-function-arglist): Declare.

2013-12-28  Glenn Morris  <rgm@gnu.org>

	* gnus-sieve.el (gnus-sieve-select-method):
	* gravatar.el (gravatar-automatic-caching, gravatar-cache-ttl)
	(gravatar-rating, gravatar-size):
	* message.el (message-minibuffer-local-map):
	* sieve-manage.el (sieve-manage-authenticators)
	(sieve-manage-authenticator-alist): Specify custom types.

	* gnus-icalendar.el (gnus-icalendar-org, gnus-icalendar):
	* gnus-sum.el (gnus-subthread-sort-functions): Add version.
	* gnus-sync.el (gnus-sync-file-encrypt-to): Add type and version.

	* auth-source.el (auth-sources):
	* nnmairix.el (nnmairix-propagate-marks-upon-close):
	Fix custom types.

2013-12-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-respool-query): Special-case nnimap so that
	we get proper traces there, too.

2013-12-26  Sean Connor  <sconnor005@allyinics.org>  (tiny change)

	* gnus-sum.el (gnus-summary-enter-digest-group): Don't discard previous
	value of the parameters if the current article has a Reply-To or From
	field.

2013-12-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-group-buffer): Remove duplicate definition.

2013-12-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-exit): Stop animations.

2013-12-19  Juri Linkov  <juri@jurta.org>

	* gnus.el (gnus-suppress-keymap):
	* gnus-art.el (gnus-article-mode-map):
	* gnus-group.el (gnus-group-mode-map):
	* gnus-sum.el (gnus-summary-mode-map, gnus-summary-backend-map):
	Remove [backspace] key binding because it shadows DEL (bug#16035).

	* mm-decode.el (mm-viewer-completion-map): Remove duplicate definition.

2013-12-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-uu.el (gnus-uu-decode-binhex, gnus-uu-decode-binhex-view):
	Make sure work directory exists.
	(gnus-uu-digest-mail-forward): Store temporary files in work directory
	rather than tmp directory.
	(gnus-summary-prepare-exit-hook): Replace gnus-exit-group-hook, that is
	not necessarily always run, with it.

2013-12-18  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-identities): Make changing the
	value of gnus-icalendar-additional-identities work without restart.

2013-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-make-temp-file):
	Alias to make-temp-file for modern Emacsen.

2013-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-setup-message): Fix the type of argument passed to
	nnir-article-number and nnir-article-group.

2013-12-03  Vitalie Spinu  <spinuvit@gmail.com>

	* message.el (message-send-mail-with-sendmail):
	Don't kill error buffer if sending fails.

2013-11-28  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-event-from-ical)
	(gnus-icalendar-event->org-entry)
	(gnus-icalendar--update-org-event)
	(gnus-icalendar-event->gnus-calendar): Distinguish between
	required/optional/non-participant attendee status.  Fix bug causing
	the first required event participant to be omitted.

2013-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-de-quoted-unreadable)
	(article-de-base64-unreadable, gnus-mime-copy-part)
	* gnus-html.el (gnus-article-html)
	* mm-view.el (mm-inline-text-html-render-with-w3)
	(mm-inline-text-html-render-with-w3m-standalone)
	* rfc2231.el (rfc2231-decode-encoded-string):
	Allow overriding charset by mm-charset-override-alist.

	* gnus-art.el (gnus-article-browse-html-parts):
	Replace LWSPs with `&nbsp;'s in header.

	Work for broken Chinese articles.

	* gnus-art.el (gnus-article-browse-html-save-cid-content):
	Exclude broken handles that gnus-summary-enter-digest-group may create.
	(gnus-article-browse-html-parts):
	Allow overriding charset by mm-charset-override-alist.

2013-11-21  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-additional-identities): New.
	(gnus-icalendar-identities): Support additional-identities.

	* gnus-icalendar.el (gnus-icalendar-event:org-timestamp):
	Fix org-timestamp for events ending at midnight.

2013-11-21  Ivan Shmakov  <ivan@siamics.net>

	* nndoc.el (nndoc-type-alist, nndoc-debbugs-db-type-p):
	Support debbugs .log files.

2013-11-20  Dave Goldberg  <david.goldberg6@verizon.net>

	* message.el (message-beginning-of-line):
	Use beginning-of-visual-line when visual-line-mode is turned on.

2013-11-15  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-event->gnus-calendar)
	(gnus-icalendar-event-from-ical)
	(gnus-icalendar-event->org-entry)
	(gnus-icalendar--update-org-event): Required/optional participation,
	list of attendees synced to org.

2013-11-13  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-event:sync-to-org)
	(gnus-icalendar-event:inline-org-buttons): Allow for appointment
	cancellations to be synced to org if the original appt has an org
	outline.

2013-11-13  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar--format-summary-line)
	(gnus-icalendar-event->org-entry)
	(gnus-icalendar--update-org-event)
	(gnus-icalendar-event->gnus-calendar): Fix empty location handling.

2013-11-12  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-event-from-ical):
	Fix timezone handling in gnus-icalendar export to org.

2013-11-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-cite-add-face): Make non-sticky overlays.

2013-10-30  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-group-browse-foreign-server):
	* gnus-int.el (gnus-start-news-server):
	Silence compiler obsolescence warning.

2013-10-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-open-connection-1): `auth-source-search' for the
	`nnoo-current-server' first, then for the actual `nnimap-address' to
	allow netrc entries for the nnoo server to coexist with netrc entries
	for the `nnimap-address'.

2013-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-dissect-buffer): Revert last change.
	* nndoc.el (nndoc-dissect-mime-parts-sub): Ditto.
	The problem that motivated those changes was attributed to a broken
	mail sender, and has been fixed.

2013-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-dissect-buffer): Guess content-type if the first
	token is missing in the Content-Type header.

	* nndoc.el (nndoc-dissect-mime-parts-sub): Ditto.

2013-09-18  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (image-size): Declare.

2013-09-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-icalendar.el (gnus-icalendar-event--find-attendee)
	(gnus-icalendar-event-from-ical)
	(gnus-icalendar-event--build-reply-event-body)
	(gnus-icalendar-event-reply-from-buffer)
	(gnus-icalendar-find-org-event-file)
	(gnus-icalendar-event->gnus-calendar, gnus-icalendar-reply)
	(gnus-icalendar-mm-inline): Use gmm-labels instead of labels or flet.

	* mm-util.el (mm-special-display-p): Isolate XEmacs stuff.

2013-09-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-salt.el (gnus-tree-mode): Use define-derived-mode.
	Use save-current-buffer.
	(gnus-tree-mode-map): Initialize in the declaration.
	(gnus-pick-mouse-pick-region): Remove unused var `fun'.
	(scroll-in-place): Defvar it.
	(gnus-tmp-*): Defvar them.
	(gnus-get-tree-buffer): Use derived-mode-p.
	(gnus--let-eval): New macro.
	(gnus-tree-highlight-node): Use it to avoid dynamic binding of
	non-prefixed variables.
	(gnus-tree-open, gnus-tree-close): Remove unused arg `group'.

	* gnus-sum.el (gnus-summary-highlight): Remove `below' from the list of
	vars since it doesn't seem to be available.
	(gnus-set-global-variables, gnus-summary-read-group-1)
	(gnus-select-newsgroup, gnus-handle-ephemeral-exit)
	(gnus-summary-display-article, gnus-summary-select-article)
	(gnus-summary-next-article, gnus-offer-save-summaries)
	(gnus-summary-generic-mark): Use derived-mode-p.
	(gnus-summary-read-group-1, gnus-summary-exit)
	(gnus-summary-exit-no-update, gnus-kill-or-deaden-summary):
	Adjust calls to gnus-tree-close and gnus-tree-open.

	* gnus-eform.el (gnus-edit-form-mode): Use define-derived-mode.

	* gnus-agent.el (gnus-category-mode): Use define-derived-mode.
	(gnus-agent-mode): Use derived-mode-p.
	(gnus-agent-rename-group, gnus-agent-delete-group): Don't bind
	gnus-command-method and *-command-method to nil, but bind
	gnus-command-method to *-command-method instead!
	(gnus-agent-fetch-articles): Remove unused var `id'.
	(gnus-agent-fetch-headers): Remove unused arg `force'.
	(gnus-agent-braid-nov): Remove unused arg `group'.  Adjust callers.
	(gnus-agent-save-alist, gnus-agent-save-local): Remove unused `item'.
	(gnus-agent-short-article, gnus-agent-long-article)
	(gnus-agent-low-score, gnus-agent-high-score): Move declaration before
	first use.
	(gnus-agent-fetch-group-1): Remove unused vars `arts', `category',
	`score-param'.
	(gnus-tmp-name, gnus-tmp-groups): Defvar them.
	(gnus-get-predicate): Push in front of the cache, rather than end.
	(gnus-agent-expire-current-dirs, gnus-agent-expire-stats): Defvar them.
	(gnus-agent-expire-group-1): Use push.  Don't abuse dyn-binding.
	(gnus-agent-expire-unagentized-dirs): Don't rebind
	gnus-agent-expire-current-dirs since the defvar silences the warning.
	(gnus-agent-retrieve-headers): Remove unused var `cached-articles'.
	(gnus-agent-regenerate-group): Remove unused vars `point' and `dl'.
	(gnus-agent-regenerate): Simplify interactive spec and doc.

2013-09-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-int.el (gnus-open-server): Silence compiler.

	* mm-decode.el (mm-add-meta-html-tag): Fix regexp matching meta tag.

	* message.el (message-display-completion-list): Abolish.
	(message-completion-in-region): Use display-completion-list.

2013-09-17  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (gnus-message-with-timestamp-1):
	Use `messages-buffer' function if available.  Ignore read-only.

2013-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-expand-group, message-completion-in-region):
	Correct the order of start and end of a region.

2013-09-13  Glenn Morris  <rgm@gnu.org>

	* mml2015.el (gnus-create-image): Autoload it.

	* gnus-spec.el (gnus-xmas-format): Fix weird error call.

	* gnus-html.el (declare-function): Add compat stub for ancient Emacs.
	(image-size): Declare.

2013-09-12  Glenn Morris  <rgm@gnu.org>

	* gnus-icalendar.el (gnus-icalendar-event--build-reply-event-body):
	Avoid using `find', which i) might not be defined at runtime;
	ii) does not work, since its default test is eql, not equal.
	(gnus-mime-action-alist): Declare.

2013-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* score-mode.el (gnus-score-mode-map): Move initialization
	into declaration.
	(gnus-score-mode): Use define-derived-mode.
	* gnus-srvr.el (gnus-browse-mode): Use define-derived-mode.
	* gnus-kill.el (gnus-kill-file-mode-map): Move initialization
	into declaration.
	(gnus-kill-file-mode): Use define-derived-mode.
	(gnus-kill-file-edit-file, gnus-kill-file-enter-kill, gnus-kill):
	Use derived-mode-p.
	* gnus-group.el (gnus-group-mode): Use define-derived-mode.
	(gnus-group-setup-buffer, gnus-group-name-at-point)
	(gnus-group-make-web-group, gnus-group-enter-directory)
	(gnus-group-suspend): Use derived-mode-p.
	* gnus-cus.el (gnus-custom-mode): Use define-derived-mode.
	* gnus-bookmark.el (gnus-bookmark-bmenu-mode): Use define-derived-mode.
	* gnus-art.el (gnus-article-mode): Use define-derived-mode.
	(gnus-article-setup-buffer, gnus-article-prepare)
	(gnus-article-prepare-display, gnus-sticky-article)
	(gnus-kill-sticky-article-buffer, gnus-kill-sticky-article-buffers)
	(gnus-bind-safe-url-regexp, gnus-article-check-buffer)
	(gnus-article-read-summary-keys): Use derived-mode-p.

2013-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-temp-files-delete): Fix file deletion logic.

2013-08-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-coding-system-priorities): Exclude iso-2022-jp-2 and
	shift_jis from the default value set for Japanese users.

2013-08-13  Glenn Morris  <rgm@gnu.org>

	* gnus-icalendar.el (gnus-icalendar-org-capture-file): Fix type.

	* gnus.el (gnus-valid-select-methods): Fix type.

	* nnimap.el (nnimap-request-articles-find-limit): Fix type, version.

2013-08-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Run a timer for the temp files
	deletion after a viewer exits; add a deletion timer for the needsterm
	case, too.

	* mm-decode.el (mm-display-external): Try to delete temporary files by
	using a 1-min. timer.

2013-08-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-temp-files-to-be-deleted, mm-temp-files-cache-file):
	New internal variables.
	(mm-temp-files-delete): New function; add it to gnus-exit-gnus-hook.
	(mm-display-external): Use it to delete temporary files instead of
	using timers.

2013-08-06  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el (gnus-icalendar-event-from-ical): Replace pcase
	with cond for backwards compatability.

2013-08-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-display-external): Bind process-connection-type to
	nil; don't delete a temp file immediately even if a viewer finishes,
	since it may be a shell script, like xdg-open, that launches a real
	viewer program belatedly.

2013-08-05  Dave Abrahams  <dave@boostpro.com>

	* gnus-int.el (gnus-warp-to-article): Allow warping in all groups so
	that we can create nndoc groups that excerpt other groups.

2013-08-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-delay.el (gnus-delay-article): Fix typo.

	* gnus-group.el (gnus-group-delete-articles): Allow deleting only "old"
	articles.

	* gnus-delay.el (gnus-delay-article): Run `message-send-hook' so that
	we can get spell-checking etc.

2013-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-encode-message-header): Unify charsets into
	a single one used for encoding the whole text in a header.

2013-08-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-ignored-news-headers): Delete X-Gnus-Delayed
	before sending.

	* mm-decode.el (mm-command-output): New face.
	(mm-display-external): Use it.

2013-08-01  Kan-Ru Chen (陳侃如)  <kanru@kanru.info>  (tiny change)

	* nnmbox.el (nnmbox-request-article): Don't change point.

2013-08-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-icalendar.el (gnus-icalendar-event:inline-reply-buttons):
	Include `handle' parameter.

2013-08-01  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-icalendar.el: New file.

2013-08-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-warp-to-article): Mention that warp means jump.

	* gnus-uu.el (gnus-uu-mark-thread, gnus-uu-unmark-thread): Work with
	dummy roots, too.

2013-08-01  David Edmondson  <dme@dme.org>

	* mml2015.el (mml2015-epg-key-image-to-string): Protect against bugging
	out on ttys.

2013-08-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-dribble-save): Only save the dribble file if it's
	not empty.

	* nnrss.el (nnrss-discover-feed): Indent.

2013-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-emacs-completing-read): Isolate XEmacs stuff.

2013-07-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): Always mark the data as
	dirty to ensure nnimap data being saved.

2013-07-30  Tassilo Horn  <tsdh@gnu.org>

	* gnus-sum.el (gnus-summary-make-menu-bar): Add "Current thread score"
	menu entry.

	* gnus-score.el (gnus-summary-current-score): Use prefix arg to show
	the current thread's total score instead of the current article's
	score.

	* gnus-sum.el (gnus-subthread-sort-functions): New defcustom.
	(gnus-sort-threads-recursively): Delete defcustom.
	(gnus-sort-threads-recursive): Adapt accordingly.

2013-07-30  Tassilo Horn  <tsdh@gnu.org>

	* gnus-sum.el (gnus-sort-subthreads-recursive): New function.
	(gnus-sort-threads-recursive): Use it.
	(gnus-sort-threads): Unconditionally call `gnus-sort-threads-recursive'
	again.  Now that determines how to sort subthreads.

2013-07-26  Tassilo Horn  <tsdh@gnu.org>

	* gnus-sum.el (gnus-sort-threads-recursively): New defcustom.
	(gnus-sort-threads): Use it.

2013-07-25  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-art.el (gnus-button-url-regexp): Make it match url in which
	punctuation characters follow parentheses (bug#14950).

2013-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-continuum-version):
	* gnus-msg.el (gnus-extended-version): Simplify.

	* gnus.el (gnus-continuum-version-1): Remove.
	* gnus-msg.el (gnus-bug): Revert.

	Calculate gnus-version correctly on Cygwin.

	* gnus.el (gnus-continuum-version): Do main calculations in integers.
	(gnus-continuum-version-1): New function, return a string.

	* gnus-msg.el (gnus-extended-version, gnus-bug):
	Use gnus-continuum-version-1 instead of gnus-continuum-version.

2013-07-19  Geoff Kuenning  <geoff@cs.hmc.edu>  (tiny change)

	* gnus-art.el (gnus-treat-predicate): Allow functions as predicates
	(bug#13384).

2013-07-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-clean-old-newsrc): Remove the newsrc cleanups
	that were only relevant in a development version a long time ago.

2013-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-shr-put-image): Make it work as well for shr.el's
	that the old Emacs 24s bundle.

2013-07-10  David Engster  <deng@randomsample.de>

	* gnus-start.el (gnus-clean-old-newsrc): Always remove 'unexist' marks
	if `gnus-newsrc-file-version' does not match `gnus-version'.
	This fixes a bug in Emacs trunk where the 'unexist' marks were always
	removed at startup because "Gnus v5.13" was considered smaller than "Ma
	Gnus v0.03".

2013-07-10  Tassilo Horn  <tsdh@gnu.org>

	* gnus.el (gnus-summary-line-format):
	Reference `gnus-user-date-format-alist' for the &user-date; format, not
	`gnus-summary-user-date-format-alist'.

2013-07-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnml.el (nnml-request-compact-group): Don't bug out if we can't
	delete files (bug#13481).

2013-07-08  Tassilo Horn  <tsdh@gnu.org>

	* gnus-registry.el (gnus-registry-remove-extra-data): New function.

2013-07-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-block-private-groups): Allow `global' methods to
	display images.

	* gnus.el (gnus-valid-select-methods): Mark nnrss as global.

	* message.el (message-cancel-news): According to
	<mailman.216.1372942181.12400.help-gnu-emacs@gnu.org>, "cancel" is
	preferred over "cmsg cancel" in the Subject.

	* nnir.el (nnir-engines): Note that the group specs are regexps
	(bug#13238).

	* gnus-msg.el (gnus-copy-article-buffer): If the article buffer has
	gotten read-only text properties, ensure that those aren't heeded when
	copying stuff over (bug#13434).

	* mm-view.el (mm-inline-text-html): Don't bug out on multipart messages
	(bug#13762).

2013-07-05  David Kastrup  <dak@gnu.org>

	* auth-source.el (auth-source-netrc-parse-one): Allow empty strings in
	authinfo file again (important for blank passwords).  This had been
	broken with 2013-06-15 change.

2013-07-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups):
	Revert 2013-01-14 change.

2013-07-02  David Engster  <deng@randomsample.de>

	* gnus-sum.el (gnus-update-marks): Do not remove empty 'unexist'
	ranges, since `nnimap-retrieve-group-data-early' also uses it as a flag
	to see whether the group was synced before.

2013-07-02  Martin Stjernholm  <mast@lysator.liu.se>

	* nnimap.el (nnimap-request-move-article): Decode the group name when
	doing internal moves to avoid charset issues.

2013-07-02  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-request-list):
	Revert change that made listing synchronous.
	(nnimap-get-responses): Restore.

2013-07-02  Dave Abrahams  <dave@boostpro.com>

	* nnimap.el (nnimap-change-group): Document result value.

	* nnimap.el (nnimap-find-article-by-message-id):
	Account for the fact that nnimap-change-group can return t.

2013-07-02  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-request-head):
	Resture to-buffer parameter, used by `nnimap-request-move-article'.

	* nnimap.el (nnimap-request-head): Remove to-buffer argument.

	* gnus-int.el (gnus-request-head): Remove to-buffer argument, only
	supported by nnimap actually.  Reverts previous change.

	* gnus-int.el (gnus-request-head): Add an optional to-buffer parameter
	to mimic `gnus-request-article' and enjoy backends the nn*-request-head
	to-buffer argument that is already supported.

2013-07-02  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-get-responses): Remove, unused.

2013-07-02  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-request-articles-find-limit): Rename from
	`nnimap-request-move-articles-find-limit' since we do not use it
	only for move operations.
	(nnimap-request-accept-article):
	Use `nnimap-request-articles-find-limit' to limit search by message-id.

2013-07-02  Julien Danjou  <julien@danjou.info>

	* nnir.el (nnir-run-imap): Fix, use `nnimap-change-group'.

	* nnimap.el (nnimap-log-buffer):
	Check that `window-point-insertion-type' is boundp, since it's not
	available in XEmacs.

2013-07-02  Michael Welsh Duggan  <md5i@md5i.com>

	* nnimap.el (nnimap-log-buffer):
	Add this, setting `window-point-insertion-type' in the buffer to t.
	(nnimap-log-command): Use nnimap-log-buffer.

2013-07-02  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-find-article-by-message-id):
	Add an optional limit argument to be able to limit the search.
	(nnimap-request-move-article):
	Use `nnimap-request-move-articles-find-limit'.
	(nnimap-request-move-articles-find-limit):
	Add this to limit the search by Message-Id after a message move.
	(nnimap): Add defgroup.

2013-07-02  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-find-article-by-message-id):
	Use `nnimap-possibly-change-group' rather than its own EXAMINE call.
	(nnimap-possibly-change-group): Add read-only argument.
	(nnimap-request-list): Use nnimap-possibly-change-group rather than
	issuing EXAMINE manually.
	(nnimap-find-article-by-message-id):
	Use `nnimap-possibly-change-group' with read-only argument.
	(nnimap-change-group): Rename from `nnimap-possibly-change-group'.
	We cannot possibly change because we need to be sure that it's either
	read-write or read-only.

2013-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-insert-old-articles):
	Don't include unexisting messages.

2013-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-clean-old-newsrc):
	Remove totally bogus `unexists' entries.
	(gnus-clean-old-newsrc): Fix last checkin.

	* nnimap.el (nnimap-update-info):
	None of the articles below the active low-water mark exist.

2013-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnimap.el (gnus-refer-thread-use-nnir): Silence the byte compiler.

2013-07-02  Sergio Martinez  <samf0xb58@gmail.com>  (tiny change)

	* nnimap.el (nnimap-request-scan):
	Allow `nnimap-inbox' to be a list of inboxes.

2013-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-expire-articles-1):
	Don't try to expire messages that don't exist.

	* gnus-sum.el (gnus-summary-expire-articles): Ditto.

2013-07-02  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-clean-old-newsrc): Allow a FORCE parameter.

2013-07-02  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-clean-old-newsrc):
	Delete `unexist' from pre-Ma Gnus 0.3.

2013-07-02  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-local-variables):
	Make `gnus-newsgroup-unexist' into a local variable.

2013-07-02  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-adjust-marked-articles):
	Add to `gnus-newsgroup-unexist'.

	* gnus.el (gnus-article-mark-lists):
	Add `unexist' to the list of marks.
	(gnus-article-special-mark-lists):
	Put the `unexist' in the special marks list instead.

	* gnus-sum.el (gnus-articles-to-read): Don't include unexisting
	articles in the list of articles to be selected.

	* nnimap.el (nnimap-retrieve-group-data-early):
	Query for unexisting articles.
	(nnimap-update-info): Keep track of unexisting articles.
	(nnimap-update-qresync-info): Ditto.

2013-07-02  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-clean-old-newsrc): New function.
	(gnus-read-newsrc-file): Use it.

2013-07-02  Daiki Ueno  <ueno@gnu.org>

	* mml2015.el (mml2015-epg-key-image): Use 'gnus-create-image' instead
	of 'create-image' for XEmacs compatibility; check errors when decoding
	image.  Reported by Uwe Brauer.

2013-06-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-extend-url-button): Make it work again with
	gnus-button-push revised at 2011-01-19.

2013-06-19  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-mark-article-as-read): Fix declaration.

2013-06-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-parse-entries): Remove debugging.

2013-06-18  Glenn Morris  <rgm@gnu.org>

	* eww.el, shr.el, shr-color.el: Move to ../net.

2013-06-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-table): Insert the images after the table, so that
	they're not covered by the table colorization, which often looked
	awkward.
	(shr-tag-dl, shr-tag-dt, shr-tag-dd): Add support for <dl>, <dt> and
	<dd>.

2013-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* eww.el (eww-detect-charset): Improve regexp; move backward.

2013-06-18  Glenn Morris  <rgm@gnu.org>

	* mm-decode.el (widget-convert-button): Autoload.

	* sieve-manage.el (mm-enable-multibyte): Autoload.

	* shr.el (libxml-parse-html-region): Declare.
	(shr-render-buffer): Explicit error if no libxml2 support.

2013-06-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-current-line): New function.
	(auth-source-netrc-parse-entries): When a data token is "machine",
	assume we're in the wrong place and abort parsing the current line.

2013-06-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* eww.el (eww-tag-select): Don't render totally empty <select> forms.
	(eww-convert-widgets): Don't bug out if the first widget starts at the
	beginning of the buffer.
	(eww-convert-widgets): Fix last patch.
	(eww-tag-input): Support <input type=image>.

	* shr.el (shr-insert-table): Respect border-collapse: collapse.
	(shr-tag-base): Protect against base specs that are degenerate.
	(shr-ensure-paragraph): Don't delete empty lines that have text
	properties, because these may be input fields.

	* eww.el (eww-convert-widgets): Put `help-echo' on input fields so that
	we can navigate to them.

	* shr.el (shr-colorize-region): Put the colours over the entire region.
	(shr-inhibit-decoration): New variable.
	(shr-add-font): Use it to inhibit text property decorations while doing
	preliminary table renderings.  This speeds up typical Wikipedia page
	renderings by 15%.
	(shr-tag-span): Don't respect the <title>, because that overwrites the
	help-echo from links inside the spans.
	(shr-next-link): Use `help-echo' for navigation, so that we can
	navigate to form elements, too.

	* eww.el (eww-button): New face.
	(eww-convert-widgets): Use it to make submit buttons more button-like.

	* mm-decode.el (mm-convert-shr-links): Override the shr local map, so
	that Gnus commands work.

	* shr.el (shr-render-td): Support horizontal alignment.

	* eww.el (eww-put-color): Remove.
	(eww-colorize-region): Use `add-face-text-property'.

	* shr.el (shr-add-font): Append face data, so that we get the correct
	precedence: The innermost value (which is applied first) wins.
	(shr-make-overlay): Obsolete function.

	* mm-decode.el (mm-convert-shr-links): New function to convert
	new-style shr URL links into widgets.
	(mm-shr): Use it.

	* eww.el (eww-mode-map): Use `shr-next-link' (etc) instead of the
	widget commands, since we're no longer using widgets for links.

	* shr.el (shr-next-link): New command.
	(shr-previous-link): New command.
	(shr-urlify): Don't use `widget-convert', because that's slow.
	(shr-put-color-1): Use `add-face-text-property' instead of overlays,
	because collecting the overlays and reapplying them when generating
	tables is slow.
	(shr-insert-table): Ditto.

2013-06-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sieve.el (sieve-edit-script): Avoid beginning-of-buffer.
	* shr.el (browse-url): Require `url'.
	* eww.el (url): Require format-spec.

2013-06-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* eww.el (eww-display-html): Default to using the entire window width.
	(eww-browse-url): Don't add a User-Agent header (twice), because that
	makes Bing refuse connection.

	* shr.el (shr-make-table): Cache the table rendering at the table
	level, and not the <td> level.  This is a bit faster.

	* eww.el (eww-render): Go to the correct ID when given URLs ending with
	#id.

	* shr.el (shr-tag-li): Don't require a new paragraph, since other
	browsers don't.
	(shr-expand-url): Respect #anchor links.
	(shr-parse-base): Chop off the anchor before using.
	(shr-descend): Respect display: none.
	(shr-descend): Allow marking elements that have certain IDs.

	* eww.el (eww-tag-textarea): Use `text' instead of `editable-field'.

	* shr.el (shr-expand-url): Don't bug out on zero-length links.

	* eww.el (eww-tag-textarea): Support <textarea>.

2013-06-16  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* shr.el (shr-dom-to-xml): Fix function call.

	* eww.el (eww): New group.
	(eww-header-line-format): New custom variable.
	(eww-current-title): New variable.
	(eww-display-html): Update header and handle title tag.
	(eww-update-header-line-format): New function.
	(eww-tag-title): New function.

	* shr.el (shr-dom-to-xml): New function.
	(shr-tag-svg): Add support for the SVG tag.
	(shr-bullet): New custom variable.
	(shr-tag-li): Support custom bullet in unordered lists.

2013-06-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-url): Respect // URLs.

	* eww.el (eww-tag-body): Override the shr body rendering so that we can
	put a background colour onto the entire buffer.
	(eww-render): When being redirected, use the redirect URL as the new
	base URL.

	* shr.el (shr-parse-base): Fix parsing error.

	* eww.el (eww-submit): Pass the base in to `shr-expand-url'.

	* shr.el (shr-parse-base): New function.
	(shr-expand-url): Use it to expand relative URLs reliably.

2013-06-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-search-collection): Fix docstring.
	(auth-source-netrc-parse): Refactor and improve netrc parser to support
	single-quoted strings and multiline entries.
	(auth-source-netrc-parse-next-interesting)
	(auth-source-netrc-parse-one, auth-source-netrc-parse-entries):
	New functions to support parser.

2013-06-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* eww.el (eww-submit): Get submit button logic right when hitting RET
	on non-submit buttons.

	* shr.el: Remove shr-preliminary-table-render, since that can't really
	be used for anything in practice.

2013-06-13  Albert Krewinkel  <tarleb@moltkeplatz.de>

	* sieve.el: Rebind q to (sieve-bury-buffer), bind Q to
	(sieve-manage-quit).

2013-06-14  David Edmondson  <dme@dme.org>  (tiny change)

	* mml2015.el (mml2015-maximum-key-image-dimension): New user option to
	control the maximum size of photo ID image.
	(mml2015-epg-key-image-to-string): Respect it.

2013-06-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-table-1): Mark the preliminary table renderings
	instead of the final one so that we can more easily distinguish them.

	* eww.el (eww-submit): Compute the submission URL correctly.

2013-06-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* sieve-manage.el (sieve-manage-open-server): Don't quote lambda.
	Use plist-get rather than CL's getf.
	(sieve-manage-parse-capability): Avoid CL's remove-if.

2013-06-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-url): Expansion should chop off the bits after the
	last slash.

	* eww.el (eww-tag-select): Use the first value as the default value.

2013-06-13  Rüdiger Sonderfeld  <ruediger@c-plusplus.de>

	* eww.el (eww): Prepend urls with http:// if scheme is missing.
	(eww-mode): Use `define-derived-mode'.
	(eww-parse-headers): Parse headers from beginning of buffer so that
	file:// links work.

2013-06-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* eww.el (eww-detect-charset): Detect charset from the <meta> tag.

2013-06-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-svg): Ignore SVG elements, because we don't know how
	to handle them at all.

2013-06-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* eww.el (eww-convert-widgets): Make widgets from non-tabular layouts
	work, too.
	(eww-tag-select): Implement <select>.

2013-06-10  Albert Krewinkel  <krewinkel@moltkeplatz.de>

	* sieve-manage.el (sieve-manage-open): Work with STARTTLS: shorten
	stream managing functions by using open-protocol-stream to do most of
	the work.  Has the nice benefit of enabling STARTTLS.
	Wait for capabilities after STARTTLS: following RFC5804, the server
	sends new capabilities after successfully establishing a TLS connection
	with the client.  The client should update the cached list of
	capabilities, but we just ignore the answer for now.
	(sieve-manage-network-p, sieve-manage-network-open)
	(sieve-manage-starttls-p, sieve-manage-starttls-open)
	(sieve-manage-forward, sieve-manage-streams)
	(sieve-manage-stream-alist): Remove unneeded functions neither in the
	API, nor called by any other function.
	Enable Multibyte for SieveManage buffers: The parser won't properly
	handle umlauts and line endings unless multibyte is turned on in the
	process buffer.

2013-06-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* eww.el (eww-tag-input): Support password fields.
	(eww-submit): Support POST.

2013-06-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* eww.el (eww-tag-form): Protect against degenerate forms.

	* shr.el (shr-expand-url): Expand URLs that start with a slash
	correctly.

	* eww.el (eww-submit): Get submit button logic right.

	* shr.el (shr-final-table-render): New variable to signal when we're
	doing the final table rendering so that we can collect more data at
	that point.

	* eww.el (eww-submit): Make form submission work.
	(eww-tag-input): Implement submit buttons.
	(eww-click-radio): Implement radio and checkboxes.
	(eww-submit): Handle hidden elements.

	* shr.el (shr-descend): Allow other packages to override (or provide)
	rendering of elements.
	(shr-expand-url): Strip query strings from URLs before expanding them.

	* eww.el: Don't require cl-lib.
	(eww-tag-form): Start form support.

	* eww.el: Start writing a new, tiny web browser.
	(eww-previous-url): New command.
	(eww-quit): New command.

2013-06-10  Albert Krewinkel  <krewinkel@moltkeplatz.de>

	* sieve.el: Put point at beginning of buffer when viewing a script.
	(sieve-open-server): Respect the PORT parameter.  Show the correct port
	number in sieve-buffer's header.  Fixed code to also work with a string
	as port specifier.  Properly close the connection on pressing 'q'.  Make
	sieve-manage-quit close the connection and process buffer.  Also, remove
	duplicate keybinding for 'q'.

2013-06-10  Roy Hashimoto  <roy.hashimoto@gmail.com>  (tiny change)

	* mm-view.el (mm-pkcs7-signed-magic): Allow newline in the regexp and
	make it easier to read.
	(mm-pkcs7-enveloped-magic): Ditto.

2013-06-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-ems.el (gnus-image-type-available-p): Test `display-images-p'
	before `image-type-available-p' to avoid loading the image libraries
	needlessly.

2013-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut, article-update-date-lapsed): Don't
	assume Date header begins with "Date", that may be customized into
	something like "X-Sent" using gnus-article-time-format.
	(article-transform-date): Allow multi-line Date header.

2013-06-02  David Engster  <deng@randomsample.de>

	* registry.el (initialize-instance, registry-lookup)
	(registry-lookup-breaks-before-lexbind, registry-lookup-secondary)
	(registry-lookup-secondary-value, registry-search, registry-delete)
	(registry-insert, registry-reindex, registry-size, registry-prune):
	Do not wrap methods in `eval-and-compile'.  This breaks due to latest
	changes in EIEIO (introduction of eieio-core.el).

2013-05-30  Glenn Morris  <rgm@gnu.org>

	* nnmail.el (nnmail-fancy-expiry-target):
	Also bind mail-dont-reply-to-names.

	* spam-stat.el (spam-stat-save):
	No need to tweak font-lock in temp buffers.

	* shr.el (shr-put-image): Silence compiler.

2013-05-29  Glenn Morris  <rgm@gnu.org>

	* gnus-ems.el (set-process-plist): Every supported Emacs has this.

	* gnus-group.el (gnus-sequence-of-unread-articles)
	(gnus-summary-add-mark, gnus-mark-article-as-read)
	(gnus-group-make-articles-read): Declare.

	* gnus-sum.el (gnus-parameter-list-identifier)
	(gnus-article-stop-animations, gnus-stop-downloads)
	(gnus-article-only-boring-p, article-goto-body)
	(gnus-flush-original-article-buffer, article-narrow-to-head)
	(gnus-article-hidden-text-p, gnus-delete-wash-type)
	(gnus-summary-save-in-pipe, gnus-article-show-summary): Declare.

	* gnus.el: No need to eval-and-compile autoloads.

	* gravatar.el (help-function-arglist): Autoload.

	* nnimap.el (gnus-refer-thread-use-nnir): Declare.

	* nnmail.el (nnmail-fancy-expiry-target): Maybe use mail-dont-reply-to.

	* spam.el: No need to load spam-report when compiling.
	No need to eval-and-compile autoloads.
	(spam-report-resend-to): Declare.
	(spam-report-resend-register-routine): Require 'spam-report.

2013-05-24  Julien Danjou  <julien@danjou.info>

	* sieve.el (sieve-setup-buffer): Fix default port value in sieve buffer
	setup.

2013-05-23  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (rmail-swap-buffers-maybe)
	(rmail-maybe-set-message-counters, rmail-count-new-messages)
	(rmail-summary-exists, rmail-show-message, rmail-summary-displayed)
	(rmail-pop-to-buffer, rmail-maybe-display-summary): Declare.

	* mm-decode.el: No need to load term when compiling.
	(term-mode, term-char-mode): Declare.

	* mm-util.el: No need to load jka-compr when compiling.
	(jka-compr-acceptable-retval-list, jka-compr-make-temp-name): Declare.

	* nnmaildir.el: Require is automatically eval-and-compile.
	(nnmail): Require at run-time too.

	* registry.el (registry-size): Move definition before use.

2013-05-22  Daiki Ueno  <ueno@gnu.org>

	* mml2015.el (mml2015-epg-sign): Make sure to insert newline after the
	signed data to conform the standard.  (Bug#14232)

2013-05-20  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-spec.el (gnus-parse-complex-format): Use unicode escape for left
	double angle quotation mark.

2013-05-19  Adam Sjøgren  <asjo@koldfront.dk>

	* message.el (message-insert-formatted-citation-line): Handle finding
	first/lastname when more than 2 names appear.

2013-05-19  Adam Sjøgren  <asjo@koldfront.dk>

	* shr.el (shr-tag-span): New function.

2013-05-18  Glenn Morris  <rgm@gnu.org>

	* message.el (message-mode): Use message-mode-abbrev-table,
	with text-mode-abbrev-table as parent.  (Bug#14413)

2013-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-expand-group): Decode group names.

2013-05-16  Julien Danjou  <julien@danjou.info>

	* gnus-notifications.el (gnus-notifications-notify): Use photo-file as
	app-icon.

2013-05-15  Glenn Morris  <rgm@gnu.org>

	* shr-color.el (shr-color-visible-luminance-min)
	(shr-color-visible-distance-min): Use shr-color group.

2013-05-11  Glenn Morris  <rgm@gnu.org>

	* gnus-vm.el: Make it loadable without VM.
	(gnus-vm-make-folder, gnus-summary-save-in-vm): Require 'vm.
	(vm-forward-message, vm-reply, vm-mail): Remove unused autoloads.

2013-05-09  Glenn Morris  <rgm@gnu.org>

	* mml1991.el: Make it loadable.  (Bug#13456)

	* gnus-art.el (gnus-article-date-headers, gnus-blocked-images):
	* gnus-async.el (gnus-async-post-fetch-function):
	* gnus-gravatar.el (gnus-gravatar-size, gnus-gravatar-properties):
	* gnus-html.el (gnus-html-image-cache-ttl):
	* gnus-notifications.el (gnus-notifications-timeout):
	* gnus-picon.el (gnus-picon-properties):
	* gnus-util.el (gnus-completion-styles):
	* gnus.el (gnus-other-frame-resume-function):
	* message.el (message-user-organization-file)
	(message-cite-reply-position):
	* nnir.el (nnir-summary-line-format)
	(nnir-retrieve-headers-override-function):
	* shr-color.el (shr-color-visible-luminance-min):
	* shr.el (shr-blocked-images):
	* spam-report.el (spam-report-resend-to):
	* spam.el (spam-summary-exit-behavior): Fix custom types.

	* gnus-salt.el (gnus-selected-tree-face): Fix default.

2013-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-describe-bindings): Require help-mode
	because of let-binding help-xref-following.  (Bug#14356)

2013-05-06  Tassilo Horn  <tassilo@member.fsf.org>

	* message.el (message-bury, message-send-and-exit):
	Revert 2013-05-04 change.

2013-05-06  Glenn Morris  <rgm@gnu.org>

	* mml2015.el (mml2015-epg-sign): Add name="signature.asc".  (Bug#13465)

2013-05-04  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* message.el (message-bury): Make `buffer' optional.
	(message-send-and-exit): Don't pass `buf' so as to hide the buffer
	(bug#14085).

2013-05-04  Andrew Cohen  <cohen@bu.edu>

	* gnus-sum.el (gnus-read-header): Ensure groups are prefixed when
	entering into the registry.

2013-05-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-emacs-completing-read): Fix a filter for XEmacs.
	(Bug#14304)

2013-04-27  Glenn Morris  <rgm@gnu.org>

	* gnus.el (gnus-list-debbugs):
	Use require rather than autoload.  (Bug#14262)

2013-04-27  Julien Danjou  <julien@danjou.info>

	* sieve-manage.el (sieve-manage-authenticator-alist): Update the sieve
	port to "sieve" now that it has an official IANA port assigned.

2013-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-fetch-pop, mail-source-check-pop):
	Don't set the MAILHOST environment variable permanently (Bug#14271).

2013-04-26  Glenn Morris  <rgm@gnu.org>

	* message.el (message-bury): Revert 2013-03-18 change.  (Bug#14117)

2013-04-25  Andrew Cohen  <cohen@bu.edu>

	* gnus-msg.el (gnus-inews-insert-gcc): Re-order conditional to work for
	string values of 'gcc-self.  Thanks to Saroj Thirumalai.

2013-04-24  Andrew Cohen  <cohen@bu.edu>

	* nnir.el (nnir-close-group): Make sure we are in the right group.

	* gnus-sum.el (gnus-summary-insert-articles): Force updates to the
	dependency table from all newly retrieved headers.

2013-04-16  David Edmondson  <dme@dme.org>

	Support <img src="data:...">.

	* shr.el (shr-image-from-data): New function.
	(shr-tag-img): Use it.

2013-04-14  Andrew Cohen  <cohen@bu.edu>

	* nnir.el (nnir-request-set-mark): Make sure we are in the right
	group.

2013-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-msg-mail): Make it avoid using posting styles
	corresponding to any existing group (Bug#14166).

2013-04-10  Andrew Cohen  <cohen@bu.edu>

	* nnir.el (number-sequence): No longer used.
	(nnir-request-set-mark): New function.
	(nnir-request-update-info): Improve marks updating.
	(nnir-request-scan): Don't duplicate marks updating.
	(gnus-group-make-nnir-group, nnir-run-imap, nnir-request-create-group):
	Use 'assq rather than 'assoc.  Quote anonymous function.
	(nnir-request-group, nnir-close-group, gnus-summary-create-nnir-group):
	Use 'gnus-group-prefixed-p.
	(gnus-summary-create-nnir-group): Make sure server for method is open.

2013-04-04  Andrew Cohen  <cohen@bu.edu>

	* nnir.el (gnus-nnir-group-p): New function.
	(nnir-possibly-change-group): Use it.

	* gnus-msg.el (gnus-setup-message): Use it.

2013-04-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-minibuffer-read-description): Use `default' insted of
	`initial-input' for the argument name.
	Suggested by Stefan Monnier <monnier@iro.umontreal.ca>.

2013-04-03  Kevin Layer  <layer@known.net>  (tiny change)

	* mml.el (mml-minibuffer-read-description): Allow passing in a prefix
	(used by MH-E).

2013-04-01  Andrew Cohen  <cohen@bu.edu>

	* nnir.el (nnir-request-update-mark): Improve mark updating in original
	group.

	* gnus-msg.el (nnir-article-number, nnir-article-group): Autoload to
	fix compilation.

2013-03-31  Andrew Cohen  <cohen@bu.edu>

	* nnir.el (nnir-method-default-engines): And another typo.

2013-03-30  Andrew Cohen  <cohen@bu.edu>

	* nnir.el (nnir-method-default-engines): Fix typo.

2013-03-29  Andrew Cohen  <cohen@bu.edu>

	* nnir.el: Define 'number-sequence for xemacs.
	(gnus-summary-create-nnir-group): New function to create an nnir group
	from an nnir summary buffer based on the current query.
	(nnir-request-create-group): Update to allow nnir group creation based
	on the current query.

2013-03-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndraft.el (nndraft-request-expire-articles):
	Make expiry target always `delete'.

2013-03-27  Andrew Cohen  <cohen@bu.edu>

	* gnus-msg.el (gnus-setup-message): When replying from an nnir summary
	buffer use the posting-style and gcc of the original article group.
	(gnus-inews-insert-gcc): Don't set gcc-self for virtual groups.

	* nnir.el: Fix byte-compile warning.  nnoo-define-skeleton should come
	after other deffoos.

2013-03-26  Andrew Cohen  <cohen@bu.edu>

	* nnir.el: Major rewrite.  Cleaner separation between searches and group
	management.  Marks are now shown in nnir summary buffers.
	Rudimentary support for real (i.e. not ephemeral) nnir groups.
	(gnus-summary-make-nnir-group): New function for initiating searches
	from a summary buffer.

2013-03-18  Sam Steingold  <sds@gnu.org>

	* message.el (message-bury): Minor cleanup.

2013-03-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndir.el (nndir-request-list): Remove 2nd argument passed to
	nnml-request-list.  (Bug#13873)
	(nndir-request-newsgroups): Remove, unused.

	* nndraft.el (nndraft-request-newsgroups): Remove, unused.

2013-03-03  Ted Phelps  <phelps@gnusto.com>

	* shr.el: Make all the overlays set the `evaporate' property so that
	they're removed properly.

2013-02-25  Adam Sjøgren  <asjo@koldfront.dk>

	* mml2015.el (mml2015-epg-key-image): Wrap epg-gpg-program in
	shell-quote-argument.

2013-02-22  David Engster  <deng@randomsample.de>

	* gnus-registry.el (gnus-registry-save): Provide class name when
	calling `eieio-persistent-read' to avoid "unsafe call" warning.
	Use `condition-case' to stay compatible with older EIEIO versions which
	only accept one argument.

2013-02-17  Daiki Ueno  <ueno@gnu.org>

	* mml2015.el (epg-key-user-id-list, epg-user-id-string)
	(epg-user-id-validity): Autoload.
	(mml2015-epg-check-user-id): New function.
	(mml2015-epg-check-sub-key): New function split from
	mml2015-epg-find-usable-key.
	(mml2015-epg-find-usable-key): Accept context, name, usage, and
	optional name-is-key-id, to handle the case when user-id is unusable.
	Reported by Łukasz Stelmach <stlman@poczta.fm>.

2013-02-17  Glenn Morris  <rgm@gnu.org>

	* shr.el (shr-put-image): Use image-multi-frame-p if available.

2013-02-16  Glenn Morris  <rgm@gnu.org>

	* shr.el (shr-put-image): Only animate images that specify a delay.
	This is consistent with the old image-animated-p behavior.

2013-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-define-keys): Convert [?\S-\ ] to [(shift space)]
	for XEmacs.

2013-02-13  Juri Linkov  <juri@jurta.org>

	* gnus-art.el (gnus-article-mode-map):
	* gnus-sum.el (gnus-summary-mode-map, gnus-summary-article-map):
	Make S-SPC scroll in the opposite sense to SPC.  (Bug#2145)

2013-02-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnir.el ("nnir"): Add 'virtual ability to nnir backend.  (This was
	done in 2012-07-22 by Andrew Cohen, but I reverted it mistakenly.)

2013-02-07  Gábor Vida  <gabor.v.vida@ericsson.com>  (tiny change)

	* auth-source.el (auth-source-format-prompt): Don't get confused by
	any "\" in replacement text.  (Bug#13637)

2013-01-30  Christopher Schmidt  <christopher@ch.ristopher.com>

	* gnus-int.el (gnus-backend-trace-elapsed): New variable.
	(gnus-backend-trace): Honor gnus-backend-trace.

	* mml.el (mml-insert-part): Insert closing tag.

	* mm-decode.el (mm-save-part): Handle invalid read-file-name results.

2013-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-read-group-1): Protect against not being
	able to find the article, which can happen in debbugs groups,
	apparently.

2013-01-16  Glenn Morris  <rgm@gnu.org>

	* smiley.el (smiley-style): Make the file loadable in batch mode.

2013-01-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-keepalive): Don't throw an error if there's no more
	imap process running.

2013-01-14  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups):
	Compare addresses against addresses, not against the full From field.

2013-01-13  Richard Stallman  <rms@gnu.org>

	* message.el (message-forward-make-body-mime): New args BEG, END
	specify what part of FORWARD-BUFFER to use.  Do the work directly
	instead of calling `mml-insert-buffer'.

2013-01-11  Aaron S. Hawley  <Aaron.Hawley@vtinfo.com>

	* gnus-start.el (gnus-check-new-newsgroups): Fix ambiguous doc string
	cross-reference(s).

	* gnus-sum.el (gnus-summary-newsgroup-prefix): Fix ambiguous doc string
	cross-reference(s).

2013-01-11  Dmitry Antipov  <dmantipov@yandex.ru>

	* gnus-art.el (gnus-mime-display-security): Use point-min-marker
	and point-max-marker.
	* gnus-async.el (gnus-async-article-callback): Use point-max-marker.

2013-01-10  Uwe Brauer  <oub@mat.ucm.es>  (tiny change)

	* mml-smime.el (mml-smime-encrypt-to-self): New user option analogous
	to mml2015-encrypt-to-self.
	(mml-smime-epg-encrypt): Respect mml-smime-encrypt-to-self.

2013-01-09  Daiki Ueno  <ueno@gnu.org>

	* mml-smime.el (epg-sub-key-fingerprint): Autoload for
	mml-smime-epg-find-usable-secret-key.

2013-01-08  Glenn Morris  <rgm@gnu.org>

	* mml-smime.el (mml-smime-sign-with-sender): Add :version.

2013-01-07  Daiki Ueno  <ueno@gnu.org>

	* mml-smime.el: Support signing by sender.
	Requested by Uwe Brauer.
	(mml-smime-sign-with-sender): New user option analogous
	to mml2015-sign-with-sender.
	(mml-smime-epg-sign): Respect mml-smime-sign-with-sender.
	(mml-smime-epg-find-usable-secret-key): New helper function copied from
	mml2015.el.

2012-12-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-insert-gcc): Don't insert Gcc headers if Gnus
	isn't running, because Gnus will probably not know how to handle the
	Gcc header (bug#11941).

	* nnimap.el (nnimap-update-info): Treat \Deleted articles as \Read
	articles.

2012-12-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnfolder.el (nnfolder-recursive-directory-files): New function.
	(nnfolder-generate-active-file): Make this function work with recursive
	folder names.

2012-12-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-open-connection): Use HELP as the capability command
	instead of CAPABILITY because Typhoon v2.2.2.503 chokes completely on
	unknown commands.  And CAPABILITY is an unknown command (bug#12763).

2012-12-27  Wolfgang Jenkner  <wjenkner@inode.at>

	* gnus-spec.el (gnus-face-face-function): Don't use nil as no-op face
	place holder since this gives `Invalid face reference: nil' messages.
	Use the `default' face instead.  It has the same effect here, even
	though it is not no-op.

	* gnus-util.el
	(gnus-put-text-property-excluding-characters-with-faces): Similarly.

2012-12-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-summary-resend-message): Don't bug out on
	non-string posting styles (bug#13285).

2012-12-27  Glenn Morris  <rgm@gnu.org>

	* plstore.el (plstore-passphrase-callback-function):
	Use plstore-get-file.

2012-12-27  Andreas Schwab  <schwab@linux-m68k.org>

	* mml2015.el (mml2015-epg-key-image): Separate attribute stream from
	stderr.

	* nnimap.el (nnimap-find-article-by-message-id): Don't error out if
	group is nil.

	* shr.el (shr-tag-em): Render as italic, not bold.

2012-12-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml2015.el (mml2015-epg-key-image): Use mm-set-buffer-multibyte.

2012-12-25  Adam Sjøgren  <asjo@koldfront.dk>

	* mml2015.el (mml2015-epg-key-image): Use --attribute-fd rather than
	temporary file to get PGP key image.  Pass no-show-photos when
	extracting image to avoid having it pop up twice.

2012-12-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-treat-types): Include text/html as parts
	eligible for treatment.

	* gnus-util.el (gnus-goto-colon): Move to the beginning of the visual
	lines.  This makes summary commands with hidden threads work more
	reliably.

	* gnus-cite.el (gnus-article-hide-citation-maybe): Leave an expansion
	button to mark the hidden citations (bug#9395).

2012-12-26  Daiki Ueno  <ueno@gnu.org>

	* mml2015.el (mml2015-epg-signature-to-string): New function.
	(mml2015-epg-verify-result-to-string): New function.
	(mml2015-epg-decrypt, mml2015-epg-clear-decrypt, mml2015-epg-verify)
	(mml2015-epg-clear-verify): Use mml2015-epg-verify-result-to-string
	instead of epg-verify-result-to-string.
	(epg-signature-key-id, epg-signature-to-string): Autoload.
	(epg-verify-result-to-string): Remove autoload.

2012-12-25  Adam Sjøgren  <asjo@koldfront.dk>

	* mml2015.el (mml2015-epg-key-image): New function, to retrieve photo
	ID image from GPG public key.
	(mml2015-epg-key-image-to-string): New function.

2012-12-25  Leo Liu  <sdl.web@gmail.com>

	* plstore.el (plstore-passphrase-callback-function): Fix error when
	error when plstore-cache-passphrase-for-symmetric-encryption is set
	(bug#13264).

2012-12-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-set-global-variables): Don't copy over the summary
	buffer to the article buffer here, because that clobbers multiple
	article buffers.

	* gnus-art.el (gnus-article-setup-buffer): Make sure that the article
	buffer always points to the right summary buffer.

2012-12-25  John Wiegley  <jwiegley@gmail.com>

	* auth-source.el (auth-source-netrc-parse): Allow using "password" as
	the password (bug#12097).

2012-12-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-a): Don't tagify <A> elements that don't have HREFs
	(bug#13263).

	* gnus-salt.el (gnus-highlight-selected-tree): Check whether the Tree
	buffer exists before using it (bug#12475).

	* gnus-agent.el (gnus-agent-fetch-articles): Don't fetch articles from
	offline groups (bug#11937).

	* message.el (message-yank-original): When using customize to set the
	value of `message-cite-style', the variable it set to a symbol that's
	the name of the variable, which must then be dereferenced (bug#12616).

2012-12-25  Wolfgang Jenkner  <wjenkner@inode.at>

	* lisp/gnus-spec.el (gnus-face-face-function): Initialize the value of
	the `face' property with a list whose car is the face specified in the
	format string and whose cdr is (nil).
	* lisp/gnus-util.el
	(gnus-put-text-property-excluding-characters-with-faces):
	Change accordingly.
	(gnus-get-text-property-excluding-characters-with-faces): New function.
	* lisp/gnus-sum.el (gnus-summary-highlight-line):
	* lisp/gnus-salt.el (gnus-tree-highlight-node):
	* lisp/gnus-group.el (gnus-group-highlight-line): Use it.

2012-12-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-authenticator): Expand to allow specifying the
	login methods.
	(nnimap-login): Respect the `nnimap-authenticator' variable.

	* gnus-sum.el (gnus-summary-push-marks-to-backend): Push the complete
	mark state when moving articles.  Otherwise unticked articles will get
	their ticks back after moving.

2012-12-24  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-browse-delete-group): Fix syntax error.

	* message.el (message-ignored-news-headers): Always remove
	X-Message-SMTP-Method to avoid information leakage if the user
	mistakenly inserts the header into news messages.

	* gnus-srvr.el (gnus-browse-delete-group): New command and keystroke.

	* gnus-sum.el (gnus-summary-hide-thread): If point were further to the
	right than four characters, this command would move point to
	`point-max'.  Don't do that.

	* gnus-group.el (gnus-group-read-ephemeral-group): Set the active data
	to nil to allow re-selecting groups that gain articles.
	(gnus-bug-group-download-format-alist): Update the URL.

2012-12-23  Andreas Schwab  <schwab@suse.de>

	* shr.el (shr-tag-em): Render em as italic, not bold.

2012-12-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-backend-trace): Factor out into its own function
	for reuse.
	(gnus-open-server): Use it to add more tracing.
	(gnus-finish-retrieve-group-infos): Add backend tracing.
	(gnus-backend-trace): Also note the elapsed seconds.

2012-12-22  Philipp Haselwarter  <philipp@haselwarter.org>

	* gnus-sync.el (gnus-sync-file-encrypt-to, gnus-sync-save):
	Set epa-file-encrypt-to from variable to avoid querying.

2012-12-14  Akinori MUSHA  <knu@iDaemons.org>  (tiny change)

	* sieve-mode.el (sieve-font-lock-keywords):
	Keywords should be word delimited.  (Bug#13173)

2012-12-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Use <div align="left">
	instead of <pre> to align message header.

2012-12-12  Sam Steingold  <sds@gnu.org>

	* gnus.el (gnus-other-frame-resume-function): Add user option.
	(gnus-other-frame): Call `gnus-other-frame-resume-function' on resume.

2012-12-06  Sam Steingold  <sds@gnu.org>

	* gnus-start.el (gnus-before-resume-hook): Add.
	(gnus-1): Run it when Gnus is alive.

2012-12-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-called-interactively-p): Restore as a macro.
	* gnus-art.el (article-unsplit-urls)
	* gnus-bookmark.el (gnus-bookmark-bmenu-list)
	* gnus-registry.el (gnus-registry-get-article-marks)
	* message.el (message-goto-body): Use it.
	(message-called-interactively-p): Remove.

	* spam-stat.el (spam-stat-called-interactively-p): New macro.
	(spam-stat-score-buffer): Use it.

	* spam.el: Silence the warnings against BBDB functions when compiling.

	* gnus-score.el (gnus-score-decode-text-parts):
	Use append+mapcar instead of the cl function mapcan.

	* gmm-utils.el (gmm-flet): Remove.

	* gnus-sync.el (gnus-sync-lesync-call):
	Avoid overriding json-alist-p.

	* message.el (message-read-from-minibuffer):
	Avoid overriding mail-abbrev-in-expansion-header-p.

2012-12-05  Sam Steingold  <sds@gnu.org>

	* gnus.el (gnus-delete-gnus-frame): Extract from `gnus-other-frame'.
	(gnus-other-frame): Add `gnus-delete-gnus-frame' to
	`gnus-suspend-gnus-hook' in addition to `gnus-exit-gnus-hook'.

2012-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-called-interactively-p): Revert.
	This seems to cause Emacs to get stuck!
	* gnus-art.el (article-unsplit-urls)
	* gnus-bookmark.el (gnus-bookmark-bmenu-list)
	* gnus-registry.el (gnus-registry-get-article-marks)
	* message.el (message-goto-body)
	(message-called-interactively-p): Revert.

	* gmm-utils.el (gmm-called-interactively-p): New function.
	* gnus-art.el (article-unsplit-urls)
	* gnus-bookmark.el (gnus-bookmark-bmenu-list)
	* gnus-registry.el (gnus-registry-get-article-marks)
	* message.el (message-goto-body): Use it.
	(message-called-interactively-p): Remove.

	* gmm-utils.el (gmm-flet): Restore it using cl-letf.
	* gnus-sync.el (gnus-sync-lesync-call)
	* message.el (message-read-from-minibuffer): Use it.

2012-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-flet): Remove.
	* gnus-sync.el (gnus-sync-lesync-call)
	* message.el (message-read-from-minibuffer): Don't use it.

2012-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-labels): Use cl-labels if available.

2012-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-flet, gmm-labels): New macros.

	* gnus-sync.el (gnus-sync-lesync-call)
	* message.el (message-read-from-minibuffer): Use gmm-flet.

	* gnus-score.el (gnus-score-decode-text-parts): Use gmm-labels.

	* gnus-util.el (gnus-macroexpand-all): Remove.

2012-12-03  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-sum.el (gnus-summary-mode-map): Bind gnus-summary-widget-forward
	to TAB, not [tab].
	(gnus-summary-article-map): Likewise.

	* gnus-sync.el (gnus-sync-newsrc-offsets): Restore definition.
	(gnus-sync-save): Use correct format for gnus-sync-newsrc-loader.

2012-11-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-get-reply-headers):
	Make sure the reply goes to the author if it is a wide reply.

2012-11-16  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-score.el (gnus-score-body):
	* gnus-logic.el (gnus-advanced-body): Don't score by headers when
	scoring by body.

2012-11-16  Glenn Morris  <rgm@gnu.org>

	* gnus-diary.el (nndiary-request-create-group-functions)
	(nndiary-request-update-info-functions)
	(gnus-subscribe-newsgroup-functions)
	(nndiary-request-accept-article-functions):
	Use new names for hooks rather than obsolete aliases.

2012-11-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Always replace charset
	in meta tag with the one the part specifies in its header.

2012-11-02  Stephen Eglen  <S.J.Eglen@damtp.cam.ac.uk>

	* gnus-dired.el (gnus-dired-attach): Attach to last used message buffer
	by default.

2012-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	New UIDL implementation.

	* mail-source.el (mail-sources, mail-source-keyword-map):
	Add :leave as a pop3 keyword.
	(mail-source-fetch-pop): Bind pop3-leave-mail-on-server.

	* pop3.el (pop3-leave-mail-on-server): Allow number.
	(pop3-uidl-file, pop3-uidl-file-backup): New user options.
	(pop3-movemail): Add UIDL support.
	(pop3-send-streaming-command): Take a list of mail numbers instead of
	the number of mails.
	(pop3-write-to-file): Add X-UIDL header.
	(pop3-uidl-stat, pop3-uidl-dele, pop3-uidl-load, pop3-uidl-save)
	(pop3-uidl-add-xheader): New functions.

	* message.el (message-ignored-resent-headers):
	Add X-Content-Length and X-UIDL headers.

2012-10-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nndiary.el (nndiary-request-create-group-functions)
	(nndiary-request-update-info-functions)
	(nndiary-request-accept-article-functions):
	* gnus-start.el (gnus-subscribe-newsgroup-functions): Don't use
	"-hooks" suffix.

2012-10-17  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>  (tiny change)

	* starttls.el (starttls-extra-arguments): Doc fix.

2012-10-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): \r is also not inserted, so don't try to delete
	it.

2012-10-06  Glenn Morris  <rgm@gnu.org>

	* gnus-notifications.el (gnus-notifications):
	Add missing group :version tag.
	* gnus-msg.el (gnus-gcc-pre-body-encode-hook)
	(gnus-gcc-post-body-encode-hook):
	* gnus-sync.el (gnus-sync-lesync-name)
	(gnus-sync-lesync-install-topics): Add missing custom :version tags.

2012-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-delete-temp-files): Never ask again
	a user about whether to delete temp files if once a user answered as n.

2012-09-17  Richard Stallman  <rms@gnu.org>

	* message.el (message-in-body-p): Don't set mark or modify buffer.

	* mml.el (mml-attach-file): Doc fix.
	(mml-attach-external, mml-attach-buffer, mml-attach-file):
	Set mail-encode-mml when in Mail mode.
	Simplify code to set HEAD and move back to HEAD.
	(mml-insert-multipart, mml-insert-part):
	Set mail-encode-mml when in Mail mode.

2012-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-timer--function): New function.

	* gnus-art.el (gnus-article-stop-animations): Use it.

2012-09-13  Paul Eggert  <eggert@cs.ucla.edu>

	Fix glitches caused by addition of psec to timers.
	* gnus-art.el (gnus-article-stop-animations): Use timer--function
	rather than raw access to timer vector.

2012-09-11  Julien Danjou  <julien@danjou.info>

	* gnus-notifications.el (gnus-notifications): Check for nil values in
	ignored addresses check.

2012-09-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* qp.el (quoted-printable-decode-region): Inline+CSE+strength-reduction.

2012-09-07  Chong Yidong  <cyd@gnu.org>

	* gnus-util.el
	(gnus-put-text-property-excluding-characters-with-faces): Restore.

	* gnus-salt.el (gnus-tree-highlight-node):
	* gnus-sum.el (gnus-summary-highlight-line):
	* gnus-group.el (gnus-group-highlight-line): Revert use of add-face.

2012-09-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-util.el: Fix compilation error on XEmacs 21.4.

2012-09-06  Juri Linkov  <juri@jurta.org>

	* gnus-group.el (gnus-read-ephemeral-gmane-group): Change the naming
	scheme for buffer names to be more consistent with other group and
	article buffer names in Gnus.

2012-09-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-util.el
	(gnus-put-text-property-excluding-characters-with-faces): Remove.

	* gnus-compat.el: Define compat function `add-face' from Wolfgang
	Jenkner.

	* gnus-group.el (gnus-group-highlight-line): Use combining faces.

	* gnus-sum.el (gnus-summary-highlight-line): Ditto.

	* gnus-salt.el (gnus-tree-highlight-node): Ditto.

2012-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-score.el (gnus-score-decode-text-parts): Use #' for
	mm-text-parts used in labels macro to make it work with XEmacs 21.5.

	* gnus-util.el (gnus-string-prefix-p): New function, an alias to
	string-prefix-p in Emacs >=23.2.

	* nnmaildir.el (nnmaildir--ensure-suffix, nnmaildir--add-flag)
	(nnmaildir--remove-flag, nnmaildir--scan): Use gnus-string-match-p
	instead of string-match-p.
	(nnmaildir--scan): Use gnus-string-prefix-p instead of string-prefix-p.

2012-09-06  Kenichi Handa  <handa@gnu.org>

	* qp.el (quoted-printable-decode-region): Fix previous change; handle
	lowercase a..f.

2012-09-05  Magnus Henoch  <magnus.henoch@gmail.com>

	* nnmaildir.el (nnmaildir--article-set-flags): Fix compilation error.

2012-09-05  Martin Stjernholm  <mast@lysator.liu.se>

	* gnus-demon.el (gnus-demon-init): Fix regression when IDLE is t and
	TIME is set.

2012-09-05  Juri Linkov  <juri@jurta.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group): Allow opening more
	than one group at a time (bug#11961).

2012-09-05  Julien Danjou  <julien@danjou.info>

	* gnus-srvr.el (gnus-server-open-server): Don't message on failure:
	this hide the real reason with a message giving absolutely no hint.

2012-09-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-mark-article-read): Propagate the read mark
	to the backend (bug#11804).

	* message.el (message-insert-newsgroups): Don't insert newsgroup
	duplicates (bug#12275).

2012-09-05  John Wiegley  <johnw@newartisans.com>

	* gnus.el (gnus-expand-group-parameters): Allow regexp substitutions in
	sieve rules.

2012-09-05  Jan Tatarik  <jan.tatarik@gmail.com>

	* gnus-score.el (gnus-score-decode-text-parts): Use #' for the local
	function.

	* gnus-logic.el (gnus-advanced-body): Allow scoring on decoded bodies.

	* gnus-score.el (gnus-score-decode-text-parts): Ditto.

2012-09-05  Magnus Henoch  <magnus.henoch@gmail.com>

	* nnmaildir.el: Make nnmaildir understand and write maildir flags.
	That is, rename files from "unique:2," to "unique:2,S" for "seen", etc.
	This should make nnmaildir more usable with offlineimap.

2012-09-03  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-notifications.el (gnus-notifications-notify): Use it.

	* gnus-fun.el (gnus-funcall-no-warning): New function to silence
	warnings on XEmacs.

2012-09-01  Paul Eggert  <eggert@cs.ucla.edu>

	Better seeds for (random).
	* gnus-sync.el (gnus-sync-lesync-setup):
	* message.el (message-canlock-generate, message-unique-id):
	Change (random t) to (random), now that the latter is more random.

2012-08-31  Dave Abrahams  <dave@boostpro.com>

	* auth-source.el (auth-sources): Fix macos keychain access.

	* gnus-int.el (gnus-request-head): When gnus-override-method is set,
	allow the backend `request-head' function to determine the group
	name on its own.
	(gnus-request-expire-articles): Filter out negative article numbers
	during expiry (Bug#11980).

	* gnus-range.el (gnus-set-difference): Change gnus-set-difference from
	O(N^2) to O(N).  This makes warping into huge groups tolerable.

	* gnus-registry.el (gnus-try-warping-via-registry): Don't act as though
	you've found the article when you haven't.

2012-08-31  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-notifications.el (gnus-notifications-action): Avoid CL-ism.

2012-08-30  Julien Danjou  <julien@danjou.info>

	* gnus-notifications.el (gnus-notifications-notify): Use timeout from
	`gnus-notifications-timeout'.
	(gnus-notifications-timeout): Add.
	(gnus-notifications-action): New function.
	(gnus-notifications-notify): Add :action using
	`gnus-notifications-action'.
	(gnus-notifications-id-to-msg): New variable.
	(gnus-notifications): Use `gnus-notifications-id-to-msg' to map
	notifications id to messages.

2012-08-30  Kenichi Handa  <handa@gnu.org>

	* qp.el (quoted-printable-decode-region): Decode multiple bytes at
	once.

2012-08-29  Julien Danjou  <julien@danjou.info>

	* gnus-notifications.el: New file.
	(gnus-notifications-notify): New function.
	(gnus-notifications): Use `gnus-notifications-notify'.

2012-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-enter-digest-group): Decode content
	transfer encoding first; bind gnus-newsgroup-charset to the charset
	that the article specifies (Bug#12209).

2012-08-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cus.el (gnus-group-customize): Decode values posting-style holds.
	(gnus-group-customize-done): Encode values posting-style holds.

	* gnus-msg.el (gnus-summary-resend-message)
	(gnus-configure-posting-styles): Decode values posting-style group
	parameter holds.

2012-08-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-resend-message): Honor posting-style for
	`name' and `address' in Resent-From header.

2012-08-14  Chong Yidong  <cyd@gnu.org>

	* gnus-art.el (article-display-face): Handle failure in
	gnus-create-image (Bug#11802).

2012-08-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-agent.el (gnus-agent-cat-defaccessor, gnus-agent-cat-groups):
	Use defsetf.

2012-08-10  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-plstore-search)
	(auth-source-secrets-search): Ignore :require and :type in search spec.

2012-08-06  Julien Danjou  <julien@danjou.info>

	* gnus-demon.el (gnus-demon-add-handler, gnus-demon-remove-handler):
	Remove autoload, already handled by gnus.el.

2012-08-05  Julien Danjou  <julien@danjou.info>

	* gnus-demon.el (gnus-demon-add-handler, gnus-demon-remove-handler):
	Add autoload.

2012-07-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus.el (gnus-valid-select-methods): Fix custom type.

2012-07-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources, auth-source-backend-parse)
	(auth-source-macos-keychain-search)
	(auth-source-macos-keychain-search-items)
	(auth-source-macos-keychain-result-append)
	(auth-source-macos-keychain-create): Support Mac OS X Keychains in
	auth-source.el through the /usr/bin/security utility.
	(auth-sources): Fix syntax error.
	(auth-source-macos-keychain-result-append): Fix variable name.
	(auth-sources, auth-source-macos-keychain-result-append): More fixes.

2012-07-27  Julien Danjou  <julien@danjou.info>

	* message.el (fboundp): Add a defalias on `mail-dont-reply-to' for
	Emacs < 24.1

2012-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-kill-address): Don't kill last newline.
	(message-skip-to-next-address): Don't move to the next header.
	(message-fill-field-address): Work properly.

2012-07-25  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-kill-sticky-article-buffers): Reintroduce.

2012-07-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnimap.el (nnimap-get-responses): Don't remove, still used.

2012-07-24  Julien Danjou  <julien@danjou.info>

	* mail-source.el (mail-source-movemail-and-remove): Remove, unused.

	* nntp.el (nntp-send-nosy-authinfo, nntp-send-authinfo-from-file)
	(nntp-async-timer-handler): Remove, unused.

	* nnimap.el (nnimap-get-responses): Remove, unused.

	* nnheader.el (mail-header-set-extra): Remove, unused.

	* mm-view.el (mm-view-sound-file): Remove, unused.

	* mm-url.el (mm-url-fetch-simple, mm-url-fetch-form)
	(mm-url-encode-multipart-form-data): Remove, unused.

	* message.el (message-remove-signature, message-make-host-name)
	(message-fill-address): Remove, unused.

	* gnus.el (gnus-writable-groups, gnus-group-guess-prefixed-name)
	(gnus-group-guess-full-name, gnus-group-guess-prefixed-name): Remove,
	unused.

	* gnus-uu.el (gnus-uu-find-name-in-shar): Remove, unused.

	* gnus-util.el (gnus-extract-address-component-name)
	(gnus-extract-address-component-email, gnus-sortable-date)
	(gnus-alist-to-hashtable, gnus-hashtable-to-alist)
	(gnus-process-live-p): Remove, unused.

	* gnus-topic.el (gnus-group-parent-topic): Remove, unused.

	* gnus-sum.el (gnus-score-set-default, gnus-article-parent-p)
	(gnus-article-read-p, gnus-uncompress-marks): Remove, unused.
	(gnus-summary-set-current-mark): Remove obsolete, empty and unused
	function.

	* gnus-start.el (gnus-kill-newsgroup): Remove unused obsolete function.

	* gnus-score.el (gnus-summary-score-crossposting)
	(gnus-score-regexp-bad-p): Remove, unused.

	* gnus-salt.el (gnus-tree-goto-article): Remove, unused.

	* gnus-range.el (gnus-sublist-p): Remove, unused.

	* gnus-msg.el (gnus-mail-parse-comma-list, gnus-put-message): Remove,
	unused.

	* gnus-kill.el (gnus-Newsgroup-kill-file): Remove, unused.

	* gnus-int.el (gnus-list-active-group, gnus-request-group-articles)
	(gnus-request-associate-buffer): Remove, unused.

	* gnus-group.el (gnus-group-set-method-info)
	(gnus-group-set-params-info): Remove, unused.

	* gnus-fun.el (gnus-shell-command-to-string)
	(gnus-shell-command-on-region): Remove, unused.

	* gnus-cite.el (gnus-cited-line-p): Remove, unused.

	* gnus-art.el (gnus-article-text-type-exists-p)
	(article-translate-characters, gnus-article-hide-text-of-type)
	(gnus-kill-sticky-article-buffers, gnus-article-maybe-highlight):
	Remove, unused.

2012-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnir.el ("nnir"): Revert last change, that's premature to merge from
	Gnus master.

2012-07-22  Andrew Cohen  <cohen@bu.edu>

	* nnir.el ("nnir"): Add 'virtual ability to nnir backend.

2012-07-21  Julien Danjou  <julien@danjou.info>

	* message.el (message-dont-reply-to-names): Replace deprecated
	`rmail-dont-reply-to-names' with `mail-dont-reply-to-names'.
	(message-get-reply-headers): Ditto.

2012-07-18  Julien Danjou  <julien@danjou.info>

	* sieve-mode.el (sieve-mode-map): Bind C-c C-c to
	`sieve-upload-and-kill'.

	* sieve.el (sieve-bury-buffer): Remove function.
	(sieve-manage-mode-map): Map "q" to `kill-buffer'.
	(sieve-upload-and-kill): New function, mapped to C-c C-c.

2012-07-17  Andreas Schwab  <schwab@linux-m68k.org>

	* shr.el (shr-expand-url): Handle URL starting with `//'.

2012-07-17  Toke Høiland-Jørgensen  <toke@toke.dk>  (tiny change)
2012-07-13  Chong Yidong  <cyd@gnu.org>

	* smime.el (smime-certificate-info): Set buffer-read-only directly,
	instead of calling toggle-read-only with a (bogus) argument.

2012-07-09  Tassilo Horn  <tassilo@member.fsf.org>

	* gnus-sum.el (gnus-summary-limit-to-author): Use default value instead
	of initial input when reading the author to restrict the summary to.

2012-07-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-select-newsgroup): Don't assume that the group
	buffer exists, which it doesn't if we haven't started Gnus.

2012-07-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-shr):
	Allow overriding charset by mm-charset-override-alist.

2012-07-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-view-part):
	Toggle subparts of multipart/alternative part.

2012-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sync.el: Simply require json.

	* registry.el: Simply require eieio and eieio-base.

2012-06-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* tests/gnustest-nntp.el, tests/gnustest-registry.el, tests/: Remove.

2012-06-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* shr.el (shr-render-buffer): New command.
	(shr-visit-file): Use it.

2012-06-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* tests/gnustest-nntp.el, tests/gnustest-registry.el:
	Set no-byte-compile and no-update-autoloads.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el: Add coding cookie for a soft hyphen that mm-shr uses.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-read-summary-keys): Protect against the key
	being bound to a lambda form.

2012-06-26  Wolfgang Jenkner  <wjenkner@inode.at>

	* gnus-picon.el (gnus-picon-properties): New defcustom.
	(gnus-picon-create-glyph): Use it.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el: Add a iso-8859-1 cookie to make stuff work under other
	locales.

	* mm-decode.el (mm-display-part): Dissect archives when hitting `RET'
	on a handle.

	* gnus-sum.el (gnus-summary-limit-to-author): Use the current From
	address as the default.

	* nnfolder.el (nnfolder-save-buffer): Delete old versions silently.
	It makes no sense to query the user about internal files.

	* gnus-spec.el: Remove all the byte-compilation stuff, since
	benchmarking shows that it doesn't help when entering large summary
	buffers.

	* gnus-util.el (gnus-byte-code): Remove.

	* gnus-spec.el (gnus-update-format-specifications): Remove outdated
	grouplens stuff.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-msg-mail): Warn the user about Gnus not running
	(bug#11514).

2012-06-26  Stephen Eglen  <S.J.Eglen@damtp.cam.ac.uk>

	* message.el (message-buffers): Return all buffers derived from Message
	to make `gnus-dired-attach' work with mu4e.

2012-06-26  Daiki Ueno  <ueno@unixuser.org>

	* mm-decode.el (mm-inhibit-auto-detect-attachment): New variable.
	(mm-dissect-singlepart): Don't guess the MIME type of
	application/octet-stream parts if mm-inhibit-auto-detect-attachment is
	set.
	(mm-dissect-multipart): Bind mm-inhibit-auto-detect-attachment if the
	toplevel MIME type is multipart/encrypted.

2012-06-26  Wolfgang Jenkner  <wjenkner@inode.at>

	* gnus-agent.el (gnus-agent-save-active): Deal with the "groups" format.
	In particular, add an optional argument and a docstring.

	* gnus-start.el (gnus-groups-to-gnus-format): Use it.

	* nntp.el (nntp-finish-retrieve-group-infos): Make `nntp-server-buffer'
	current before calling `gnus-groups-to-gnus-format'.
	Note that this was already the case for `gnus-active-to-gnus-format'.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* pop3.el (pop3-wait-for-messages): Fix retrieved data size calculation.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-dissect-buffer): Doc fix.

	* gnus-sum.el (gnus-handle-ephemeral-exit):
	Avoid creating the group buffer if it doesn't exist.

	* gnus-group.el (gnus-group-read-ephemeral-group): If no quit-config
	is given, mark the group as ephemeral with the current window conf.

	* gnus-sum.el (gnus-set-global-variables): Don't assume that the group
	buffer exists, which it doesn't if we haven't started Gnus.
	(gnus-summary-exit): Allow quitting when we don't have a group buffer.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mml.el (mml-generate-mime):
	Allow specifying what the top-level part type is.

	* gnus-sum.el (gnus-auto-center-summary):
	`scroll-margin' isn't defined on XEmacs.

2012-06-26  Philipp Haselwarter  <philipp.haselwarter@gmx.de>  (tiny change)

	* gnus-sum.el (gnus-auto-center-summary):
	Set default to respect `scroll-margin'.

2012-06-26  Elias Oltmanns  <eo@nebensachen.de>  (tiny change)

	* gnus-cite.el (gnus-dissect-cited-text): A single line without
	citation prefix within a block of cited text should be considered
	part of that block *only* if it is a blank line.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-find-fill-point): Remove unused code; don't break a line
	before kinsoku-bol characters nor within kinsoku-eol characters.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sync.el (gnus-topic-alist, gnus-group-topic)
	(gnus-topic-create-topic, gnus-topic-enter-dribble):
	Silence compiler.
	(gnus-sync-read): Use mapc instead of mapcar.

	* mm-archive.el: Require mm-decode for some macros.
	(gnus-recursive-directory-files, mailcap-extension-to-mime):
	Silence the byte compiler.
	(mm-archive-decoders): New function that returns the value of
	the mm-archive-decoders variable.

	* mm-decode.el:
	Don't require mm-archive; autoload mm-archive functions instead.
	(mm-dissect-singlepart): Use the function mm-archive-decoders.

	* nnmail.el (mail-send-and-exit): Silence the byte compiler.

2012-06-26  Peter Münster  <pmrb@free.fr>

	* gnus-demon.el (gnus-demon-timers): Now a plist (function -> timer).
	(gnus-demon-cancel): Ditto.
	(gnus-demon-run-callback): When function cannot be called due to low
	idleness, call it when idleness reaches the expected value, instead
	of waiting another timer period.
	(gnus-demon-init): Add `time' to arguments of call-back.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el: Register gnus-registry functions.

	* gnus-registry.el (gnus-try-warping-via-registry):
	Move here and indent.

	* gnus-int.el (gnus-warp-to-article):
	Check whether the registry is enabled before warping.

2012-06-26  Dave Abrahams  <dave@boostpro.com>

	* gnus-sum.el (gnus-summary-insert-subject): Record information
	in the registry about each article retrieved.

	* gnus-int.el (gnus-select-group-with-message-id): New function.
	(gnus-try-warping-via-registry): Ditto.
	(gnus-warp-to-article): Fall back on the registry.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-fetch-partial-articles): Minor doc string fixup.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-resend-message-insert-gcc): Assume that
	gnus-gcc-self-resent-messages may be a group parameter.
	(gnus-summary-resend-message):
	Don't encode encoded words in header when Gcc'ing resent message.

2012-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Treat non-breaking space just like normal
	space.  This seems to produce more pleasing results.
	(shr-insert):
	Only insert a blank line if we're starting from an image.
	(shr-tag-br):
	Allow <br> to end lines or to make a single blank line.
	(shr-ensure-paragraph): Consider lines with white space to be blank.

2012-06-26  Christopher Schmidt  <christopher@ch.ristopher.com>

	* gnus-msg.el (gnus-inews-do-gcc): Add gnus-gcc-pre-body-encode-hook
	and gnus-gcc-post-body-encode-hook.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-dissect-singlepart):
	Guess what the type of application/octet-stream parts really is.

	* gnus-sum.el (gnus-propagate-marks): Remove.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-coding-system-for-read): Remove.
	(nntp-coding-system-for-write): Ditto.
	(nntp-open-connection): Just use `binary' directly.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-usage-test, registry-persistence-test):
	Move to tests/gnustest-registry.el.
	(registry-make-testable-db, registry-match-test)
	(registry-instantiation-test): Move to tests/gnustest-registry.el.

	* gnus-registry.el (gnus-registry-misc-test)
	(gnus-registry-usage-test): Move to tests/gnustest-registry.el.

	* tests/gnustest-registry.el:
	New file with the registry and gnus-registry ERT tests.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-summary-resend-message):
	Make gnus-summary-resend-message-insert-gcc be last item in
	message-header-setup-hook.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnfolder.el (nnfolder-marks-directory, nnfolder-marks-is-evil)
	(nnfolder-marks, nnfolder-marks-file-suffix)
	(nnfolder-marks-modtime): Remove.
	(nnfolder-open-server): Don't use marks.
	(nnfolder-request-delete-group): Ditto.
	(nnfolder-request-rename-group): Ditto.
	(nnfolder-request-set-mark, nnfolder-request-marks)
	(nnfolder-group-marks-pathname, nnfolder-marks-changed-p)
	(nnfolder-save-marks, nnfolder-open-marks): Remove.

	* nnml.el (nnml-marks-is-evil, nnml-marks-file-name, nnml-marks)
	(nnml-marks-modtime): Remove.
	(nnml-request-delete-group): Don't use marks.
	(nnml-request-rename-group): Ditto.
	(nnml-request-set-mark, nnml-request-marks, nnml-marks-changed-p)
	(nnml-save-marks, nnml-open-marks): Remove.

	* nntp.el (nntp-marks-is-evil, nntp-marks-file-name, nntp-marks)
	(nntp-marks-modtime, nntp-marks-directory, nntp-request-set-mark)
	(nntp-request-marks, nntp-marks-directory, nntp-marks-changed-p)
	(nntp-save-marks, nntp-open-marks, nntp-possibly-create-directory)
	(nntp-server-to-method-cache): Remove.

	* shr.el (shr-rescale-image): Fix wrong merge.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-remove-trailing-whitespace):
	Really delete the padding on too-wide lines.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-archive.el (mm-archive-dissect-and-inline): New function.
	(mm-archive-dissect-and-inline): Fix up the undisplayer.

	* mm-decode.el (mm-display-external): Output the text from
	the command in the buffer after the command finished.
	This makes text-based commands behave better.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (smtpmail-smtp-user): Silence compiler warning.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-multi-smtp-send-mail): Also allow specifying
	the SMTP user name.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-article-map): Fix typo.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-multi-smtp-send-mail): New function.
	(message-multi-smtp-send-mail): Respect the X-Message-SMTP-Method
	header to implement multi-SMTP functionality.

	* gnus-agent.el (gnus-agent-send-mail-function): Remove.
	(gnus-agentize): Don't set it.
	(gnus-agent-send-mail): Don't use it.

	* gnus-sum.el (gnus-summary-widget-backward):
	New function and keystroke.

	* shr.el (shr-put-image): Remove underlines from sliced images.
	(shr-zoom-image): Compute the region to be replaced more correctly.

2012-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-gcc-self-resent-messages): New user option.
	(gnus-summary-resend-message-insert-gcc): New function.
	(gnus-summary-resend-message): Modify message-header-setup-hook and
	message-sent-hook to make it work for Gcc.
	(gnus-inews-do-gcc): Update the number of unread articles of groups
	that messages are Gcc'd to.

	* message.el (message-resend): Run message-sent-hook to do Gcc.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el (gnus-registry-fixup-registry):
	Move the message to a higher level to silence compilation.

	* gnus-art.el (gnus-shr-put-image): Take and pass on a `flags'
	parameter to allow controlling the scaling.

	* shr.el (shr-zoom-image): New command and keystroke.
	(shr-put-image): Take a `size' flag to say how to scale the image.

	* mm-archive.el (mm-dissect-archive): Use it to get all file names.
	Use recursive deletion.
	(mm-dissect-archive): Add support for zip files.

	* gnus-util.el (gnus-recursive-directory-files): New function.

	* mm-archive.el (mm-archive-list-files): Inline text and image parts.
	(mm-archive-decoders): Add tgz support.

	* mm-decode.el (mm-shr): Make sure that the HTML ends with a newline.
	Otherwise inserting text into the Gnus buffer can look odd.

	* gnus-art.el (gnus-mime-inline-part): Slight clean-up.

	* mm-archive.el (mm-archive-decoders): Add support for tar.

	* gnus.el (gnus-logo-color-alist): Change the colours for Ma Gnus.

	* nnmail.el (nnmail-extra-headers): Add Cc to the default.

2012-06-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-dissect-singlepart): Check that the decoder exists.

	* mm-archive.el: New file.

	* mm-decode.el (mm-dissect-singlepart):
	Use it to decode ms-tnef files.

	* mm-util.el (mm-find-buffer-file-coding-system): Comment fix.

	* message.el (message-goto-*): Make all the `message-goto-*' commands
	push the mark before moving point.  This makes it easier to go back
	to where you came from after editing whatever you jumped to.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el (gnus-sync-newsrc-groups): Quote normally.
	(gnus-sync-lesync-pre-save-group-entry): Remove invalid invlists.
	(gnus-sync-lesync-normalize-group-entry): Ignore a few more keys.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: Move BBDB autoloads.
	(spam-exists-in-BBDB-p):
	New function to do the BBDB search directly in BBDB 2 and 3.
	(spam-check-BBDB): Use it.
	(spam-enter-ham-BBDB): Use it.

2012-06-26  Peter Münster  <pmrb@free.fr>  (tiny change)

	* gnus-group.el (gnus-group-get-new-news):
	New parameter `one-level' for scanning exactly one level.

	* gnus-start.el (gnus-get-unread-articles): Ditto.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el: More commentary about setup.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el: More commentary about `gnus-sync-read' issues.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el: Improve docs about CouchDB admins.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el (gnus-sync-lesync-setup): Fix salt when user setup is
	not needed.  Provide xmlplistread list function to produce XML plist
	output for non-Gnus LeSync clients.

2012-06-26  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el: Add LeSync synchronization backend and logic to read
	and save against it.  Group subscriptions, read marks, other marks,
	subscription levels, topic names, and topic offsets (the group's
	position within the topic) are saved.  This is an experimental
	backend and may change significantly.  Load json.el from
	the gnus-fallback-lib if it's not available otherwise.
	(gnus-sync-save): Don't use `apply-partially' because of XEmacs.

2012-06-26  David Engster  <dengste@eml.cc>

	* tests/gnustest-nntp.el: New file for simple NNTP testing.

2012-06-18  Nelson Ferreira  <nelson.ferreira@ieee.org>  (tiny change)

	* gnus-win.el (gnus-configure-frame): Pass an arg to window-dedicated-p.

2012-06-17  Toke Høiland-Jørgensen  <toke@toke.dk>  (tiny change)

	* nnmaildir.el (nnmaildir-request-expire-articles): Ensure that `time'
	is an integer to avoid later problems.

2012-06-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el: Add a iso-8859-1 cookie to make stuff work under other
	locales.

2012-04-14  Wolfgang Jenkner  <wjenkner@inode.at>

	* gnus-agent.el (gnus-agent-retrieve-headers): Recalculate the range of
	articles when fetch-old is non-nil (bug#11370).

2012-06-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-get-new-news):
	Respect `gnus-group-use-permanent-levels', as documented (bug#11638).

2012-06-10  Dave Abrahams  <dave@boostpro.com>

	* gnus-int.el (gnus-warp-to-article): Limit registry warping to real
	groups (bug#11641).

2012-06-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-msg-mail): Warn the user about Gnus not running
	(bug#11514).

2012-06-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el: Stop the `letf' madness.
	(nntp--report-1): New var.
	(nntp-report): Merge nntp-report-1 into it.
	(nntp-with-open-group-function): Set nntp--report-1 instead of modifying
	the nntp-report function.

	* auth-source.el: Fix comment-style to follow the convention.

2012-05-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-msg-mail): Ensure that gnus-newsgroup-name is
	a string so that Gcc works (bug#11514).

2012-05-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* legacy-gnus-agent.el (gnus-agent-unhook-expire-days):
	* gnus-demon.el (gnus-demon-init): Don't bother with type-of.

2012-05-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-win.el (gnus-configure-frame): Don't signal an error when
	jumping to *Server* from a dedicated *Group* window.
	(gnus-configure-frame): CSE.

	* gnus-registry.el: Minor style cleanup.
	(gnus-registry--set/remove-mark): New function, extracted from
	gnus-registry-install-shortcuts.
	(gnus-registry-install-shortcuts): Use it.

2012-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnspool.el (news-path): Use eval-and-compile.

2012-05-24  Glenn Morris  <rgm@gnu.org>

	* nnspool.el (news-directory, news-path, news-inews-program):
	Move here from paths.el.  Don't see a need for these to be autoloaded.

	* gnus.el (gnus-default-nntp-server): Make it a defcustom.
	Merge in doc from paths.el version.  Don't see any need for this to be
	autoloaded, or for the warning about users not setting it.

2012-05-04  Paul Eggert  <eggert@cs.ucla.edu>

	Fix minor Y10k bug.
	* nnweb.el (nnweb-google-parse-1): Don't assume years have 4 digits.

2012-05-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-open-connection-1): Don't leave an "opening..."
	message once it's actually open.

2012-04-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* auth-source.el (auth-source--aput-1, auth-source--aput)
	(auth-source--aget): New functions and macros.
	Use them instead of aput/aget.

2012-04-27  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus.el (debbugs-gnu): Don't override existing autoload definition.

2012-04-26  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el (plstore-called-interactively-p): New compat macro copied
	from message.el.
	(plstore-mode): Use it.

2012-04-26  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el: Revive the editing feature.
	(plstore-mode): New mode to edit plstore file.
	(plstore-mode-toggle-display, plstore-mode-original)
	(plstore-mode-decoded): New command.
	(plstore--encode, plstore--decode, plstore--write-contents-functions)
	(plstore--insert-buffer, plstore--make): New function.
	(plstore-open, plstore-save): Simplify by using them.

2012-04-16  Glenn Morris  <rgm@gnu.org>

	* nndraft.el (nndraft-request-list): Fix declaration.

2012-04-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-insert-gcc): Don't do the alist stuff when we
	don't have a current group.

	* gnus-msg.el (gnus-inews-insert-gcc): Protect against when we don't
	have a group name.

	* gnus-art.el (article-wash-html): Ensure that we insert the HTML into
	a multibyte buffer (bug#7410).
	(article-wash-html): Parse the original article buffer to get the
	unencoded data (bug#7410).

	* gnus-start.el (gnus-read-newsrc-el-file): Protect against broken
	.newsrc.el files.

2012-04-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-summary-cancel-article): See what From header we
	would have gotten if we posted to the group, and use that to compare
	against the message we want to cancel (bug#10808).

2012-03-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-netrc-create): Quote tokens that contain
	"#" to avoid having them interpreted as comments.

2012-03-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Update the text state properly to avoid
	inserting spurious paragraph starts.

2012-03-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Don't propagate marks unless
	requested (bug#10961).

	* shr.el (shr-table-widths): Divide the extra width more fairly over
	the TDs (bug#10973).
	(shr-render-td): Don't delete too much padding.
	(shr-natural-width): Compute the natural width more correctly.
	(shr-insert): Allow the natural width to be computed for tables again.
	(shr-tag-table-1): Rework how the natural widths are computed by
	rendering the table a third time.
	(shr-natural-width): Remove.
	(shr-buffer-width): New function.
	(shr-expand-newlines): Use it.

	* gnus-msg.el (gnus-bug): Don't delete the other windows.  We may be
	using a `gnus-use-full-window' setup (bug#11013).

2012-03-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-backend-trace): Flip default to nil before Emacs
	24.1 release.

2012-03-10  David Edmondson  <dme@dme.org>

	* mm-uu.el (mm-uu-forward-extract): Allow for blank lines between the
	'Forwarded Message' header and the start of the message.

2012-03-04  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* gnus-msg.el (gnus-msg-mail): Call `message-mail' correctly when Gnus
	isn't running (bug#10897).

2012-02-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-column-specs): Protect against TDs with "width: 0%".

2012-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-send-authinfo): Work for secure nntp entry in authinfo.

2012-02-20  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-shr): Remove "soft hyphens".

	* nnimap.el (nnimap-request-list): Return the group names encoded as
	utf8.  Otherwise non-European group names don't work.
	(nnimap-request-newgroups): Ditto.

	* gnus-sum.el (gnus-summary-insert-old-articles): Fix the syntax for
	the default in `read-string' (bug#10757).

	* gnus-msg.el (gnus-group-post-news): Don't bug out on `C-u a' on
	topics (bug#10843).

	* nnimap.el (nnimap-log-command): Add the IMAP address to the log
	buffer.  Suggested by Herbert Valerio Riedel.
	(nnimap-request-move-article): Delete the message from the correct IMAP
	server.

2012-02-19  Gábor Vida  <vidagabor@gmail.com>  (tiny change)

	* gnus-demon.el (gnus-demon-init): Don't multiply time twice.
	Reported by Peter Münster.

2012-02-18  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-image-fetched): Make sure we really kill the right
	buffer.

2012-02-16  Leo Liu  <sdl.web@gmail.com>

	* gnus-start.el (gnus-1): Avoid duplicate entries.

2012-02-15  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-remove-trailing-whitespace): Really delete the padding on
	too-wide lines.

2012-02-15  Paul Eggert  <eggert@cs.ucla.edu>

	* shr.el (shr-rescale-image): Undo previous change; see
	<http://lists.gnu.org/archive/html/emacs-devel/2012-02/msg00540.html>.

2012-02-13  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-record-commands): New variable.
	(nnimap-log-command): Use it.
	(nnimap-make-process-buffer): Add a space to the process buffer.
	(nnimap-transform-headers): Don't bug out on header lines containing
	stuff that look like IMAP length encodings.

	* shr.el (shr-rescale-image): Allow viewing large images.

2012-02-12  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnml.el (nnml-request-compact-group): Delete the marks file after
	compaction (bug#10800).

	* gnus-art.el (gnus-stop-downloads): Stop `url-queue' downloads on
	group exit.

	* nnimap.el (nnimap-parse-flags): Parse correctly when we have mixed
	QRESYNC/FETCH output.

2012-02-11  Glenn Morris  <rgm@gnu.org>

	* sieve-manage.el (sieve-manage-default-stream):
	* shr.el (shr):
	* nnir.el (nnir-ignored-newsgroups, nnir-summary-line-format)
	(nnir-retrieve-headers-override-function)
	(nnir-imap-default-search-key, nnir-notmuch-program)
	(nnir-notmuch-additional-switches, nnir-notmuch-remove-prefix)
	(nnir-method-default-engines):
	* message.el (message-cite-reply-position):
	* gssapi.el (gssapi-program):
	* gravatar.el (gravatar):
	* gnus-sum.el (gnus-refer-thread-use-nnir):
	* gnus-registry.el (gnus-registry-unfollowed-addresses)
	(gnus-registry-max-pruned-entries):
	* gnus-picon.el (gnus-picon-inhibit-top-level-domains):
	* gnus-int.el (gnus-after-set-mark-hook)
	(gnus-before-update-mark-hook):
	* gnus-async.el (gnus-async-post-fetch-function):
	* auth-source.el (auth-source-cache-expiry):
	Add missing :version tags to new defcustoms and defgroups.

2012-02-10  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-default-send-mail-function): Made into own
	function for reuse by emacsbug.el.

2012-02-09  Juanma Barranquero  <lekktu@gmail.com>

	* gnus.el (gnus-method-ephemeral-p): Move after declaration of defsubst
	`gnus-sloppily-equal-method-parameters' to avoid a warning.

2012-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-msg-mail): Use `message-mail' if Gnus isn't
	running.

	* nnimap.el (nnimap-wait-for-response): Minor fixup of message string.

	* gnus.el (gnus-server-extend-method): Don't add an -address component
	if the method already has one (bug#9676).

2012-02-08  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-insert-old-articles): Use a default instead
	of an initial-input for consistency (bug#10757).

	* shr.el: Inhibit getting and sending cookies when fetching pictures.

	* gnus-html.el (gnus-html-schedule-image-fetching): Ditto.

2012-02-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-remove-trailing-whitespace): Don't strip whitespace from
	lines that are narrower than the window width.  Otherwise background
	"blocks" will look less readable.

2012-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-thread): Revert last two changes.

2012-02-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-transform-headers): Remove unused variable.
	(nnimap-transform-headers): Fix parsing BODYSTRUCTURE elements that
	have newlines within the strings, and where the UID comes after the
	BODYSTRUCTURE element (bug#10537).

	* shr-color.el (shr-color-set-minimum-interval): Rename to add prefix
	(bug#10732).

	* shr.el (shr-insert-document): Add doc string.
	(shr-visit-file): Ditto.
	(shr-remove-trailing-whitespace): New function.
	(shr-insert-document): Use it to clean up trailing whitespace as the
	final step (bug#10714).

2012-02-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-exit-no-update): Really deaden the summary
	buffer if `gnus-kill-summary-on-exit' is nil.

2012-02-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-thread):
	next-single-char-property-change may return nil in XEmacs.

2012-02-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-handle-ephemeral-exit): Allow exiting from Gnus
	when just reading a single group from "without" Gnus.

2012-02-06  Chong Yidong  <cyd@gnu.org>

	* gnus-sum.el (gnus-summary-show-thread):
	next-single-char-property-change never returns nil (Bug#8657).

2012-02-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-server): Allow switching the nnoo server
	without reconnecting.
	(nnimap-possibly-change-group): Ditto.
	(nnimap-finish-retrieve-group-infos): Don't reconnect if the server
	connection has died before being called.

2012-02-02  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-retrieve-group-data-early): Don't say we're doing
	an initial sync unless we're really doing one.

	* gnus-group.el (gnus-group-read-ephemeral-group): Don't add a new
	address parameter if one already exists (bug#9676).

	* gnus-msg.el (gnus-summary-mail-forward): Respect the process marks,
	not the prefix, as documented (bug#10689).

2012-02-01  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-valid-select-methods): nnmaildir also saves marks in
	the "server".

	* gnus-group.el (gnus-group-get-new-news-this-group): Don't overwrite
	the real error message with the useless "previously known to be down".
	Which isn't even correct.

	* nntp.el (nntp-open-connection): Report the error message if the nntp
	server can't be reached.

	* nnimap.el (nnimap-retrieve-group-data-early): Keep track of how many
	groups we do a total scan for.
	(nnimap-wait-for-response): Say that we're doing a total scan, if we're
	doing that.

2012-01-31  Jim Meyering  <jim@meyering.net>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs):
	Correct a comment (insert "not") and hide nominally-doubled "to".

2012-01-30  Philipp Haselwarter  <philipp.haselwarter@gmx.de>  (tiny change)

	* gnus-agent.el (gnus-agent-auto-agentize-methods): Point to the Agent
	section in the manual.

2012-01-30  Lars Ingebrigtsen  <larsi@gnus.org>

	* rfc2047.el (rfc2047-encode-region): Allow not folding the encoded
	words.
	(rfc2047-encode-string): Ditto.
	(rfc2047-encode-parameter): Don't fold parameters.  Some MUAs do not
	understand folded filename="..." parameters, for instance.

	* nnimap.el (nnimap-wait-for-response): Include the imap server name in
	the message for greater debuggability.

2012-01-28  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-view.el (mm-display-inline-fontify): Bind `font-lock-support-mode'
	instead of setting it locally, since the latter doesn't seem to have
	any effect (most of the time).

2012-01-27  Elias Pipping  <pipping@lavabit.com>  (tiny change)

	* shr.el (shr-browse-url): Fix the name of the `browse-url-mail'
	function call.

2012-01-27  Gábor Vida  <vidagabor@gmail.com>  (tiny change)

	* gnus-demon.el (gnus-demon-run-callback, gnus-demon-init): Convert to
	seconds, and make the repeat clause with HH:MM specs work as
	documented.

2012-01-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Clear out "early" methods
	so that previous errors don't prohibit getting new news.

	* nnimap.el (nnimap-retrieve-group-data-early): Ditto.

	* nntp.el (nntp-retrieve-group-data-early): Ditto.

2012-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-mode): Don't make bidi-paragraph-direction
	bound globally in old Emacsen and XEmacsen.

2012-01-26  Nick Alcock  <nick.alcock@oracle.com>  (tiny change)

	* gnus.el (gnus-group-find-parameter): Check for liveness of the
	buffer, not of the string which is its name.

2012-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-move-article): Don't propagate marks to
	non-server-marks groups.
	(gnus-group-make-articles-read): Ditto.

	* gnus-srvr.el (gnus-server-prepare): Use it to avoid showing ephemeral
	methods (bug#9676).

	* gnus.el (gnus-method-ephemeral-p): New function.

2012-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-mode): Force paragraph direction to be
	left-to-right.

2012-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnir-search-thread): Autoload to avoid a compilation
	warning.

2012-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-line-format-alist): Don't try to
	macroexpand the nnir things, since they haven't been defined yet, and
	nnir requires gnus-sum.

2012-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-interactively-view-part): Fix prompt.

2012-01-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* nntp.el (nntp-send-authinfo): Query `auth-source-search' with the
	logical server name in addition to the actual machine address.

	* auth-source.el (auth-source-user-and-password): Add convenience
	wrapper to search by just host and optionally user.

2012-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-visit-file): Move point to the beginning of the buffer
	after rendering.

2012-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-read-group): Document more parameters
	(bug#9693).
	(gnus-summary-setup-buffer): Document return value (bug#9697).

	* mm-decode.el (mm-interactively-view-part): Use `completing-read',
	since ido doesn't work on symbols (bug#9632).

	* gnus.el (gnus-group-fast-parameter): Use the same precedence rules
	when getting a single value as when getting all the values.  This means
	that atoms like `gcc-self' work cumulatively, like variable settings,
	instead of getting the value from the last matching clause.
	(gnus-group-find-parameter): Protect against the group buffer not
	existing (bug#9585).

2012-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-activate-group): Document more parameters
	(bug#9694).

	* gnus-group.el (gnus-group-read-ephemeral-group): Doc clarification
	(bug#9692).

	* gnus-agent.el (gnus-agent-store-article): Tell the Agent when the
	article was fetched, so that it can be expired later (bug#9958).
	(gnus-agent-summary-fetch-series): Add doc string.
	(gnus-agent-summary-fetch-group): Don't remove tick and dormant marks
	(bug#9517).

	* nntp.el (nntp-retrieve-groups): Refuse to do retrieval when an async
	retrieval is happening.

	* gnus.el (gnus-parameters): Doc fix.

2012-01-06  Dave Abrahams  <dave@boostpro.com>

	* gnus-sum.el (gnus-summary-refer-thread): If the subtree is hidden,
	show the thread after expansion.

2012-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-narrow-to-head): If the head is completely
	empty, narrow to the empty region (bug#9764).

	* gnus-sum.el (gnus-summary-mark-article-as-unread): Mark articles as
	read, and then mark them as unread only when the unread mark is used.
	This makes `C-- T k' actually work, even though it's confusing.

	* gnus-win.el (gnus-all-windows-visible-p): Ensure that the buffer is
	alive before we try to find its window.

2012-01-06  Brian Sniffen  <bsniffen@akamai.com>  (tiny change)

	* mm-decode.el (mm-display-external): Use a longer timeout for the
	deletion to allow slow programs to display the file.

2012-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-browse-delete-temp-files): Fix up the
	prompt to be less confusing.

	* gnus-msg.el (gnus-summary-reply): Do not give a `switch-to-buffer'
	argument to `message-reply'.  This broke `special-display-*' frame
	pop-uping (bug#10238).

2012-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* starttls.el (starttls-available-p): Return nil on Windows/MS-DOS
	systems, since these allegedly don't work there.

2012-01-04  Chris Gray  <chrismgray@gmail.com>  (tiny change)

	* mm-decode.el (mm-shr): Check that `gnus-summary-buffer' really is a
	live buffer.

2012-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnir.el (nnir-retrieve-headers): Protect against the article not
	existing on the server (bug#10335).

2012-01-04  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* gnus-agent.el (gnus-agent-load-local):
	Recompute gnus-agent-article-local on changing method.

2012-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-parameters): Note precedence.

2012-01-04  Leo Liu  <sdl.web@gmail.com>

	* nndraft.el (nndraft-update-unread-articles): Don't move point around
	in the group buffer.

2012-01-04  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-update-info): Fix an error when all articles UIDs
	change.

2012-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-rescale-image): Add :ascent 100 to the rescaled picture,
	too.

	* nntp.el (nntp-retrieve-group-data-early): Use it.

2012-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-retrieval-in-progress): New variable.
	(nntp-make-process-buffer): Make it buffer-local.

	* gnus-demon.el (gnus-demon-time-to-step): Resurrect function lost in
	2010.
	(gnus-demon-init): Use it to compute the time if time is on the form
	"04:23".

	* gnus-topic.el (gnus-topic-history): Define `gnus-topic-history'.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Check the connection
	status in the correct buffer.

2012-01-03  Leo Liu  <sdl.web@gmail.com>

	* gnus-topic.el (gnus-topic-goto-next-group): Don't move point around
	when opening topics (bug#10407).

2011-12-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Add comment.

2011-12-15  Juri Linkov  <juri@jurta.org>

	* mm-decode.el (mm-inline-media-tests): Add missing
	`mm-handle-media-subtype'.

2011-12-09  Tassilo Horn  <tassilo@member.fsf.org>

	* message.el (message-valid-fqdn-regexp): Update with newly approved
	top-level domain names ".tel" and ".asia".

2011-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-article): Don't load shr
	unconditionally.

2011-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-pop-to-buffer): Use pop-to-buffer instead of
	pop-to-buffer-same-window for old Emacsen.

2011-12-04  Chong Yidong  <cyd@gnu.org>

	* message.el (message-pop-to-buffer): Partially revert 2011-11-30
	change (Bug#10200).

2011-12-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface):
	* gnus-art.el (gnus-article-x-face-command): Update the header format
	of icon data for the most recent icontopbm program.

2011-12-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-do-gcc):
	* message.el (message-send-mail):
	* mml.el (mml-generate-mime): Share the value of the buffer-local
	`message-options' variable between a draft buffer and temprary working
	buffers.

2011-11-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-pop-to-buffer): Revert 2011-09-11 change.

2011-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Convert link file names
	for Cygwin.

2011-11-24  Glenn Morris  <rgm@gnu.org>

	* starttls.el: Fix case of "GnuTLS".

2011-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-group.el (gnus-group-highlight): Fix typo.

2011-11-24  Adam W  <adam_w67@yahoo.com>  (tiny change)

	* mail-source.el (mail-source-fetch-maildir): Don't expect the return
	value of `delete-file', that returns nil for a local file but returns t
	for a remote file using ssh.

2011-11-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-horizontal-line): Use "?\s" instead of "? " to
	avoid later breakage.

2011-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-setup-buffer): Decode group name used for
	article buffers' name.

2011-11-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-horizontal-line): Revert infinite loops introduced
	by Paul Eggert's spellfixes two days ago.

2011-11-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-view.el (mm-display-inline-fontify): Make the font-lock variables
	buffer-local instead of binding them to avoid warnings.  Also demote
	errors (bug#10063).
	(font-lock-mode-hook): Shut up byte compiler.

2011-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* mm-util.el (mm-charset-after): Fix typo.

2011-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-sum.el (gnus-summary-make-menu-bar):
	* gnus-uu.el (gnus-uu-decode-postscript)
	(gnus-uu-decode-postscript-and-save):
	* mailcap.el (mailcap-print-command):
	* registry.el (registry-lookup, registry-lookup-breaks-before-lexbind):
	Fix typos.

2011-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-part-wrapper):
	* shr-color.el (shr-color-visible-distance-min)
	(shr-color-relative-to-absolute, set-minimum-interval)
	(shr-color-visible): Fix typos.

2011-11-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-articles-to-read): Change wording in prompt to be
	slightly clearer.

2011-11-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-send-and-exit): Document `arg'.

2011-11-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-open-connection-1): Use tcp-keealive if possible.

2011-11-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-p): Another comment to explain why
	we don't use `bound-and-true-p'.

2011-11-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-p): Remove.
	(gnus-bound-and-true-dumber-p): Rename to `gnus-bound-and-true-p'.
	* nnir.el: Use it.
	* nnmairix.el: Use it.

2011-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-dumber-p): Define new, slower, dumb
	function because `gnus-bound-and-true-p' doesn't work well in XEmacs
	for reasons unknown.
	* nnir.el: Use it.
	* nnmairix.el: Use it.

	* nnregistry.el: Remove unnecessary `gnus-registry-enabled' defvar.
	* nnir.el: Ditto.
	* nnmairix.el: Ditto.

	* gnus-registry.el (gnus-registry-enabled): Default to nil.

2011-10-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-completion-function): Make sure
	message-tab-body-function is not attempted if one of
	message-completion-alist fails to find a completion (bug#9158).

2011-10-26  Daiki Ueno  <ueno@unixuser.org>

	* mml.el (mml-quote-region): Quote <#secure> tag.
	(mml-generate-mime-1): Unquote <#secure> tag.

2011-10-20  Chong Yidong  <cyd@gnu.org>

	* gnus-cite.el (gnus-message-citation-mode): Doc fix (in Emacs 24,
	calling a minor mode from Lisp with nil arg enables it, so we have to
	make the wording a bit ambiguous here).

2011-10-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-p): Macro for XEmacs compatibility.
	* nnir.el (nnir-mode): Use it.
	* nnmairix.el (nnmairix-determine-original-group-from-registry):
	Use it.

	* nnir.el (gnus-registry-enabled): Defvar to keep the compiler happy.
	* nnmairix.el (gnus-registry-enabled): Ditto.

2011-10-17  Dave Abrahams  <dave@boostpro.com>

	* gnus-registry.el (gnus-registry-enabled): Add new variable (bug#9691).
	(gnus-registry-install-shortcuts): Set `gnus-registry-install' to 'ask
	only while we need to find out if it should be t or nil.
	(gnus-registry-initialize): Don't set `gnus-registry-install' to t.
	(gnus-registry-install-hooks): Set `gnus-registry-enabled' to t when
	the registry is installed.  Set it to nil when it's unloaded.
	(gnus-registry-install-p): Provide user guidance for the initial value
	of `gnus-registry-install' when it's 'ask, otherwise return its value.
	* nnregistry.el (nnregistry-open-server, nnregistry-server-opened):
	Use `gnus-registry-enabled' instead of `gnus-registry-install'.
	* nnmairix.el (nnmairix-determine-original-group-from-registry):
	Use `gnus-registry-enabled' instead of `gnus-registry-install'.
	* nnir.el (nnir-mode): Use `gnus-registry-enabled' instead of
	`gnus-registry-install'.

2011-10-17  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-find-usable-key): Add comment about the
	previous change.
	* mml1991.el (mml1991-epg-find-usable-key): Skip the whole key if the
	primary key is marked as disabled.

2011-10-17  Christian von Roques  <roques@mti.ag>  (tiny change)

	* mml2015.el (mml2015-epg-find-usable-key): Skip the whole key if the
	primary key is marked as disabled.

2011-10-11  Andreas Schwab  <schwab@linux-m68k.org>

	* html2text.el (html2text-clean-anchor): Check for quotes around
	`href' value.

2011-10-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB): Simplify and support BBDB 3.x when
	searching.  Drop `bbdb-cache'.

2011-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-signed-or-encrypted-p): Exclude header when
	checking if there is signed or encrypted body in text/plain message.

2011-10-09  Andreas Schwab  <schwab@linux-m68k.org>

	* html2text.el (html2text-get-attr): Correctly handle attribute values
	containing "=".

2011-09-22  Kan-Ru Chen  <kanru@kanru.info>

	* ecomplete.el (ecomplete-display-matches): Use a local keymap to
	handle bindings.

2011-10-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-win.el (gnus-configure-windows): Protect against reading
	ephemeral groups outside of Gnus.

2011-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-img): Don't get images displayed in tables.

2011-10-03  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist): Once again get
	the "maintainer" version of debbugs.gnu.org reports.

2011-10-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-img): Add a space at the end of an ALT image text to
	make asynchronous adjacent image insertion work better.

2011-09-27  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el (plstore-select-keys, plstore-encrypt-to):
	Clarify documentation.

2011-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-uu.el (gnus-uu-grab-articles): Require gnus-async so that
	`gnus-asynchronous' isn't shadowed.

2011-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Message less (bug#9540).
	(nnimap-insert-partial-structure): The charset parameter isn't
	case-sensitive.

	* nnheader.el (nnheader-message-maybe): New function.

	* shr.el (shr-tag-table): Render totally broken tables better.

	* mml.el (mml-generate-mime-1): Don't alter the contents if we're
	computing the boundary.

2011-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-number-of-responses): Remove.
	(pop3-wait-for-messages): Rewrite to take linear time instead of
	exponential time.

2011-09-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-show-article): Bind `shr-ignore-cache' to
	re-fetch images.

	* shr.el (shr-tag-img): Support a new variable `shr-ignore-cache' to
	re-fetch images when hitting `g' in Gnus.

2011-09-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-inhibit-compute-boundary): New internal variable.
	(mml-compute-boundary): Don't check collision if it is non-nil.
	(mml-compute-boundary-1): Use mml-generate-mime-1 to encode part
	before checking collision.

2011-09-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-indent-citation): Really make sure there's a
	newline at the end.

	* nnimap.el (nnimap-parse-flags): Make regexp less prone to overflows.
	Fix suggested by John Wiegley.

	* pop3.el (pop3-open-server): Fix +OK end-of-command regexp.

	* gnus-art.el (gnus-treat-hide-citation): Add doc.

	* message.el (message-default-send-rename-function): Break out into its
	own function.

	* ecomplete.el (ecomplete-display-matches): Revert patch since it
	doesn't work under XEmacs.

	* nnimap.el (nnimap-map-port): New function to connect to 993 instead
	of "imaps" to word around Windows problems.
	(nnimap-open-connection-1): Use it.

	* message.el (message-indent-citation): Revert last change which made
	`F' not work.

2011-09-13  Kan-Ru Chen  <kanru@kanru.info>

	* ecomplete.el (ecomplete-display-matches): Intercept key sequence from
	terminal as well.

2011-09-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Don't run doc-view-mode
	because it displays images using overlays that aren't easy to copy to
	the article buffer.

2011-09-20  Łukasz Stelmach  <lukasz.stelmach@iem.pw.edu.pl>  (tiny change)

	* message.el (message-indent-citation): Fix empty line removal at the
	end of the citation.

2011-09-20  Julien Danjou  <julien@danjou.info>

	* auth-source.el (auth-source-netrc-create): Use default value for
	password if specified.  Evaluate default.
	(auth-source-plstore-create): Ditto.
	(auth-source-plstore-create, auth-source-netrc-create): Fix default
	value evaluation.
	(auth-source-netrc-create): Typo fix.
	(auth-source-plstore-create): Ditto.

	* auth-source.el (auth-source-format-cache-entry): New function.

2011-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-fun.el (gnus-convert-image-to-x-face-command): Doc fix.

2011-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-inline-media-tests): Fix typo in regexp.

2011-09-19  Julien Danjou  <julien@danjou.info>

	* auth-source.el (auth-source-netrc-parse): Use an obfuscation method
	which work with things that are not ASCII.

2011-09-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-inline-media-tests): Support imagemagick images.

2011-09-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-read-group-1): Bump the "Retrieving"
	message level.

2011-09-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-read-from-minibuffer): Make abbrev expansion work.

2011-09-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-interactive-exit): Update defcustom spec.

2011-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus.el (gnus-nntp-server): Move to gnus-int.el to silence bytecomp.
	* gnus-int.el (gnus-nntp-server): Move from gnus.el.

2011-09-12  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-group.el (gnus-group-list-limit-map, gnus-group-list-flush-map)
	(gnus-group-list-plus-map): Allow limiting, flushing and plusing ticked
	articles.

2011-09-11  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-pop-to-buffer): Default to switch-to-buffer.
	(message-mail-other-window, message-mail-other-frame)
	(message-news-other-window, message-news-other-frame):
	Use switch-to-buffer-other-frame and switch-to-buffer-other-window
	instead of setting buffer display variables.

2011-09-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-list-limit): Explain what the command does.

	* gnus-sum.el (gnus-fetch-headers): Bump message level.

2011-09-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-dup.el (gnus-dup-suppress-articles): Move "Suppressing
	duplicates" to a higher level.

	* gnus-util.el (gnus-verbose): Lower default to 6 to get rid of the
	most egregious messages.

2011-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-summary-mail-forward): Minuscule doc fix.

2011-09-10  Tetsuo Tsukamoto  <tt.tetsuo.tsukamoto@gmail.com>  (tiny change)

	* nnrss.el (nnrss-retrieve-groups): Decode the charset before looking
	up the file (bug#9351).

2011-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el: Redo the charset handling.  Let Gnus encode the names, as
	it does with all other backends, but decode the names immediately after
	getting them.

	* gnus-group.el (gnus-group-name-charset): Always return `utf-7' when
	decoding nnimap groups.

	* gnus.el (gnus-variable-list): Don't save `gnus-format-specs' in the
	newsrc file.  It doesn't seem like an important optimization any more.

2011-09-10  Dave Abrahams  <dave@boostpro.com>

	* nnimap.el (nnimap-transform-headers): Fix regexp to be less prone to
	overflows.

2011-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-article-mark-lists): Remove `recent'.
	(gnus-interactive-exit): Extend to `quiet'.

	* gnus-sum.el (gnus-offer-save-summaries): Use it.

	* gnus-art.el (gnus-treat-hide-citation-maybe): Add more doc to the
	string.

	* plstore.el (plstore--get-buffer): Silence compiler warnings by
	renaming function arguments from `this'.

	* gnus-sum.el (gnus-newsgroup-recent): Remove.

	* gnus-spec.el (gnus-lrm-string-p): `bidi-string-mark-left-to-right'
	has been renamed.
	(gnus-lrm-string-p): Include RLM and PDF, too.

	* gnus-int.el (gnus-open-server): Make the "denied" message clearer
	(bug#9225).

2011-09-10  Eli Zaretskii  <eliz@gnu.org>

	Add autoload cookies for functions used by sendmail.el.
	* mm-encode.el (mm-default-file-encoding): Add autoload cookie.

	* mml.el (mml-to-mime, mml-attach-file): Add autoload cookies.

2011-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut): Work properly even when there are
	things like Date header in the body; work for forwarded parts.

2011-09-05  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-exit): Ensure we kill the proper
	original-article-buffer.

2011-09-05  Kan-Ru Chen  <kanru@kanru.info>

	* nnir.el (nnir-compose-result): Fix matching of server type.
	(nnir-run-swish++): Ditto.
	(nnir-run-namazu): Ditto.
	(nnir-run-notmuch): Ditto.

2011-09-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-home-directory): Add warning about setting in .gnus.el
	(bug#9405).

	* gnus-score.el (gnus-summary-increase-score): Doc clarification
	(bug#9421).

	* gnus-spec.el (gnus-face-0): Make all the face specs into defcustoms
	(bug#9425).

	* gnus-art.el (gnus-treatment-function-alist): Remove CRs as the first
	thing (bug#9426).

2011-09-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection-1): Use the correct port number in
	the error message.

2011-09-02  Eli Zaretskii  <eliz@gnu.org>

	* message.el (message-setup-1): Return t (Bug#9392).

2011-09-01  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el: When adding article headers to a summary buffer also
	update gnus-newsgroup-articles (bug#9386).

2011-08-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el: Autoload help-mode.

2011-08-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-name-charset): Don't bug out on server
	names.

2011-08-27  Daiki Ueno  <ueno@unixuser.org>

	* mml-smime.el (mml-smime-epg-verify): Don't use the 4th arg of
	mm-replace-in-string for compatibility issues.
	* mml2015.el (mml2015-epg-verify): Ditto.

2011-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mailcap.el (mailcap-mime-data): Regexp-quote MIME subtype.

	* gnus-msg.el (gnus-setup-message): Remove extra apostrophe.

2011-08-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-get-new-mail-1): If one mail source bugs out,
	continue on and do the clean-up phase (bug#9188).

	* gnus-sum.el (gnus-summary-expire-articles): When expiring articles,
	just ignore groups that can't be opened instead of erroring out
	(bug#9225).

	* gnus-art.el (gnus-article-update-date-headers): Flip the default to
	nil since some many people are fuddy-duddies.

	* gnus-html.el (gnus-html-image-fetched): Don't cache zero-length
	images.

	* nntp.el (nntp-authinfo-file): Mark as obsolete -- use auth-source
	instead.

	* pop3.el (pop3-wait-for-messages): Don't use Gnus functions here.

	* gnus-util.el (gnus-process-live-p): Copy over compat function.

	* pop3.el (pop3-wait-for-messages): If the pop3 process dies, stop
	processing.

	* nntp.el (nntp-kill-buffer): Kill the process before killing the
	buffer to avoid warnings.

2011-08-20  Simon Josefsson  <simon@josefsson.org>

	* gnus-agent.el (gnus-agent-expire-done-message): Use %.f as format
	specified to reduce precision.

2011-08-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-transform-headers): Protect against (NIL ...)
	bodystructures (bug#9314).

2011-08-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button, gnus-mime-display-alternative):
	Make button keymap non-sticky after buttons.

2011-08-18  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-request-set-mark)
	(nnmairix-goto-original-article): Remove adding of article to registry,
	since `gnus-registry-add-group' isn't available anymore.
	(nnmairix-determine-original-group-from-registry):
	Use `gnus-registry-get-id-key' since `gnus-registry-fetch-groups' isn't
	available anymore.

2011-08-12  Simon Josefsson  <simon@josefsson.org>

	* starttls.el (starttls-any-program-available): Define as obsolete
	function.

2011-08-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-util.el (gnus-y-or-n-p): Reinstate the message-clearing y-or-n-p
	versions which Gnus use when appropriate.

	* gnus-group.el (gnus-group-clear-data): Add a y-or-n query, since it's
	a pretty destructive command.

	* nnmail.el (nnmail-extra-headers): Clarify slightly (bug#9302).

2011-08-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-fix-before-sending): Make a different warning
	about NUL characters (bug#9270).

	* gnus-sum.el (gnus-auto-select-subject): Allow specifying a function
	from custom (bug#9260).

	* gnus-spec.el (gnus-lrm-string): Use 8206 instead of ?\x200e to make
	things work in Emacs 22 and XEmacs, too.

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): LRM-ify the
	default From.

	* gnus-spec.el (gnus-lrm-string-p): New macro.
	(gnus-lrm-string): New constant.
	(gnus-summary-line-format-spec): LRM-ify the from.
	(gnus-tilde-max-form): LRM-ify string chopping.

	* gnus-ems.el (gnus-string-mark-left-to-right): New function.

	* message.el (message-is-yours-p): Allow disabling canlock checking
	(bug#9295).
	(message-shoot-gnksa-feet): Add `canlock-verify'.
	(message-auto-save-directory): Use ~/ as the auto-save directory if the
	message directory isn't writable (bug#9304).

	* auth-source.el (auth-source-netrc-saver): Make the .authinfo file
	non-world-readable.

2011-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndraft.el (nndraft-update-unread-articles): Don't send delayed
	articles.

2011-08-13  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-score.el (gnus-all-score-files): Use copy-sequence instead of
	copy-list.

2011-08-12  Sam Steingold  <sds@gnu.org>

	* gnus-score.el (gnus-score-find-alist): Keep the score files already
	in the reverse order to avoid modifying the cache with `nreverse'.
	(gnus-all-score-files): Do not modify the value returned by
	`gnus-score-find-alist' because it lives in a cache variable.
	(gnus-current-home-score-file): No need to `nreverse' the return value
	of `gnus-score-find-alist', it is already in the correct order.

2011-08-11  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-transform-headers): BODYSTRUCTURE for messages of
	type MESSAGE and subtype RFC822 is slightly different from those of
	type TEXT.

2011-08-05  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-article): Warp to article.
	This allows article-referral to work from an nnir group.

2011-08-04  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus.el (registry-ignore): Add nnir groups to the ignore-list.

2011-08-04  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-epg-find-usable-key)
	(mml1991-epg-find-usable-secret-key): New function.
	(mml1991-epg-sign): Check if signing key is usable.
	(mml1991-epg-encrypt): Check if encrypting key is usable (bug#8955).

2011-08-03  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-read-server-parm): Add an argument to restrict to
	server-variables only.  This should fix a bug introduced with commit
	e1889675b7f4adf057833c5513c9374134c4e053.
	(nnir-run-query): 'nnir-search-engine should not be set from the global
	environment.

2011-08-02  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-search-thread): Position point on referring article
	line.
	(nnir-warp-to-article): Clean up summary buffers.

	* nnimap.el (nnimap-request-thread): Whitespace fix.

2011-08-02  Steve Purcell  <steve@sanityinc.com>  (tiny change)

	* nnimap.el (nnimap-get-groups): Decode "&" correctly.

2011-08-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* starttls.el (starttls-available-p): Rename from
	`starttls-any-program-available' and changed return convention.

2011-07-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnmaildir.el (nnmaildir-request-accept-article): Don't call
	`unix-sync' unless it's defined.

2011-07-31  Marcus Harnisch  <marcus.harnisch@gmx.net>  (tiny change)

	* gnus-art.el (gnus-article-stop-animations): Use `elt' instead of
	`aref' for XEmacs compatibiltiy.

2011-07-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam.el (spam-fetch-field-fast): Rewrite slightly for clarity.

2011-07-31  Dave Abrahams  <dave@boostpro.com>

	* gnus-sum.el (gnus-summary-refer-thread): Since lambdas aren't
	closures, quote the form properly (bug#9194).

2011-07-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-insert-new-articles): Clean up slightly.
	(gnus-summary-insert-new-articles): Protect against servers that are
	down.

2011-07-29  Daniel Dehennin  <daniel.dehennin@baby-gnu.org>

	* mm-decode.el (mm-dissect-buffer): Add a default content-disposition
	in mm handle if none is specified.

2011-07-24  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-make-thread-query): Quote message-ids for gmail.

2011-07-23  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-search-thread): New function to make an nnir group
	based on a thread query.

	* gnus-sum.el (gnus-refer-thread-use-nnir): New variable to control use
	of nnir in thread referral.
	(gnus-summary-refer-thread): Use it.

	* nnimap.el (nnimap-request-thread): Use it.

2011-07-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-comment): Ignore HTML comments.

2011-07-20  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (gnus-group-make-nnir-group): Allow optional search query
	argument.
	(gnus-group-make-nnir-group, nnir-request-group, nnir-run-query):
	Use `nnir-address' to handle server info rather than passing an arg.

	* nnimap.el (nnimap-make-thread-query): New utility function to format
	an imap thread search query.
	(nnimap-request-thread): Use it.

	* gnus-sum.el (gnus-handle-ephemeral-exit): Ensure we are setting the
	right select-method if we are not going back to the group buffer.

2011-07-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-read-ephemeral-group): Make sure we don't
	enter invalid buffer configurations into the quit form (bug#9107).
	(gnus-group-tool-bar-gnome): Replace connect/disconnect with
	unplugged/plugged.

	* gnus-sum.el (gnus-summary-refer-thread): When inserting new headers,
	keep track of which ones are unread (bug#9061).

	* gnus.el (gnus-refer-article-method): Allow entering any sexp
	(bug#9055).

	* gnus-art.el (gnus-article-show-images): Allow working if using w3m
	(bug#9041).

	* gnus-html.el (mm-util): Require (bug#9073).

	* gnus-sum.el (gnus-delete-duplicate-headers): New function.
	(gnus-summary-refer-thread): Use it to remove duplicates in the
	un-threaded view (bug#9053).
	(gnus-summary-insert-subject): Document USE-OLD-HEADER (bug#9070).

2011-07-07  Kan-Ru Chen  <kanru@kanru.info>

	* nnir.el (nnir-read-server-parm): Use default value from global
	variable.  Without this the default search engine parameters aren't
	used at all.

2011-07-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-unique-id): Don't use the undocumented return
	value from (random t) (bug#9118).

2011-07-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-auto-save-directory): If the ~/Mail directory
	doesn't exist, use ~ as the auto-save directory (bug#4432).

	* gnus-group.el (gnus-group-read-ephemeral-group): Start Gnus if it
	hasn't already been started.

2011-07-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (debbugs-gnu): Rename from debbugs-emacs.

	* message.el (message-reply): Work around mysterious bug where
	`message-mode' seems to overwrite the locally bound `subject' variable.

2011-07-14  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-request-thread): Ensure search is performed in
	correct group.

	* gnus-int.el (gnus-request-thread): Add group argument.

	* gnus-sum.el (gnus-summary-refer-thread): Use it.

2011-07-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): `debbugs-*'
	renamed to `debbugs-gnu-*'.

2011-07-08  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el: Revert the editing feature since it is not urgent.
	(plstore-mode, plstore-mode-toggle-display, plstore-mode-original)
	(plstore-mode-decoded): Remove.

2011-07-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-bug): Don't insert user variables.  It usually
	isn't very interesting any more, and it leaks potentially secret data.
	(gnus-debug): Remove.

	* gnus-art.el (gnus-ignored-headers): Remove obsolete and non-working
	use of :custom-show.

2011-07-07  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el: Add documentation.
	(plstore-mode): New mode to edit plstore file.
	(plstore-mode-toggle-display, plstore-mode-original)
	(plstore-mode-decoded): New command.
	(plstore--encode, plstore--decode, plstore--write-contents-functions)
	(plstore--insert-buffer, plstore--make): New function.
	(plstore-open, plstore-save): Simplify by using them.

2011-07-06  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Silence compiler.

2011-07-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-refer-article-method): Remove mention of nnspool, which
	no longer is much used.
	(gnus-summary-line-format): Link to "Marking Articles" instead of "Read
	Articles".

2011-04-03  Kan-Ru Chen  <kanru@kanru.info>

	* nnir.el (nnir-notmuch-program, nnir-notmuch-additional-switches)
	(nnir-notmuch-remove-prefix, nnir-engines, nnir-run-notmuch): New nnir
	`notmuch' backend.

2011-07-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-text-html-renderer): Doc fix.

	* gnus-msg.el (gnus-bug): Fix the MML tag.

	* pop3.el (pop3-open-server): -ERR is a valid response to CAPA.

2011-07-05  Daiki Ueno  <ueno@unixuser.org>

	* gnus-start.el (gnus-get-unread-articles): Don't connect to the
	secondary methods if started with `gnus-no-server'.

2011-07-05  Juanma Barranquero  <lekktu@gmail.com>

	* message.el (message-return-action): Fix typo in docstring.

2011-07-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group): Allow fetching several
	bug reports at once.

	* nnimap.el (nnimap-request-scan): Say that splitting has finished.

2011-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndraft.el: Require gnus-group.
	(nndraft-request-list): Declare.

	* nndraft.el (nndraft-update-unread-articles): Don't show group having
	no unread article unless it matches gnus-permanently-visible-groups.

	* nndraft.el (nndraft-update-unread-articles): New function.
	(nndraft-request-associate-buffer): Use it to update the number of
	unread articles for the nndraft groups in the group buffer when saving
	or killing a draft message.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group): Bind the coding
	systems to binary before writing and reading the mbox files.

	* gnus.el (gnus-summary-line-format): Link to the info node for %U
	instead of trying to list them all (bug#8978).

2011-07-03  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* pop3.el (pop3-open-server): Use :end-of-capability.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Make sure that
	the id is always a number.

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Hook into
	debbugs mode, if possible.

2011-07-02  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-token-passphrase-callback-function):
	Reindent.
	(epg-context-operation): Remove unnecessary autoload.

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-list-debbugs): New command.

	* gnus-group.el (gnus-bug-group-download-format-alist): Get the
	mboxstat instead of the maintbox, since the stat seems to be fuller.

	* gnus-msg.el (gnus-configure-posting-styles): Don't try to select dead
	summary buffers.

	* message.el (message-get-reply-headers): Delete all duplicates,
	instead of the first.
	(message-get-reply-headers): Ensure that we have progress while
	deleting duplicates.

	* gnus-msg.el (gnus-configure-posting-styles): Get the local
	gnus-posting-style value from the summary buffer to make it easier to
	make that a per-buffer conf.

2011-07-02  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-imap): Allow halting a search when an article is
	found by setting `shortcut' in 'query.
	(nnir-request-article): Use `shortcut' setting when requesting article
	by Message-ID.

2011-07-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-msg.el (gnus-bug): Give the Version and Package headers to
	debbugs with the X-Debbugs-Package and X-Debbugs-Version headers.
	Bring the pseudo-headers back too.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-token-passphrase-callback-function):
	Simplify and remove EPA dependency.

2011-07-01  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-article): Fix error message text.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (plstore-delete): Autoload.
	(auth-source-plstore-search): Support delete operation.
	* plstore.el (plstore-delete): New function.

2011-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-clear-marks): Revert last change;
	mark actually existing articles as unread rather than the ones that
	active asserts.

2011-07-01  Paul Eggert  <eggert@cs.ucla.edu>

	* nntp.el (nntp-record-command):
	* gnus-util.el (gnus-message-with-timestamp-1):
	Use format-time-string rather than decoding time stamps by hand.
	This is simpler and insulates the code from potential changes to
	current-time format.

2011-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-clear-marks): Mark deleted articles as read.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el (plstore-select-keys, plstore-encrypt-to): New variable.
	(plstore-save): Support public key encryption.
	(plstore--init-from-buffer): New function.
	(plstore-open): Use it; fix error when opening a non-existent file.
	(plstore-revert): Use plstore--init-from-buffer.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-backend): Fix :initarg for data slot.

2011-06-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml2015.el (mml2015-use): Replace string-match-p with string-match
	for old Emacsen.

2011-06-30  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-use): Don't try to load PGG on Emacs 24, when EPG
	is not fully working.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Take an optional
	quit window configuration.

	* auth-source.el (epg-context-set-passphrase-callback):
	Remove duplicate autoload.

2011-06-30  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-article): Allow requesting articles by
	Message-ID with nnimap.

	* gnus-sum.el (gnus-refer-article-methods): Allow (nnir) entry to use
	current server.

2011-06-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Autoload EPA/EPG functions.
	(auth-source-netrc-use-gpg-tokens): Clarify that it should not be
	changed when EPA/EPG is not available.
	(auth-source-backend): Rename "arg" member to "data".
	(auth-source-backend-parse, auth-source-plstore-search)
	(auth-source-plstore-create): Use it.

2011-06-30  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-art.el (gnus-request-article-this-buffer): Use existing function
	`gnus-refer-article-methods'.

2011-06-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Require EPA and EPG.
	(auth-source-passphrase-alist): New variable.
	(auth-source-passphrase-callback-function)
	(auth-source-token-passphrase-callback-function): Callbacks for the
	netrc field encryption (GPG tokens).
	(auth-source-epa-extract-gpg-token, auth-source-epa-make-gpg-token):
	Symmetric encryption and decryption of the netrc GPG tokens.
	(auth-source-netrc-normalize): Use them, simplifying the closure.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-split-incoming-mail): If `nnimap-split-fancy' is
	non-nil, and `nnimap-split-methods' is nil, use the former.

2011-06-30  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el (plstore-revert): New function.
	(plstore-open): Use it; hide the buffer from user.

2011-06-30  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-backend): New member "arg".
	(auth-source-backend-parse): Handle new backend 'plstore.
	* plstore.el: New file.

2011-06-30  Glenn Morris  <rgm@gnu.org>

	* gnus-fun.el (gnus-convert-image-to-x-face-command): Doc fix.

	* mm-util.el (mm-charset-synonym-alist): Move definition before use.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-process-expiry-targets): Say what target we're
	expiring articles to.

	* mm-util.el (mm-charset-to-coding-system): Recognize all ANSI.x3.4
	variations as ASCII (bug#5458).

2011-06-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmh.el (nnmh-request-list-1): Work on MS Windows.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-point-in-header-p): Tweak the function to default
	to saying that we're not in the headers if there is no separator at
	all.  This makes it possible to use the Message version of `M-q' in
	buffers with no headers (bug#7987).
	(message-point-in-header-p): Fix last checkin to work with an empty
	mail-header-separator, too.

	* auth-source.el (auth-source-netrc-saver): If the user says "don't ask
	again, save the choice via customize.

2011-06-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-send-mail-function): Add `sendmail-query-once'.

	* nnimap.el (nnimap-finish-retrieve-group-infos): If the server has
	ended the connection, bail out before waiting infinitely on a new
	connection.

2011-06-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-msg.el (gnus-bug): Add Package and Version pseudo-headers to bug
	reports.

	* gnus.el (gnus-bug-package): Use "gnus."
	(gnus-maintainer): Direct bug reports to submit@debbugs.gnu.org.

2011-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-stop-animations): New function to stop any
	animations going on at article exit time.

	* gnus-registry.el (gnus-registry-user-format-function-M): Reinstate,
	since removing it breaks people upgrading.

	* shr.el (shr-put-image): Use the new interface for animating images.
	(shr-put-image): Animate for 60 seconds.

	* auth-source.el (with-auth-source-epa-overrides): Fix compilation
	error with `find-file-hooks' on Emacs 22.
	(with-auth-source-epa-overrides): Ugly hack to Wrap the
	`find-file-hook' things in `symbol-value' to avoid compilation warnings
	on all architectures.

	* spam.el (spam-stat): Require in a normal fashion without binding
	`spam-stat-install-hooks' to avoid compilation warnings.

	* spam-stat.el (spam-stat-install-hooks): Remove.
	(spam-stat-install-hooks): Don't run automatically.

2011-06-26  Timo Juhani Lindfors  <timo.lindfors@iki.fi>  (tiny change)

	* gnus-msg.el (gnus-summary-reply-to-list-with-original): New command
	and keystroke.

2011-06-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-netrc-cache): Move forward.

2011-06-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-netrc-create): Don't query the bits that
	we already know.
	(auth-source-forget-all-cached): Clear auth-source-netrc-cache, too.
	(auth-source-netrc-create): Don't prompt for the stuff we already know.

2011-06-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-netrc-create): Don't print all tokens in
	%S format, since that looks odd.
	(auth-sources): Prefer the ~/.authinfo file over the ~/.authinfo.gpg
	file, especially when saving.

2011-06-21  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-find-article-by-message-id): Return nil when no
	article found.

2011-06-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-use-gpg-tokens): Replace
	`auth-source-save-secrets' with a more sensitive alist that can be
	configured per file.  Experimental, so defaults to 'never.
	(auth-source-netrc-create): Use it.  Still experimental code.
	(with-auth-source-epa-overrides): Use `find-file-hooks' if
	`find-file-hook' is unbound (XEmacs fix).  Fix backquoting bug.

2011-06-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-save-secrets): New variable to control if
	secret tokens should be saved encrypted.
	(auth-source-netrc-parse, auth-source-netrc-search): Pass the file name
	to `auth-source-netrc-normalize'.
	(with-auth-source-epa-overrides): Add convenience macro.  Don't depend
	on the EPA variables being defined.
	(auth-source-epa-make-gpg-token): Convert text to a "gpg:" token.
	(auth-source-netrc-normalize): Convert "gpg:" tokens back to text in
	the lexical-let closure.
	(auth-source-netrc-create): Create "gpg:" tokens according to
	`auth-source-save-secrets'.

2011-06-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-update-group): Add new argument
	`info-unchanged' that stops updating dribble buffer.

	* gnus-start.el (gnus-dribble-enter): Add new argument `regexp' that
	deletes lines matching to it in dribble buffer.

	* gnus-agent.el (gnus-agent-fetch-group-1):
	* gnus-group.el (gnus-group-update-group-line, gnus-group-make-group):
	* gnus-srvr.el (gnus-server-update-server, gnus-server-set-info):
	* gnus-start.el (gnus-group-change-level):
	* gnus-sum.el (gnus-summary-move-article): Delete old dribble entry.

	* gnus-sum.el (gnus-summary-update-info): Don't update dribble buffer
	if newsgroup info is not changed.

	* gnus-group.el (gnus-group-get-new-news-this-group):
	* gnus-sum.el (gnus-summary-read-group-1, gnus-summary-exit-no-update):
	Don't update dribble buffer.

2011-06-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-remove-ignored): New function to
	remove entries with groups we ignore.

2011-05-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-rescale-image): Add an :ascent of 100 to images so that
	the underline comes at the bottom.

2011-05-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-article-marks-to-chars): Rename from
	`gnus-registry-user-format-function-M' and declare the latter obsolete.
	(gnus-registry-article-marks-to-names): Rename from
	`gnus-registry-user-format-function-M2'.

2011-05-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-exit): Make sure to kill article buffer in
	ephemeral group.

2011-05-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-browse-image): Copy the URL if called interactively.

2011-05-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-mark-article-read): It's possible that we
	want to have `gnus-newsgroup-unselected' kept sorted.  If this isn't
	done, then unselected articles may be marked as read.

	* pop3.el (pop3-open-server): Erase the buffer after the greeting,
	since not doing this seems to lead to a race condition in pop3-logon.

	* nnvirtual.el (nnvirtual-request-article): Bind `gnus-command-method'
	so that the call chain it correct when we call "upwards".

	* gnus-sum.el (gnus-select-newsgroup): Auto-expiry doesn't make sense
	in read-only groups.

	* gnus-group.el (gnus-group-mark-article-read): Ditto.

	* message.el (message-cite-reply-position): Doc string fix.

	* nnimap.el (nnimap-transform-headers): Simplify regexp to hopefully
	avoid regexp overflow.
	(nnimap-transform-split-mail): Ditto.

	* pop3.el (pop3-retr): Error out if the server closes the connection.

2011-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mml1991.el (mml1991-mailcrypt-encrypt): Remove use of ill-designed
	mm-with-unibyte-current-buffer.  The buffer should not contain any
	multibyte chars anyway at this stage.

2011-05-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-urlify): Use shr-add-font to make underlines be less ugly
	at the end of lines.

2011-05-29  Julien Danjou  <julien@danjou.info>

	* smiley.el (gnus-smiley-file-types): Add gif as supported file type.

2011-05-27  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist):
	Use the "maintainer" version of debian reports as well.

2011-05-26  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist):
	Use the "maintainer" version of debbugs.gnu.org reports.

2011-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-delete-part): Fix mm-handle-filename usage.

2011-05-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-hide-thread): Fix bug where moving to hide
	the thread moves us backwards and so we loop forever.

2011-05-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-decode-content-transfer-encoding): Allow leading
	whitespace in base64 data lines.

2011-05-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-user-format-function-M):
	Use `mapconcat'.
	(gnus-registry-user-format-function-M2): Use to see the full text of
	the marks.  Make "," the mark text separator.

	* nntp.el (nntp-send-authinfo): Use the "force" token for NNTP
	authentication with auth-source.

2011-05-17  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-import-other-newsrc-file):
	Use insert-file-contents.

2011-05-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-hide-all-threads): Add update message every
	1000 iterations.

2011-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-open-connection): Check if process-type is available.

2011-05-16  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-del): Add support for del tag.

2011-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-put-image): Register a displayer.

	* shr.el (shr-image-displayer): Don't remove text props from alt text.

2011-05-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (prune-factor): New initialization parameter defaulting
	to 0.1.
	(registry-prune-hard): Use it.

	* gnus-registry.el (gnus-registry-fixup-registry): Set prune-factor to
	0.1 expicitly.

2011-05-13  Glenn Morris  <rgm@gnu.org>

	* message.el (message-send-mail-with-sendmail): Assume sendmail-program
	is bound, since this function requires sendmail.

2011-05-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-usage-test): Disable pruning test.

2011-05-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-prune-hard-candidates)
	(registry-prune-soft-candidates): Helper methods for registry pruning.
	(registry-prune): Use them.  Make the sort function optional.

2011-05-10  Jim Meyering  <meyering@redhat.com>

	* shr.el (shr-colorize-region): Fix typo "on on -> on".

2011-05-10  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-put-color-1): Do not bug out when old-props is a face
	symbol and not a list.

2011-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-mode): Move binding of
	shr-put-image-function here from gnus-article-prepare-display.

	* shr.el (shr-put-image-function): New variable.
	(shr-image-fetched, shr-image-displayer, shr-tag-img): Funcall it.
	(shr-put-image): Return scaled image.

	* gnus-art.el (gnus-shr-put-image): New function.
	(gnus-article-prepare-display): Bind shr-put-image-function to it.

	* gnus-html.el (gnus-html-wash-images): Register scaled images, not
	original ones, as deletable.

2011-05-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el (nntp-open-connection): Set TCP keepalive option.

2011-05-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-full): Add convenience method.  Fix logic.
	(registry-insert): Use it.  Fix logic here too.

	* gnus-registry.el (gnus-registry-insert): Add wrapper that calls
	`registry-prune' if `registry-full' returns t.
	(gnus-registry-handle-action)
	(gnus-registry-get-or-make-entry, gnus-registry-set-id-key)
	(gnus-registry-usage-test): Use it.

2011-05-07  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-link): Make shr-link inherit from link by default.

2011-05-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* shr.el (shr-urlify, shr-link): Fix shr-link face.

2011-05-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* shr.el (shr-urlify, shr-link): Still broken but at least doesn't
	error out because the face is not a list.

2011-05-05  Glenn Morris  <rgm@gnu.org>

	* gnus-start.el (gnus-propagate-marks): Declare.

2011-05-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-reindex): Fix percentage message.

2011-05-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* shr.el: Add shr-link face for links.
	(shr-urlify): Use it.

	* registry.el (registry-insert): Make error message more helpful.

2011-05-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-schedule-image-fetching):
	Use url-queue-retrieve, if it exists.

	* shr.el (shr-tag-img): Ditto.

	* gnus.el: Autoload more gnus-agent functions.

	* gnus-art.el (gnus-request-article-this-buffer): Store articles in the
	agent if we haven't already (bug#8502).

	* gnus-async.el (gnus-async-article-callback): Put prefetched articles
	into the Agent, too.

	* gnus-agent.el (gnus-agent-store-article): New function.

	* nnheader.el (nnheader-insert-buffer-substring): Rename from nntp-
	and moved from that file for reuse.

	* pop3.el (pop3-open-server): Error messages are "-ERR".

2011-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-open-server): Upgrade opportunistically to STARTTLS.
	(open-tls-stream): Remove superfluous tls/starttls autoloads.

2011-05-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-next-article): Don't bug out if the summary
	buffer has moved to a different frame.

2011-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-article): Use nntp-insert-buffer-substring
	to get the conversion from unibyte to multibyte buffers to work on
	Emacs 22.

	* nntp.el (nntp-request-article): Slight clean-up.

2011-04-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-strike-through): New face.
	(shr-tag-s): Use it to provide <s> support.
	(shr-tag-s): Remove duplicate definition.

2011-04-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-ignore-group-p): Don't call
	`gnus-parameter-registry-ignore' if the *Group* buffer doesn't exist.

2011-04-23  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (gnus-extra-headers): Bump :version.

2011-04-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-sup): New function.
	(shr-tag-sub): Ditto.

2011-04-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-ignore-group-p): Test specifically
	for the case where `gnus-registry-ignored-groups' is a list of lists,
	and don't call `gnus-parameter-registry-ignore' otherwise.

2011-04-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-user): New backend variable.
	(nnimap-open-connection-1): Use it.
	(nnimap-credentials): Accept user parameter so it's explicit what user
	name is desired.

	* gnus-sum.el (gnus-extra-headers): Add Keywords, Cc, and Gcc to
	default.

	* gnus.el (gnus-registry-ignored-groups): Provide default in gnus.el,
	not gnus-registry.el.

	* gnus-registry.el: Mention in comments how to modify
	`gnus-extra-headers' for proper recipient tracking and that it may
	already have To and Cc recently, which it does as of this commit.
	(gnus-registry-ignored-groups): Remove defcustom.
	Explain why in comments.
	(gnus-registry-action): Fix data-header reference to use the extra
	headers.  Explain in package commentary how to add To and Cc headers to
	the gnus-extra-headers.
	(gnus-registry-ignored-groups): Adjust defaults to match the parameter.
	(gnus-registry-ignore-group-p): Adjust to take either a group/topic
	parameter list or a string list in `gnus-registry-ignored-groups'.
	Fix logic error.

2011-04-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-url): Protect against null urls.

2011-04-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-base): New binding.
	(shr-tag-base): Keep track of <base>.
	(shr-expand-url): New function used throughout.

2011-04-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el
	(gnus-registry--split-fancy-with-parent-internal): Fix loop bugs.
	(gnus-registry-ignored-groups): New variable.
	(gnus-registry-ignore-group-p): Use it.
	(gnus-registry-handle-action): Use `gnus-registry-ignore-group-p' and
	set the destination group to nil (same as delete) if it's ignored.

2011-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-registry.el (gnus-registry-action)
	(gnus-registry-fetch-header-fast):
	Don't use mail-header that looks an internal function of mailheader.el.

2011-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-registry.el: Eliminate cl functions.
	(gnus-registry-sort-addresses): New function that replaces mapcan.
	(gnus-registry-action, gnus-registry-spool-action)
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-fetch-recipients-fast): Use it.
	(gnus-registry-import-eld): Replace delete* with dolist + delq.

	* registry.el (initialize-instance, registry-lookup)
	(registry-lookup-breaks-before-lexbind, registry-lookup-secondary)
	(registry-lookup-secondary-value, registry-search, registry-delete)
	(registry-insert, registry-reindex, registry-size, registry-prune):
	Use eval-and-compile.

2011-04-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-reindex): New method to recreate the secondary
	registry indices.

	* gnus-registry.el (gnus-registry-fixup-registry): Use it if the
	tracked field changes.
	(gnus-registry-unfollowed-addresses, gnus-registry-track-extra)
	(gnus-registry-action, gnus-registry-spool-action)
	(gnus-registry-handle-action)
	(gnus-registry--split-fancy-with-parent-internal)
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-register-message-ids): Add recipient tracking on spool,
	move, and delete actions, and for fancy splitting with parent.
	(gnus-registry-extract-addresses)
	(gnus-registry-fetch-recipients-fast)
	(gnus-registry-fetch-header-fast): Convenience functions.
	(gnus-registry-misc-test): ERT test of
	`gnus-registry-extract-addresses'.

2011-04-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry--split-fancy-with-parent-internal):
	Track by subject first, then sender.

2011-04-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-bogus-system-names): Replace ^...$ => \`...\'.

	* gnus.el (gnus-splash-svg-color-symbols): Don't use insert-file from
	Lisp.

	* gnus-draft.el (gnus-draft-setup): New arg `dont-pop'.
	(gnus-draft-send): Use it to avoid popping
	up frames from gnus-group-send-queue.

2011-04-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Updated gnus-registry docs.

2011-04-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry--split-fancy-with-parent-internal):
	Fix logic bug.
	(gnus-registry-post-process-groups): Fix logging of no results and
	quote sender and subject.

2011-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Slight cleanup.
	(gnus-read-active-for-groups): Don't try to finish getting stuff where
	we had no early-data returned.
	(gnus-get-unread-articles): Add a sanity check so that we don't issue
	two async commands to the same server at the same time.

2011-04-12  Stig Sandbeck Mathisen  <ssm@fnord.no>  (tiny change)

	* gnus-sum.el (gnus-summary-select-article-buffer): Doc fix.

2011-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el (gnus-registry-remake-db): Put the warning on a
	"warning" level.

	* mm-url.el (mm-url-package-name): Remove to ease third-party reuse.
	(mm-url-insert-file-contents): Don't set the package names.

2011-04-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-action): Remove properties and
	simplify subject in `gnus-registry-handle-action'.
	(gnus-registry-spool-action): Get subject and sender from message if
	they are not passed in.
	(gnus-registry-handle-action): Remove properties and simplify subject
	consistently.

2011-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* registry.el: Require CL before using defmacro*.

2011-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-treat-date): Assume that
	gnus-article-date-headers may be a group parameter.

2011-04-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-handle-action): More debugging.

	* gnus-start.el (gnus-gnus-to-newsrc-format): Add a way to run
	interactively so the newsrc file can contain foreign groups too.
	Useful for debugging but not much for users.

2011-04-07  David Engster  <dengste@eml.cc>

	* registry.el (registry-usage-test): Only do
	`registry-lookup-breaks-before-lexbind' testing for Emacs24 with
	lexical binding.

2011-04-06  David Engster  <dengste@eml.cc>

	* registry.el, gnus-registry.el: Use `ignore-errors' instead of third
	argument NOERROR for `require', since XEmacs 21.4 does not support it.

2011-04-06  David Engster  <dengste@eml.cc>

	* registry.el (initialize-instance): Change :after to :AFTER to be
	compatible with old EIEIO version in XEmacs.

2011-04-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-post-process-groups)
	(gnus-registry--split-fancy-with-parent-internal): Fix splitting bugs
	and provide better messaging.

2011-04-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Don't use ERT if it's not available.  Load it
	unconditionally anyway, discarding errors.
	(gnus-registry-delete-entries): New convenience function.
	(gnus-registry-import-eld): Import from old .eld registry.

	* registry.el: Don't use ERT if it's not available.  Load it
	unconditionally anyway, discarding errors.

	* proto-stream.el (gnutls-negotiate): Revert inadvertent commit of the
	version from the Claudio Bley GnuTLS patch (extra optional parameters
	and host name).

2011-04-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-fixup-registry): New function to
	fixup the parameters that can be customized by the user between
	save/read cycles.
	(gnus-registry-read): Use it.
	(gnus-registry-make-db): Use it.
	(gnus-registry-spool-action, gnus-registry-handle-action):
	Fix messaging.
	(gnus-registry--split-fancy-with-parent-internal): Fix loop.
	Map references to actual group names with sender and subject tracking.
	(gnus-registry-post-process-groups): Use `cond' for better messaging.
	(gnus-registry-usage-test): Add subject lookup test.

	* registry.el (registry-db, initialize-instance): Set up constructor
	instead of :initform arguments for the sake of older Emacsen.
	(registry-lookup-breaks-before-lexbind): New method to demonstrate
	pre-lexbind merge bug.
	(registry-usage-test): Use it.
	(initialize-instance, registry-db): Move the non-function initforms
	back to the class definition.

2011-04-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el: New library to manage gnus-registry-style data.

	* gnus-registry.el: Use it (major rewrite).

	* nnregistry.el: Use it.

	* spam.el: Use it.

2011-04-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Reinstate the code to not alter
	marks on non-selected articles.

2011-04-02  Chong Yidong  <cyd@stupidchicken.com>

	* proto-stream.el: Move to Emacs core, at net/network-stream.el.

	* nnimap.el (nnimap-open-connection-1): Pass explicit :end-of-command
	parameter to open-protocol-stream.

2011-04-01  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-inline-fontify): Do not fontify with
	fundamental-mode.

2011-04-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Don't try to contact denied
	servers.

2011-03-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Revert intersection change, which
	made marks not propagate, again.

2011-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* proto-stream.el (open-protocol-stream): Bring back `network' type.
	Make this the default type.
	(proto-stream-open-plain): Rename from proto-stream-open-default.
	(open-protocol-stream, proto-stream-open-starttls)
	(proto-stream-open-tls, proto-stream-open-shell): Replace `default'
	with `plain'.

	* nnimap.el (nnimap-stream, nnimap-open-connection-1): Accept `network'
	value.

	* nntp.el (nntp-open-connection-function): Document the fact that some
	values are not functions but are instead handled specially.
	Recognize nntp-open-plain-stream value.
	(nntp-open-connection): Recognize that value.

2011-03-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gssapi.el (open-gssapi-stream): Remove the last mentions of the IMAP
	stuff.

	* gnus-score.el (gnus-score-string): Fix calling convention of
	`gnus-simplify-buffer-fuzzy' after last patches.

	* gnus-sum.el (gnus-update-marks): Don't send any marks updates to the
	server for articles we didn't get any headers for.  This is a sanity
	check.

2011-03-29  Michael Welsh Duggan  <md5i@md5i.com>

	* nnimap.el (nnimap-open-connection-1): Is the login responds with a
	new CAPABILITY, use it.

2011-03-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-fetch-headers): Don't message if we're not
	downloading anything.

	* gnus.el (gnus-splash-svg-color-symbols): Remove superfluous `and'.

2011-03-29  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus.el (gnus-group-startup-message): Prefer svg file and replace
	colors.
	(gnus-splash-svg-color-symbols): New function.

2011-03-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-simplify-buffer-fuzzy): Take the regexp explicitly
	instead of using the global gnus-simplify-subject-fuzzy-regexp.
	(gnus-simplify-subject-fuzzy): Use the local
	gnus-simplify-subject-fuzzy-regex instead of the global one.
	This makes using this variable in group parameters work.

2011-03-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unfollowed-groups):
	Add "archive:sent" to the unfollowed group regex (for the recent Gnus
	archive:sent-YYYY-MM-DD groups).
	(gnus-registry-split-fancy-with-parent): Bail out early in sender
	tracking if there are more than `gnus-registry-max-track-groups'
	matches.

2011-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message--yank-original-internal): New function to do the
	insertion cleanly inside eval in `message-yank-original'.
	(message-yank-original): Use it.

2011-03-29  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-inline-fontify): Use `set-normal-mode' with
	local variables disabled rather than `normal-mode'.

2011-03-26  Chong Yidong  <cyd@stupidchicken.com>

	* proto-stream.el: Changes preparatory to merging open-protocol-stream
	with open-network-stream.
	(proto-stream-always-use-starttls): Option removed.
	(open-protocol-stream): Return a process object by default.  Provide a
	new parameter :return-list specifying a list-type return value, which
	now has the form (PROP . PLIST) instead of a fixed-length list.  Change
	:type `network' to `try-starttls', and `network-only' to `default'.
	Make `default' the default, for compatibility with open-network-stream.
	Handle the no-parameter case exactly as open-network-stream, with no
	additional stream processing.  Search plists using plist-get.
	Explicitly add :end-of-commend parameter if it is missing.
	(proto-stream-open-default): Rename from
	proto-stream-open-network-only.  Return 'default as the type.
	(proto-stream-open-starttls): Rename from proto-stream-open-network.
	Use plist-get.  Don't return `tls' as the type if STARTTLS negotiation
	failed.  Always return a list with a (possibly dead) process as the
	first element, for compatibility with open-network-stream.
	(proto-stream-open-tls): Use plist-get.  Always return a list.
	(proto-stream-open-shell): Return `default' as connection type.
	(proto-stream-capability-open): Use plist-get.
	(proto-stream-eoc): Function deleted.

	* nnimap.el (nnimap-stream, nnimap-open-connection)
	(nnimap-open-connection-1): Handle renaming of :type parameter for
	open-protocol-stream.
	(nnimap-open-connection-1): Pass a :return-list parameter
	open-protocol-stream to obtain a list return value.  Parse this list
	using plist-get.

	* nntp.el (nntp-open-connection): Handle renaming of :type parameter
	for open-protocol-stream.  Accept open-protocol-stream return value
	that is a subprocess object instead of a list.  Handle the case of a
	dead returned process.

2011-03-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* mm-util.el (mm-handle-filename): Move to mm-decode.el (bug#8330).

	* mm-decode.el (mm-handle-filename): Move from mm-util.el (bug#8330).

2011-03-21  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-inline-fontify): Make mode optional, and call
	normal-mode if not set.  Set temp buffer unmodified to avoid kill-buffer
	query.
	(mm-inline-text): Render normal text with fontification whenever
	possible.

	* gnus-sum.el (gnus-summary-save-parts-1):
	* gnus-art.el (gnus-article-browse-html-save-cid-content)
	(gnus-article-browse-html-parts, gnus-mime-delete-part)
	(gnus-mime-copy-part, gnus-mime-inline-part, gnus-insert-mime-button):
	Use `mm-handle-filename'.

	* mm-util.el (mm-handle-filename): New function, return the filename of
	an handle.

2011-03-18  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-buffer-live-p): Simplify gnus-buffer-live-p.
	(gnus-buffer-live-p): Check that buffer is not nil.

2011-03-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el: Require mouse, which the build bot seems to say is
	needed.

	* gravatar.el (gravatar-retrieve-synchronously): Use `url-retrieve' on
	XEmacs, since it doesn't have url-retrieve-synchronously.

2011-03-17  Antoine Levitt  <antoine.levitt@gmail.com>

	* gnus-group.el (gnus-group-list-ticked): New function.
	(gnus-group-make-menu-bar): Provide a menu entry for it.
	(gnus-group-list-map): Provide a binding for it.

2011-03-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-visit-file): New command.

	* nnimap.el (nnimap-fetch-inbox): Rewrite slightly last patch.

2011-03-17  Bjørn Mork  <bjorn@mork.no>

	* nnimap.el (nnimap-fetch-inbox): Don't download bodies on ver4-capable
	servers.

2011-03-16  Julien Danjou  <julien@danjou.info>

	* mm-uu.el (mm-uu-dissect-text-parts): Only dissect handle that are
	inline.

	* gnus-art.el (article-hide-list-identifiers):
	Use gnus-group-get-list-identifiers.

	* gnus-sum.el (gnus-group-get-list-identifiers): New function.
	(gnus-summary-remove-list-identifiers):
	Use gnus-group-get-list-identifiers to get regexp.
	(gnus-select-newsgroup, gnus-summary-insert-subject)
	(gnus-summary-insert-articles):
	Call gnus-summary-remove-list-identifiers unconditionally.

2011-03-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-articles-to-read): Revert back to old behavior if
	we're selecting a group with unread articles.

	* nnimap.el (nnimap-open-connection-1): Allow `network-only', too.

	* gssapi.el: New file separated out from imap.el to provide a general
	Kerberos 5 connection facility for Emacs.

	* message.el (message-elide-ellipsis): Document the format spec
	ellipsis.

2011-03-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-elide-region): Allow the ellipsis to say how many
	lines were removed.

2011-03-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-win.el (gnus-configure-frame): Protect against trying to restore
	window configurations containing buffers that are now dead.

	* nnimap.el (nnimap-parse-flags): Remove all MODSEQ entries before
	parsing to avoid integer overflows.
	(nnimap-parse-flags): Simplify the last change.
	(nnimap-parse-flags): Store HIGHESTMODSEQ as a string, since it may be
	too large for 32-bit Emacsen.

2011-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* auth-source.el (auth-source-netrc-create):
	* message.el (message-yank-original): Fix use of `case'.

2011-03-15  Nelson Ferreira  <nelson.ferreira@ieee.org>  (tiny change)

	* gnus-art.el (gnus-article-treat-body-boundary): Fix boundary width on
	XEmacs, which was one character too wide.

2011-03-09  Antoine Levitt  <antoine.levitt@gmail.com>

	* gnus-sum.el (gnus-articles-to-read): Use gnus-large-newsgroup as
	default number of articles to display.
	(gnus-articles-to-read): Use pretty names for prompt.

2011-03-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-open-server): Ditto.

	* gnus-start.el (gnus-activate-group): Give a backtrace if
	debug-on-quit is set and the user hits `C-g'.
	(gnus-read-active-file): Ditto.

	* gnus-group.el (gnus-group-read-ephemeral-group): Ditto.

2011-03-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-yank-original): Use cond instead of CL case.

2011-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* auth-source.el (auth-source-netrc-create): Use usual format for the
	default in prompts.

2011-03-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-create): Show the default in the
	prompt when prompting for token creation.

2011-03-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-format-prompt): Always convert the value
	to a string to avoid evaluating non-string arguments.
	(auth-source-netrc-create): Offer default properly, not as initial
	content in `read-string'.
	(auth-source-netrc-saver): Use a cache keyed by file name and MD5 hash
	of line to determine if we've been run before.  If so, don't run again,
	but print a trivial message to indicate the cache was hit instead.

2011-03-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el (gnus-sync-install-hooks, gnus-sync-unload-hook):
	Don't install `gnus-sync-read' to any hooks by default.  It's buggy.
	The user will have to run `gnus-sync-read' manually and wait for Cloudy
	Gnus.

2011-03-11  Julien Danjou  <julien@danjou.info>

	* mm-uu.el (mm-uu-type-alist): Add support for diff starting with "===
	modified file".

2011-03-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-read-char-choice): New function to read a
	character choice using `dropdown-list', `read-char-choice', or
	`read-char'.  It appends "[a/b/c] " to the prompt if the choices were
	'(?a ?b ?c).  The `dropdown-list' support is disabled for now.  Use
	`eval-when-compile' to load `dropdown-list'.  Remove `dropdown-list'.
	(auth-source-netrc-saver): Use it.
	(auth-source-pick-first-password): New convenience function.

2011-03-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-credentials): Keep the :save-function as the third
	parameter in the credentials.
	(nnimap-open-connection-1): Use it after a successful login.
	(nnimap-credentials): Add IMAP-specific user and password prompt.

	* auth-source.el (auth-source-search): Add :require parameter, taking a
	list.  Document it and the :save-function return token.  Pass :require
	down.  Change the CREATED message from a warning to a debug statement.
	(auth-source-search-backends): Pass :require down.
	(auth-source-netrc-search): Pass :require down.
	(auth-source-netrc-parse): Use :require, if it's given, as a filter.
	Change save prompt to indicate all modifications saved here are
	deletions.
	(auth-source-netrc-create): Take user login name as default in user
	prompt.  Move all the save functionality to a lexically bound function
	under the :save-function token in the returned list.  Set up clearer
	default prompts for user, host, port, and secret.
	(auth-source-netrc-saver): New function, intended to be wrapped for
	:save-function.

2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-03-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-horizontal-line): Change the defaults for the table
	lines to be spaces instead.

2011-03-07  Julien Danjou  <julien@danjou.info>

	* sieve-manage.el (sieve-sasl-auth): Create auth-info if not found.
	(sieve-sasl-auth): Check that auth-source-search did return something,
	or just return an empty string.

2011-03-05  Antoine Levitt  <antoine.levitt@gmail.com>

	* gnus.el (gnus-interactive): Use read-directory-name.

	* gnus-uu.el (gnus-uu-decode-uu-and-save)
	(gnus-uu-decode-unshar-and-save, gnus-uu-decode-save)
	(gnus-uu-decode-binhex, gnus-uu-decode-yenc)
	(gnus-uu-decode-save-view, gnus-uu-decode-postscript-and-save):
	Likewise.

	* gnus-group.el (gnus-group-make-directory-group): Likewise.

2011-03-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-group-change-level): Allow putting foreign groups
	onto the list of killed groups, too.  This makes killed nnimap groups,
	for instance, more reliably not reappear.

	* nnimap.el (nnimap-request-thread): Don't bug out when we can't find
	the parent.

	* gnus-sum.el (gnus-update-read-articles): Fix typo.

	* gnus.el (gnus-valid-select-methods): Mark nnimap as a backend that
	really have server-side marks.

	* gnus-sum.el (gnus-propagate-marks): Change default back to nil again,
	since most backends do not usefully have server-side marks.
	(gnus-update-read-articles): Propagate marks to all backends that
	really have server-side marks.

2011-03-05  Antoine Levitt  <antoine.levitt@gmail.com>

	* message.el (message-cite-reply-position, message-cite-style):
	New variables.
	(message-yank-original): Use the new citation styles.

2011-03-04  Daiki Ueno  <ueno@unixuser.org>

	* message.el (message-options): Revert the change that's a workaround
	for XEmacs buffer-local issue; don't mark it buffer-local when running
	under XEmacs.

2011-03-03  Tassilo Horn  <tassilo@member.fsf.org>

	* nnimap.el (nnimap-parse-flags): Add a workaround for FETCH lines with
	numbers too big to be `read'.

2011-03-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-options): Make buffer-local two ways to attempt
	to fix a XEmacs bug.

2011-03-02  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-with-article-buffer): Fix buffer live check.

2011-03-01  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (list-identifier): Add list-identifier as a parameter
	group.
	(article-hide-list-identifiers): Use list-identifier group parameter.

2011-02-28  Julien Danjou  <julien@danjou.info>

	* sieve.el (sieve-buffer-script-name): New local variable to store
	sieve script name.
	(sieve-edit-script): Store sieve script name.
	(sieve-upload): Use sieve script name when uploading.
	(sieve-upload): Use substitute-command-keys.
	(sieve-edit-script): Use substitute-command-keys.
	(sieve-refresh-scriptlist): Use substitute-command-keys.
	(sieve-manage-mode-map): Define keymap properly.
	(sieve-manage-mode): Do not set mode name manually, change mode-name to
	(sieve-refresh-scriptlist): Use substitute-command-keys."Sieve-manage".
	Remove commented code about cvs.
	(sieve-manage-quit): New function.
	(sieve-manage-mode-map): Bind 'q' to sieve-manage-quit.

2011-02-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-import-other-newsrc-file): New function.

2011-02-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-search): Cache empty result sets.

	* auth-source.el (auth-source-save-behavior): New variable to replace
	`auth-source-never-create'.
	(auth-source-netrc-create): Use it.
	(auth-source-never-save): Remove.

2011-02-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-stream): Doc fix.
	(nnimap-open-connection-1): Reverse the order of the ports to that the
	prompted-for port is first.

	* gnus-start.el (gnus-get-unread-articles): Don't clobber the async
	retrieval by the no-group selection.

	* gnus-demon.el (gnus-demon-init): run-with-timer should be called with
	numerical parameters.

2011-02-25  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el: Use gnus-with-article-buffer.

	* gnus-art.el (gnus-with-article-buffer): Check that the
	gnus-article-buffer is alive.

2011-02-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-creation-prompts): New variable to manage
	creation-time prompts.
	(auth-source-search): Document it.
	(auth-source-format-prompt): Add utility function.
	(auth-source-netrc-create): Don't default the user name to
	user-login-name.  Use `auth-source-creation-prompts' and some default
	prompts for user, host, port, and password (the default generic prompt
	remains ugly).
	(auth-source-never-save): Add customizable option to never save info.
	(auth-source-netrc-create): Use it and improve save prompts.  Fix help
	mode excursion.

2011-02-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-netrc-create): Use `read-char' with no
	argument that XEmacs doesn't support.

2011-02-23  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (article-make-date-line): Ignore errors if time is
	invalid and not convertible.
	(article-make-date-line): Only add lapsed time if time is not nil.

2011-02-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-create): Use `read-char' instead of
	`read-char-choice' for backwards compatibility.
	(auth-source-netrc-element-or-first): New function to DTRT for
	parameter extraction.
	(auth-source-netrc-create): Use it and fix multiple parameter print
	bug.  Use the default passed from above (given-default) or the
	built-in (user-login-name for :user).

2011-02-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-dribble-read-file):
	Set buffer-save-without-query, since we always want to save the dribble
	file, probably.

	* nnmail.el (nnmail-article-group): Allow a final "" split to work on
	nnimap.

	* gnus-sum.el (gnus-user-date-format-alist): Rename back again from
	-summary- since it's a user-visible variable.

	* nnimap.el (nnimap-retrieve-group-data-early): Don't do QRESYNC the
	first time you use the new Gnus.

2011-02-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Don't load netrc.el.
	(auth-sources): Search ~/.netrc as well by default.
	(auth-source-debug): Add 'trivia option for extra output.
	(auth-source-do-trivia): Use it.
	(auth-source-search): Simplify logic to use
	`auth-source-search-backends'.  Use `auth-source-do-trivia' where
	appropriate.  Don't keep a running count at this level.  Layer :create
	and :delete options appropriately on the first and second passes.
	Don't track the backend with the search results.
	(auth-source-search-backends): New function to search a list of
	backends for a processed spec.
	(auth-source-netrc-parse): Cache all netrc files, making
	auth-source-netrc-cache an alist keyed by the file name and using the
	file mtime as the caching criterion.  Keep the obfuscated data secret
	with a lexical bind.
	(auth-source-netrc-search): Don't calculate the length of the results
	unnecessarily.
	(auth-source-search-backends): Fix bug.
	(auth-source-netrc-create): Rework prompts.

2011-02-22  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-imap-search-arguments, nnir-imap-default-search-key):
	Lower case names of search constraints.
	(nnir-run-query): Cache and reuse search constraints for all imap
	servers.

2011-02-22  Sam Steingold  <sds@gnu.org>

	* gnus-msg.el (gnus-setup-message): Also bind `winconf-name'.

2011-02-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-add-send-actions): Restore the winconf name
	after exit.
	(gnus-setup-message): Define missing variable from last checkin.

	* gnus-sum.el (gnus-summary-show-article): When called with t as the
	value, show the raw article.

2011-02-21  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection-1): Revert last change, since
	auth-source now accepts numbers.

	* auth-source.el (auth-source-netrc-parse): Accept a number as the port
	spec, too.
	(auth-source-ensure-strings): New function.

	* gnus-art.el (gnus-article-update-date-headers): Doc fix.
	(gnus-article-setup-buffer): Always restart the date timer so that user
	changes to the frequency is respected.

	* nnimap.el (nnimap-open-connection-1): auth-source expects strings as
	port numbers, so make sure it gets that if nnimap-server-port is
	explicit.

2011-02-21  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-inbox): Doc fix.

2011-02-20  Chong Yidong  <cyd@stupidchicken.com>

	* shr-color.el (shr-color->hexadecimal): Use renamed function names
	color-rgb-to-hex, color-name-to-rgb, color-srgb-to-lab, and
	color-lab-to-srgb.

2011-02-21  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-finish-retrieve-group-infos): Add a kludge to use the
	given method as in the group name if we're using an extended method.
	(nntp-finish-retrieve-group-infos): Wait for the end of the LIST ACTIVE
	command, if we're using that, instead of waiting for the beginning.

	* gnus-start.el (gnus-get-unread-articles): Extend the methods so that
	we're sure to get unique server names, and we don't output two async
	commands in the same buffer.  This fixes an NNTP hang for some users.

2011-02-21  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-next-article): Add a kludge to reselect the
	summary buffer before reading going to the next buffer.  This avoids
	putting the point in the group buffer if you `C-g' the command.

	* auth-source.el (auth-source-netrc-parse): Add an in-memory netrc
	cache (for now) to make ~/.authinfo.gpg files usable.

	* nnfolder.el (copyright-update): Define for the compiler.

	* auth-source.el (auth-source-search): Fix unbound variable.

2011-02-19  Glenn Morris  <rgm@gnu.org>

	* gnus.el (gnus-meta): Doc fix.

2011-02-19  Chong Yidong  <cyd@stupidchicken.com>

	* nnfolder.el (nnfolder-save-buffer): Don't let-bind copyright-update,
	in case it's not yet loaded.

2011-02-20  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Ensure that we get the entire
	line we're waiting for.

2011-02-19  Darren Hoo  <darren.hoo@gmail.com>  (tiny change)

	* gnus-art.el (gnus-article-next-page-1): Because customized mode-line
	face with line-width greater than zero will cause RET in gnus summary
	buffer to scroll down article page-wise because auto vscroll happens,
	it should be temporally disabled when doing a scroll-up.

2011-02-19  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-parse-copied-articles): Allow for "<foo> OK"
	outputs from the server.

2011-02-18  Antoine Levitt  <antoine.levitt@gmail.com>  (tiny change)

	* gnus-art.el (gnus-article-prepare): Run gnus-article-prepare-hook
	later so that bbdb can hook in easier.

2011-02-18  Lars Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-search): Don't try to create credentials
	if the caller doesn't want that.
	(auth-source-search): If we don't find a match, don't bug out on
	non-bound variables.
	(auth-source-search): Only ask a single backend to create the
	credentials.

	* nnimap.el (nnimap-log-command): Add a newline to the inhibited
	logging.
	(nnimap-credentials): Protect against auth-source-search returning nil.
	(nnimap-request-list): Protect against not being able to open the
	server.

2011-02-17  Lars Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-search): Do a two-phase search, one with
	no :create to get the responses from all backends.

	* nnimap.el (nnimap-open-connection-1): Delete duplicate server names
	when getting credentials.

	* gnus-util.el (gnus-delete-duplicates): New function.

2011-02-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-credentials): Instead of picking the first port as
	a creation default, pass the whole port list down.  It will be
	completed.

	* auth-source.el (auth-source-search): Update docs to talk about
	multiple creation choices.
	(auth-source-netrc-create): Accept a list as a value (from the search
	parameters) and do completion on that list.  Keep a separate netrc line
	with the password obscured for showing the user.

	* nnimap.el (nnimap-open-connection-1): Make the `nnimap-address' the
	first choice to `auth-source-search' so it will be used for entry
	creation instead of the server's Gnus-specific name.
	(nnimap-credentials): Rely on the auth-source library to select which
	port is actually wanted in the new netrc entry, so don't override
	`auth-source-creation-defaults'.

	* auth-source.el (auth-source-netrc-parse): Use :port instead of
	:protocol and accept a missing user, host, or port as a wildcard match.
	(auth-source-debug): Default to off.

	(auth-source-netrc-search, auth-source-netrc-create)
	(auth-source-secrets-search, auth-source-secrets-create)
	(auth-source-user-or-password, auth-source-backend, auth-sources)
	(auth-source-backend-parse-parameters, auth-source-search): Use :port
	instead of :protocol.

	* nnimap.el (nnimap-credentials): Pass a port default to
	`auth-source-search' in case an entry needs to be created.
	(nnimap-open-connection-1): Use :port instead of :protocol.

2011-02-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-secrets-search): Use mm-delete-duplicates
	instead of delete-dups that is not available in XEmacs 21.4.

2011-02-16  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-propagate-marks): Change default to t again, since
	nil means that nnimap doesn't get updated.

2011-02-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-create): Return a synthetic search
	result when the user doesn't want to write to the file.
	(auth-source-netrc-search): Expect a synthetic result and proceed
	accordingly.
	(auth-source-cache-expiry): New variable to override
	`password-cache-expiry'.
	(auth-source-remember): Use it.

	* nnimap.el (nnimap-credentials): Remove the `inhibit-create'
	parameter.  Create entry if necessary by using :create t.
	(nnimap-open-connection-1): Don't pass `inhibit-create'.

2011-02-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-debug): Enable by default and don't
	mention the obsolete `auth-source-hide-passwords'.
	(auth-source-do-warn): New function to debug unconditionally.
	(auth-source-do-debug): Use it.
	(auth-source-backend-parse): Use it for invalid `auth-sources' entries
	and for Secrets API entries when the secrets.el library is not
	available.

2011-02-14  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-propagate-marks): Default to nil.
	(gnus-summary-exit): Kill the correct article buffer on exit from a
	`C-d' group.

	* gnus-start.el (gnus-use-backend-marks): Remove, since it duplicates
	gnus-propagate-marks.

	* gnus-sum.el (gnus-summary-exit-no-update): Restore the group conf
	before killing the buffers so that a non-full window conf gets handled
	correctly.
	(gnus-summary-exit): Ditto.
	(gnus-summary-read-group-1): Ditto.

	* nntp.el (nntp-retrieve-group-data-early): Reinstate the two-part
	async code again so that we can debug it properly.

	* message.el (message-reply): Take an optional switch-buffer parameter
	so that Gnus window confs are respected better.

2011-02-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-backend-parse-parameters): Don't rely on
	`plist-get' to accept non-list parameters (XEmacs issue).
	Fix docstring.
	(auth-source-secrets-search): Use `delete-dups', `append mapcar', and
	`butlast' instead of `remove-duplicates', `mapcan', and `subseq'.
	(auth-sources, auth-source-backend-parse, auth-source-secrets-search):
	Login collection is "Login" and not "login".

2011-02-14  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-update-date-lapsed): Don't bug out when updating
	multiple headers.

	* nnimap.el (nnimap-inhibit-logging): New variable.
	(nnimap-log-command): Don't log login commands.

	* auth-source.el (auth-source-netrc-search): The asserts seem to want
	to have more parameters.

	* nnimap.el (nnimap-send-command): Mark the command time for each
	command, so that we don't get NOOPs stepping on our toes.

	* gnus-art.el (article-date-ut): Get the date from the Date header on
	`t'.

2011-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-search): Use copy-sequence instead of
	the cl.el copy-list.

2011-02-13  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-delay.el (gnus-delay-article) Fix number of seconds per day.
	Improve prompt.

2011-02-13  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-mode-line-format): Remove the article
	washing status from the default format.  It isn't very informative.

2011-02-13  Tassilo Horn  <tassilo@member.fsf.org>  (tiny change)

	* nnimap.el (nnimap-request-accept-article, nnimap-process-quirk):
	Fix Gcc processing on imap.

2011-02-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-bury): Don't pop up a new window when selected
	window is dedicated.

2011-02-10  Antoine Levitt  <antoine.levitt@gmail.com>  (tiny change)

	* gnus-sum.el (gnus-summary-save-parts): Use read-directory-name.

2011-02-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* sieve-manage.el: Autoload `auth-source-search'.
	(sieve-sasl-auth): Use it.

2011-02-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el: Autoload `auth-source-forget+'.
	(nnimap-open-connection-1): Use it if the connection fails.

	* auth-source.el: Require `password-cache'.
	(auth-source-hide-passwords, auth-source-cache): Remove and mark
	obsolete.
	(auth-source-magic): Marker for `password-cache' keys.
	(auth-source-do-cache): Update docstring.
	(auth-source-search): Use and check cache.
	(auth-source-forget-all-cached, auth-source-remember)
	(auth-source-recall, auth-source-forget, auth-source-forget+)
	(auth-source-specmatchp): Caching support functions.
	(auth-source-forget-user-or-password, auth-source-forget-all-cached):
	Remove and obsolete.
	(auth-source-user-or-password): Remove caching to further discourage
	using it.  Always hide passwords.

2011-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-retrieve-group-data-early-disabled): Disable the async
	code for now, since it doesn't work for all users.

2011-02-09  Julien Danjou  <julien@danjou.info>

	* message.el (message-options): Make message-options really buffer
	local.

2011-02-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail-source.el: Autoload `auth-source-search'.
	(mail-source-keyword-map): Note order matters.
	(mail-source-set-1): Get all the mail-source source values and
	defaults and search auth-source on those if needed.  This can all
	probably be simplified.

	* nnimap.el: Autoload `auth-source-search'.
	(nnimap-credentials): Use it.
	(nnimap-open-connection-1): Ask for the virtual server and physical
	address in one shot.

	* nntp.el: Autoload `auth-source-search'.
	(nntp-send-authinfo): Use it.  Note TODO.

2011-02-08  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-body): Add support for text attribute in body
	markups.

	* message.el (message-options): Make message-options a local variable.

2011-02-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-secrets-search)
	(auth-source-user-or-password): Use `append' instead of `nconc'.
	(auth-source-user-or-password): Build return list better and protect
	against nil :secret.

2011-02-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): Refactor slightly.
	(nnimap-update-info): Tell Gnus whether there are any \Recent messages.
	(nnimap-update-info): Clean up slightly.
	(nnimap-quirk): Add quirk for Gmail IMAP which bugs out on NUL
	characters.
	(nnimap-process-quirk): Rename function to avoid collision.
	(nnimap-update-info): Fix macrology bug-out.
	(nnimap-update-info): Simplify split history test.

2011-02-06  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el (top): Require 'eieio unconditionally.
	Autoload `secrets-get-attributes' instead of `secrets-get-attribute'.
	(auth-source-secrets-search): Limit search when `max' is greater than
	number of results.

2011-02-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-finish-retrieve-group-infos): Protect against the first
	part not returning any data.

	* proto-stream.el (open-protocol-stream): Document the return value.

2011-02-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-secrets-search): Add examples.

2011-02-06  Julien Danjou  <julien@danjou.info>

	* message.el (message-setup-1): Handle message-generate-headers-first
	set to t.

2011-02-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources): Allow for simpler defaults for Secrets
	API with a string "secrets:collection-name" and with 'default.
	(auth-source-backend-parse): Parse "secrets:collection-name" and
	'default.  Recurse on parses instead of repeating code.  Use the
	Secrets API is the source is not nil and 'ignore otherwise.  Emit a
	message when ignoring a source.
	(auth-source-search): List ignored search keys at the top level.
	(auth-source-netrc-create): Use `case' instead of `cond'.
	(auth-source-secrets-search): Created with TODOs.
	(auth-source-secrets-create): Created with TODOs.
	(auth-source-retrieve, auth-source-create, auth-source-delete)
	(auth-source-protocol-defaults, auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Remove.
	(auth-source-user-or-password): Deprecated and modified to be a wrapper
	around `auth-source-search'.  Not tested thoroughly.

2011-02-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Bring in assoc and eioeio libraries.
	(secrets-enabled): New variable to track the status of the Secrets API.
	(auth-source-backend): New EIOEIO class to represent a backend.
	(auth-source-creation-defaults): New variable to set prompt defaults
	during token creation (see the `auth-source-search' docstring for
	details).
	(auth-sources): Simplify to allow a simple string as a netrc backend
	spec.
	(auth-source-backend-parse): Parse a backend from an `auth-sources' spec.
	(auth-source-backend-parse-parameters): Fill in the backend parameters.
	(auth-source-search): Main auth-source API entry point.
	(auth-source-delete): Wrapper around `auth-source-search' for deletion.
	(auth-source-search-collection): Helper function for searching.
	(auth-source-netrc-parse, auth-source-netrc-normalize)
	(auth-source-netrc-search, auth-source-netrc-create): Netrc backend.
	Supports search, create, and delete.
	(auth-source-secrets-search, auth-source-secrets-create): Secrets API
	backend stubs.
	(auth-source-user-or-password): Call `auth-source-search' but it's not
	ready yet.

2011-02-04  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-setup-1): Remove the read-only stuff, since it
	doesn't work under XEmacs, for some reason.

	* gnus-sum.el (gnus-user-date): Rename back from
	gnus-summary-user-date since user code refers to it.

	* shr.el (shr-render-td): Store the actual background color used.

	* message.el (message-setup-1): Don't bind the constant
	-forbidden-properties.
	(message-setup-1): Revert previous change, since it needs to bind the
	props to insert them.
	(message-resend): Allow removing the read-only separator line.

2011-02-03  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-accept-article): Give an error message if
	the APPEND wasn't successful.

2011-02-03  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-start.el (gnus-get-unread-articles): Fix the call to methods
	that have no groups.

2011-02-03  Julien Danjou  <julien@danjou.info>

	* gnus-draft.el: Remove progn around gnus-draft-setup.

2011-02-03  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): This function is never
	called with a nil `infos', so clean that up.
	(gnus-get-unread-articles): Request active files from primary/secondary
	methods that have no groups (yet).

2011-02-03  Julien Danjou  <julien@danjou.info>

	* message.el (message-setup-1): Always generate References first.
	(message-mail): Return the return value of message-setup, not always t.
	(message-setup-1): Insert mail-header-separator with read-only and
	intangible properties set.

	* gnus.el (gnus-summary-line-format): Add missing semi-colon for
	user-date in docstring.

	* gnus-art.el (gnus-article-jump-to-part): Remove useless sit-for.

	* gnus.el (gnus-summary-line-format): Mention &user-date format in
	docstring.

	* gnus.el (gnus-user-date-format-alist): Change default value.
	Use defcustom, with type and group.  Move from gnus-util.el.
	Rename to gnus-summary-user-date-format-alist.

2011-02-03  Glenn Morris  <rgm@gnu.org>

	* nnimap.el (gnus-fetch-headers): Declare.

	* nnheader.el (gnus-range-add, gnus-remove-from-range): Autoload.

2011-02-03  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-forward-make-body-digest-plain)
	(message-followup, message-reply): Clean up things noted by Stefan.

	* gnus-art.el (gnus-article-setup-buffer): Stop the date timer if
	gnus-article-update-date-headers is nil.
	(gnus-article-date-headers): Rip out the old -treat-date-* stuff, since
	it didn't really work with defcustom.
	(article-update-date-lapsed): Make sure the window start doesn't move,
	either.

2011-02-01  Julien Danjou  <julien@danjou.info>

	* mm-uu.el (mm-uu-type-alist): Add support for git format-patch diff
	format.

	* mm-decode.el (mm-inline-media-tests): Do not check for diff-mode it's
	standard in Emacs nowadays.

2011-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-expand-name): Don't trust the return value of
	bbdb-complete-name.
	(message-check-news-header-syntax): Remove unused var `start'.
	(message-idna-to-ascii-rhs-1): Remove unused vars `rhs' and `address'.
	(message-inhibit-body-encoding): Move to before first use.
	(mail-abbrev-mode-regexp, Expires, User-Agent, Lines, Distribution)
	(To, References, In-Reply-To, Newsgroups, Subject, Path, From)
	(Organization, Message-ID, Date, mh-previous-window-config):
	Defvar the vars using dynamic scoping.

2011-02-01  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-render-td): Only do colors at the final rendering.
	Should be slightly faster.
	(shr-insert-table): Fix up TD background colors when doing the
	vertical padding.

	* gnus-art.el (article-date-ut): Protect against articles with no Date
	header.
	(article-update-date-lapsed): Don't use current-column to find the
	horizontal position.  It's fragile in the presence of \003 characters.

	* gnus-start.el (gnus-read-active-file-1): Remove dead parameter infos.

2011-01-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-transform-date): Rewrite to still work when
	there are several rfc2822 parts.
	(article-transform-date): Fix infinite recursion.
	(article-date-ut): Replace infinitely many Date headers with a single
	one when called interactively.

	* nnimap.el (nnimap-wait-for-response): Wait for results in a more
	secure manner.

	* gnus-art.el (article-update-date-lapsed): Try to avoid having point
	move around by not using save-window-excursion.  It seems to work...

2011-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-make-date-line): Work for user-defined format.

2011-01-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-retrieve-group-data-early)
	(nntp-finish-retrieve-group-infos): Implement the asynchronous data
	fetching functions.

	* gnus-start.el (gnus-read-active-for-groups): Read the active files
	thoroughly for all backends that have no known groups.  This should
	allow new nnml methods to retrieve mail.

	* gnus-group.el (gnus-group-jump-to-group): Allow jumping to groups
	that Gnus doesn't know exists again.

	* gnus-art.el (gnus-article-date-lapsed-new-header): Remove.
	(gnus-treat-date-ut): Ditto.
	(gnus-article-update-date-header): Rename.
	(gnus-treat-date-local): Remove.
	(gnus-treat-date-english): Remove.
	(gnus-treat-date-lapsed): Remove.
	(gnus-treat-date-combined-lapsed): Remove.
	(gnus-treat-date-original): Remove.
	(gnus-treat-date-iso8601): Remove.
	(gnus-treat-date-user-defined): Remove.
	(gnus-article-date-headers): New variable to control all the date
	header options.
	(article-date-ut): Rewrite to allow using the new way to format date
	headers(s).

2011-01-30  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-article-group): Check for a direct fancy split
	method.
	(nnmail-article-group): A better test for fanciness.

	* nnimap.el (nnimap-request-head): Protect against not finding the
	article by Message-ID.

2011-01-29  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-update-date-lapsed): Try a better way to really
	keep point at the "same place".

2011-01-28  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-select-newsgroup): Don't try to alter the active
	data if the group is inactive.

2011-01-28  Julien Danjou  <julien@danjou.info>

	* gnus-win.el: Remove dead function gnus-window-configuration-element.
	(gnus-all-windows-visible-p): Remove old compatibility code.
	(gnus-window-top-edge): Add docstring.

	* gnus-group.el (gnus-group-jump-to-group): Set must match to t.

2011-01-28  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-request-marks): Call *-request-marks instead of the
	older request-update-info.

	* gnus-art.el (article-make-date-line): Limit the length a bit more.

2011-01-28  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign, mml2015-epg-encrypt):
	Give mml2015-signers higher precedence over mml2015-sign-with-sender.

2011-01-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-refresh-group): Refresh even non-visible
	groups.  This makes the nndraft:queue group pop up if it's not already
	there.

	* gnus-sum.el (gnus-summary-read-group-1): Fix the "contains no
	messages" logic, which was reversed.

	* gnus-art.el (article-update-date-lapsed): Ensure that point stays at
	the "same place" even if point is on the line being replaced.
	(article-update-date-lapsed): Allow updating both the combined lapsed
	and the lapsed headers.
	(article-update-date-lapsed): Skip past all the X-Sent/Date headers.
	(article-make-date-line): Limit the number of segments dynamically to
	avoid too-long lines.

2011-01-27  Julien Danjou  <julien@danjou.info>

	* mml2015.el (mml2015-epg-sign): Add and use mml2015-sign-with-sender.
	(mml2015-epg-encrypt): Use mml2015-sign-with-sender.

2011-01-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-expand-newlines, shr-previous-newline-padding-width):
	Use plist-get instead of the cl function getf.

2011-01-27  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (float-time): Get rid of compiler warning, again.

2011-01-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-put-color): Special-case background colors: Do put them
	at the blank parts at the front of the lines.

	* gnus-draft.el (gnus-draft-clear-marks): New function to be run as an
	exit hook to nix out all data on readedness on group exit.

	* gnus-util.el (float-time): If float-time is bound, always use it on
	all Emacsen.  It's unclear why the subrp check was there.
	(time-date): Require to make some autoload issues on XEmacs go away.

	* shr.el (shr-put-color): Don't do the box padding in tables, since
	they're already padded.

2011-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-next-page): When the last line of the
	article is displayed, scroll down once more instead of going to the
	next article at once.
	(article-lapsed-string): Refactor out and allow specifying how many
	segments you want.
	(gnus-article-setup-buffer): Start updating the lapsed header directly.
	(gnus-article-update-lapsed-header): New variable.

	* shr.el: Revert change that made headings use different-sized faces.
	The Emacs display engine isn't advanced enough that, for instance,
	tables can comfortably use differently-sized faces.

2011-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection-1): Store the actual stream type
	used.
	(nnimap-login): Prefer plain LOGIN if it's enabled (since it requires
	fewer round trips than CRAM-MD5, and it's less likely to be buggy), and
	we're using an encrypted connection.

	* proto-stream.el: Alter the interface functions to also return the
	actual stream type used: network or TLS.

2011-01-25  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-shell-script-inline): Fix typo in docstring.
	(mm-display-javascript-inline): New function.

	* mm-decode.el (mm-inline-media-tests): Add application/javascript
	viewing function.

2011-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-expand-newlines): Fix variable name.

2011-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-newlines): Make nested boxes work.

2011-01-24  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-newlines): Proof of concept implementation of boxy
	backgrounds.
	(shr-expand-newlines): Switch to using overlays to enable kill'n'yank
	in a more sensible manner.

2011-01-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* mml-smime.el (mml-smime-use): Make it a defcustom and default to 'epg
	if EPG is loaded.

2011-01-24  Julien Danjou  <julien@danjou.info>

	* shr.el: Use defface to create shr-tag-h[1-6] faces to fontify h[1-6]
	tags.

2011-01-24  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-read-summary-keys): Don't call disabled
	commands.

	* gnus-gravatar.el (gnus-gravatar-insert): Don't move point around
	in the article buffer.
	(gnus-gravatar-insert): Use blank space from the current buffer to
	avoid breaking text properties.  This makes X-Sent updating work again.

	* gravatar.el (gravatar-retrieve): Be silent when retrieving.

2011-01-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-image-fetched): Kill the buffer anyway, and
	fix the bug in url-http.el instead.

	* shr.el (shr-image-fetched): Ditto.

	* shr.el (shr-image-fetched): Avoid having point move in the article
	buffer.

	* gnus-html.el (gnus-html-image-fetched): Don't kill the temporary
	buffer after being called.  It's apparently being killed by url.el, and
	killing it made point move to end-of-buffer in a random buffer.

	* shr.el (shr-image-fetched): Ditto.

2011-01-23  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-inline-media-tests): Change text/org to text/x-org.

	* mm-uu.el (mm-uu-org-src-code-block-extract): Change text/org to
	text/x-org.

2011-01-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-move-article): Protect against backends
	(i.e., nnimap) returning nil as the article number.

2011-01-22  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>  (tiny change)

	* flow-fill.el (fill-flowed): Make `delete-space' option correspond to
	"DelSp" parameter in RFC3676.

2011-01-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-recipients): Display the encoded version of
	the bogus address if they differ.

	* gnus-draft.el (gnus-group-send-queue): Really refresh the queue group
	after sending.

	* gnus-agent.el (gnus-agent-send-mail): Ditto.

	* gnus-group.el (gnus-group-refresh-group): New convenience function.

	* gnus-draft.el (gnus-group-send-queue): Update the queue group in the
	group buffer after sending the queue.

	* gnus-agent.el (gnus-agent-send-mail): Ditto.

2011-01-22  Julien Danjou  <julien@danjou.info>

	* mailcap.el (mailcap-mime-extensions): Rename text/org to text/x-org.

2011-01-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-preferred-alternative-precedence): Don't bug out on
	nested related parts.

	* nnfolder.el (nnfolder-request-expire-articles): Return the list of
	unexpired articles.  This fixes the regression that led expiry marks to
	disappear from nnfolder groups.

2011-01-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-button-alist, gnus-button-handle-info-keystrokes):
	Don't confuse the "ret" of "retrograde" with RET.

2011-01-21  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-mime-display-single): Use mm-display-inline rather
	than mm-insert-inline.

2011-01-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-remove-images, gnus-article-show-images):
	Widen article buffer.

2011-01-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-find-buffer-file-coding-system): Don't forget to kill
	the temp buffer.
	* message.el (message-mailer-swallows-blank-line): Use with-temp-buffer.

2011-01-20  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-inline-media-tests): Add text/x-sh.

	* gnus-art.el (gnus-mime-inline-part): Use mm-display-inline rather
	than mm-insert-inline to insert inline part: this respect
	mm-inline-media-tests displayers.

	* mm-view.el (mm-display-shell-script-inline): New function.

	* mm-decode.el (mm-inline-media-tests): Add x-shellscript and x-sh.

	* mm-uu.el (mm-uu-type-alist): Add org block.
	(mm-uu-org-src-code-block-extract): New function.

	* mm-view.el (mm-display-org-inline): New function.

	* mm-decode.el (mm-automatic-display): Add text/org.

	* mailcap.el (mailcap-mime-extensions): Add .org.

2011-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-highlight): Remove argument passed to
	gnus-article-add-buttons.

2011-01-19  Tom Rauchenwald  <sehnsucht.nach.unendlichkeit@quantentunnel.de>  (tiny change)

	* spam.el (spam-spamassassin-register-with-sa-learn): Insert a full
	From header with a date and "nobody" as the sender.

2011-01-19  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-article-add-buttons): Simplify condition.
	(gnus-button-push): Remove gnus-button-entry function, it fails heavily
	if you have the same regexp several times.
	(gnus-button-push): Fix matching when regexp is symbol.

2011-01-15  Glenn Morris  <rgm@gnu.org>

	* message.el (message-mail): A compose-mail function should
	accept headers as strings.

2011-01-13  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-tool-bar-gnome): Tweak tool-bar items.
	Add :vert-only tags.
	(message-mail): New arg RETURN-ACTION.
	(message-return-action): New var.
	(message-bury): Use it.
	(message-mode): Make it buffer-local.
	(message-send-and-exit): Always call message-bury.

	* gnus-msg.el (gnus-msg-mail): New arg RETURN-ACTION.  Pass it to
	message-mail.

2011-01-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-convert-partial-article): Protect against
	zero-length body parts.

	* mm-decode.el (mm-preferred-alternative-precedence):
	Discourage showing empty parts.

	* gnus-int.el (gnus-request-accept-article): Don't try to update marks
	and stuff if the backend didn't return the article number.  This fixes
	an Exchange-related nnimap bug.

	* gnus-sum.el (gnus-summary-next-article): Remove hack to reselect
	group window, because it does the wrong thing when a separate frame
	displays the group buffer.

	* proto-stream.el (open-protocol-stream): Protect against the low-level
	transport functions returning nil.

2011-01-07  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (epg-sub-key-fingerprint): Autoload.
	(mml2015-epg-find-usable-secret-key): New function.
	(mml2015-epg-sign): Use mml2015-epg-find-usable-secret-key instead of
	mml2015-epg-find-usable-key (Bug#7797).
	(mml2015-epg-encrypt): Ditto.

2011-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* flow-fill.el (fill-flowed-encode): Do encoding citation-aware.

2011-01-03  Glenn Morris  <rgm@gnu.org>

	* sieve-manage.el (sieve-manage-open): Correctly set sieve-manage-port.

	* sieve.el (sieve-open-server): Give a more explicit error if
	sieve-manage-open returns nil.  (Bug#7720)

2011-01-02  Karl Fogel  <kfogel@red-bean.com>

	* gnus-msg.el (gnus-message-replyencrypt): Default to `t'.

2011-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-login): Prefer AUTH=CRAM-MD5, if it's available.
	This avoids sending passwords in plain text over non-encrypted
	channels.

	* shr.el (shr-rescale-image): Display all GIF images as animated images.

	* nnimap.el (nnimap-login): Refactored out into own function, and
	implement CRAM-MD5.
	(nnimap-wait-for-line): Refactored out.

	* mm-view.el (mml-smime): Require.

2010-12-20  David Engster  <deng@eml.cc>

	* mm-view.el (mm-view-pkcs7-decrypt): If mml-smime-use is set to 'epg,
	use EPG to decrypt S/MIME messages instead of openssl.

2011-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-group): Avoid double SELECT on `M-g'.

	* gnus-group.el (gnus-group-kill-group): Don't try to update the group
	status is the group clearly is unreachable.

	* auth-source.el (auth-source-create): Add the optional second
	parameter to `local-variable-p' to be compatible with XEmacs.

2011-01-02  Wang Diancheng  <dcwang@kingbase.com.cn>  (tiny change)

	* nnml.el (nnml-request-article): Allow requesting by Message-ID to
	work when using a compressed nnml folder.

2011-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-select-newsgroup): Don't propagate marks to
	backends after sanitising on entry, because this never makes sense:
	If the articles have gone missing, then the data no longer exists on
	the backend, and if they haven't, then Gnus is wrong, and shouldn't
	overwrite anything anyway.

	* shr.el (shr-insert-document): Bind shr-width dynamically to
	window-width if it's nil.

2010-12-30  Tassilo Horn  <tassilo@member.fsf.org>

	* shr.el (shr-width, shr-insert-document): Allow nil as shr-width value
	with the meaning of using the full emacs window width for rendering.

2010-12-27  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign, mml2015-epg-encrypt): Take care the
	case when sender is not given.

2010-12-23  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-transform-address): Set
	`mail-extr-ignore-realname-equals-mailbox-name' to nil when extracting
	the addresses, otherwise we might misplaced the gravatar.

2010-12-21  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (pgg-sign-region, pgg-encrypt-region):
	* gnus-art.el (pgg-snarf-keys-region): Autoload since PGG is now
	obsolete in Emacs.

2010-12-20  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-rescale-image): Revert last change.

